import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import { Point, Rect } from '@mescius/wijmo';
import { FlexMap, GeoMapLayer, ScatterMapLayer } from '@mescius/wijmo.chart.map';
import { getGdpData } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
let map = new FlexMap('#map', {
header: 'Europe - GDP per capita',
tooltip: {
content: (ht) => {
return ht.gdp ? '<b>{name}</b> \${gdp}<br>rank {rank}' : '';
}
},
layers: [
new GeoMapLayer({
url: 'data/europe.json',
itemsSourceChanged: (layer, a) => {
const bb = new Rect(-29, 36, 90, 35);
map.zoomTo(bb);
let features = layer.getAllFeatures();
let pts = [];
let gdpData = getGdpData();
let dataMap = new Map();
gdpData.forEach(el => dataMap.set(el.Country, el));
features.forEach(f => {
let rect = map.layers[0].getGeoBBox(f);
let name = f.properties.name;
let pt = new Point(rect.left + 0.5 * rect.width, rect.top + 0.5 * rect.height);
if (name == 'Norway') {
pt = new Point(10.752222, 59.913889);
}
else if (name == 'Russia') {
pt = new Point(37.617222, 55.755833);
}
let el = dataMap.get(name);
if (el) {
pts.push({
x: pt.x, y: pt.y, name: name, gdp: parseFloat(el[2020]), rank: parseInt(el['Rank'])
});
}
});
map.layers[1].itemsSource = pts;
},
style: { fill: 'rgba(153,216,201,1)', stroke: 'white' }
}),
new ScatterMapLayer({
binding: 'x,y,gdp',
symbolMaxSize: 20,
symbolMinSize: 5,
style: { fill: 'rgba(44,162,95,1)', strokeWidth: 0.5 }
})
]
});
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Bubble Map</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div id="map"></div>
</div>
</body>
</html>
export function getGdpData() {
return [
{
"Rank": 1,
"Country": "Luxembourg",
"2020": "112875"
},
{
"Rank": 2,
"Country": "Ireland",
"2020": "89383"
},
{
"Rank": 3,
"Country": "Switzerland",
"2020": "68340"
},
{
"Rank": 4,
"Country": "Norway",
"2020": "64856"
},
{
"Rank": 5,
"Country": "Denmark",
"2020": "57781"
},
{
"Rank": 6,
"Country": "Netherlands",
"2020": "57101"
},
{
"Rank": 7,
"Country": "Austria",
"2020": "55406"
},
{
"Rank": 8,
"Country": "Iceland",
"2020": "54482"
},
{
"Rank": 9,
"Country": "Germany",
"2020": "53571"
},
{
"Rank": 10,
"Country": "Sweden",
"2020": "52477"
},
{
"Rank": 11,
"Country": "Belgium",
"2020": "50114"
},
{
"Rank": 12,
"Country": "Finland",
"2020": "49334"
},
{
"Rank": 13,
"Country": "France",
"2020": "45454"
},
{
"Rank": 14,
"Country": "United Kingdom",
"2020": "44288"
},
{
"Rank": 15,
"Country": "Malta",
"2020": "43087"
},
{
"Rank": 16,
"Country": "Czech Republic",
"2020": "40293"
},
{
"Rank": 17,
"Country": "Italy",
"2020": "40066"
},
{
"Rank": 18,
"Country": "Cyprus",
"2020": "39079"
},
{
"Rank": 19,
"Country": "Lithuania",
"2020": "38605"
},
{
"Rank": 20,
"Country": "Slovenia",
"2020": "38506"
},
{
"Rank": 21,
"Country": "Spain",
"2020": "38143"
},
{
"Rank": 22,
"Country": "Estonia",
"2020": "37033"
},
{
"Rank": 23,
"Country": "Poland",
"2020": "33739"
},
{
"Rank": 24,
"Country": "Portugal",
"2020": "33131"
},
{
"Rank": 25,
"Country": "Hungary",
"2020": "32434"
},
{
"Rank": 26,
"Country": "Slovakia",
"2020": "32184"
},
{
"Rank": 27,
"Country": "Latvia",
"2020": "30579"
},
{
"Rank": 28,
"Country": "Romania",
"2020": "30141"
},
{
"Rank": 29,
"Country": "Greece",
"2020": "29045"
},
{
"Rank": 30,
"Country": "Croatia",
"2020": "27681"
},
{
"Rank": 31,
"Country": "Russia",
"2020": "27394"
},
{
"Rank": 32,
"Country": "Bulgaria",
"2020": "23741"
},
{
"Rank": 33,
"Country": "Montenegro",
"2020": "19931"
},
{
"Rank": 34,
"Country": "Belarus",
"2020": "19759"
},
{
"Rank": 35,
"Country": "Serbia",
"2020": "18840"
},
{
"Rank": 36,
"Country": "North Macedonia",
"2020": "16609"
},
{
"Rank": 37,
"Country": "Bosnia and Herzegovina",
"2020": "14895"
},
{
"Rank": 38,
"Country": "Albania",
"2020": "13651"
},
{
"Rank": 39,
"Country": "Moldova",
"2020": "13253"
},
{
"Rank": 40,
"Country": "Ukraine",
"2020": "12710"
}
];
}
body {
margin-bottom: 24px;
}
.wj-flexmap {
max-width: 600px;
}
{"type":"FeatureCollection", "features": [
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[178.73,71.1],[178.9,70.78],[180,70.83],[180,71.52],[178.73,71.1]]],[[[49.1,46.4],[48.59,46.56],[48.69,47.08],[48.06,47.74],[47.32,47.72],[46.47,48.39],[47.04,49.15],[46.75,49.36],[47.55,50.45],[48.58,49.87],[48.7,50.61],[50.77,51.69],[52.33,51.72],[54.53,51.03],[55.72,50.62],[56.78,51.04],[58.36,51.06],[59.64,50.55],[59.93,50.84],[61.34,50.8],[61.59,51.27],[59.97,51.96],[60.93,52.45],[60.74,52.72],[61.7,52.98],[60.98,53.66],[61.44,54.01],[65.18,54.35],[65.67,54.6],[68.17,54.97],[69.07,55.39],[70.87,55.17],[71.18,54.13],[72.22,54.38],[73.51,54.04],[73.43,53.49],[74.38,53.55],[76.89,54.49],[76.53,54.18],[77.8,53.4],[80.04,50.86],[80.57,51.39],[81.95,50.81],[83.38,51.07],[83.94,50.89],[84.42,50.31],[85.12,50.12],[85.54,49.69],[86.83,49.83],[87.36,49.21],[87.75,49.3],[88.81,49.47],[90.71,50.33],[92.23,50.8],[93.1,50.5],[94.15,50.48],[94.82,50.01],[95.81,49.98],[97.26,49.73],[98.23,50.42],[97.83,51.01],[98.86,52.05],[99.98,51.63],[100.89,51.52],[102.07,51.26],[102.26,50.51],[103.68,50.09],[104.62,50.28],[105.89,50.41],[106.89,50.27],[107.87,49.79],[108.48,49.28],[109.4,49.29],[110.66,49.13],[111.58,49.38],[112.9,49.54],[114.36,50.25],[114.96,50.14],[115.49,49.81],[116.68,49.89],[117.88,49.51],[119.29,50.14],[119.28,50.58],[120.18,51.64],[120.74,51.96],[120.73,52.52],[120.18,52.75],[121,53.25],[122.25,53.43],[123.57,53.46],[125.07,53.16],[125.95,52.79],[126.56,51.78],[126.94,51.35],[127.29,50.74],[127.66,49.76],[129.4,49.44],[130.58,48.73],[130.99,47.79],[132.51,47.79],[133.37,48.18],[135.03,48.48],[134.5,47.58],[134.11,47.21],[133.77,46.12],[133.1,45.14],[131.88,45.32],[131.03,44.97],[131.29,44.11],[131.14,42.93],[130.63,42.9],[130.64,42.4],[130.78,42.22],[130.94,42.55],[132.28,43.28],[132.91,42.8],[133.54,42.81],[134.87,43.4],[135.52,43.99],[136.86,45.14],[138.22,46.31],[138.55,47],[140.06,48.45],[140.51,50.05],[140.6,51.24],[141.38,52.24],[141.35,53.09],[139.9,54.19],[138.8,54.25],[138.16,53.76],[137.19,53.98],[136.7,54.6],[135.13,54.73],[138.96,57.09],[142.2,59.04],[145.49,59.34],[148.54,59.16],[149.78,59.66],[151.34,59.5],[151.27,58.78],[152.81,58.88],[155.04,59.14],[154.22,59.76],[156.72,61.43],[159.3,61.77],[160.12,60.54],[162.66,61.64],[163.26,62.47],[164.47,62.55],[163.67,61.14],[161.87,60.34],[160.15,59.31],[158.36,58.06],[156.81,57.83],[156.76,57.36],[155.91,56.77],[155.43,55.38],[155.99,53.16],[156.42,51.7],[156.79,51.01],[158.23,51.94],[158.53,52.96],[160.02,53.2],[160.37,54.34],[162.12,54.86],[161.7,55.29],[162.13,56.12],[163.06,56.16],[163.19,57.62],[162.05,57.84],[162.02,58.24],[163.22,59.21],[163.54,59.87],[164.88,59.73],[165.84,60.16],[166.29,59.79],[168.9,60.57],[170.33,59.88],[170.7,60.34],[172.15,60.95],[173.68,61.65],[174.57,61.77],[177.36,62.52],[179.23,62.3],[179.49,62.57],[179.37,62.98],[178.91,63.25],[178.31,64.08],[177.41,64.61],[178.71,64.53],[179.99,64.97],[180,64.98],[180,68.96],[178.6,69.4],[175.72,69.88],[173.64,69.82],[170.45,70.1],[170.01,69.65],[170.82,69.01],[169.58,68.69],[167.84,69.58],[165.94,69.47],[164.05,69.67],[162.28,69.64],[160.94,69.44],[159.71,69.72],[159.83,70.45],[159,70.87],[157.01,71.03],[152.97,70.84],[150.35,71.61],[149.5,72.2],[140.47,72.85],[139.15,72.42],[139.87,71.49],[138.23,71.63],[137.5,71.35],[135.56,71.66],[133.86,71.39],[132.25,71.84],[131.29,70.79],[129.72,71.19],[128.46,71.98],[129.05,72.4],[128.59,73.04],[126.98,73.57],[125.38,73.56],[123.26,73.74],[123.2,72.97],[119.02,73.12],[118.78,73.59],[115.57,73.75],[113.97,73.59],[113.53,73.34],[113.02,73.98],[112.12,73.79],[110.64,74.04],[109.4,74.18],[110.15,74.48],[112.78,75.03],[113.89,75.33],[114.13,75.85],[113.33,76.22],[111.08,76.71],[108.15,76.72],[107.24,76.48],[106.97,76.97],[104.71,77.13],[106.07,77.37],[104.35,77.7],[101.99,77.29],[101.04,76.86],[100.76,76.43],[98.92,76.45],[96.68,75.92],[95.86,76.14],[93.23,76.05],[92.9,75.77],[90.26,75.64],[88.32,75.14],[87.17,75.12],[86.01,74.46],[86.82,73.94],[84.66,73.81],[82.25,73.85],[80.51,73.65],[80.61,72.58],[81.5,71.75],[79.65,72.32],[77.58,72.27],[75.9,71.87],[76.36,71.15],[75.29,71.34],[75.68,72.3],[75.16,72.85],[74.66,72.83],[74.89,72.12],[73.1,71.45],[74.4,70.63],[73.6,69.63],[73.84,69.07],[74.94,68.99],[74.47,68.33],[75.05,67.76],[74.19,67.28],[73.92,66.79],[72.82,66.53],[72.42,66.17],[71.28,66.32],[73.24,67.74],[73.67,68.41],[72.56,69.02],[72.79,70.39],[72.47,71.09],[71.85,71.41],[72.8,72.22],[72.59,72.78],[69.94,73.04],[69.2,72.84],[68.54,71.93],[66.69,71.03],[66.72,70.71],[67.26,69.93],[66.93,69.45],[68.14,69.36],[68.16,69.14],[69.18,68.62],[68.51,68.09],[64.89,69.23],[63.5,69.55],[60.55,69.85],[60.03,69.52],[61.08,68.94],[59.94,68.28],[58.8,68.88],[57.32,68.47],[55.44,68.44],[54.73,68.1],[53.49,68.2],[54.47,68.81],[53.72,68.86],[50.23,68],[48.14,67.52],[47.89,66.88],[46.35,66.67],[45.56,67.01],[45.56,67.57],[46.82,67.69],[46.25,68.25],[43.45,68.57],[44.19,67.95],[43.7,67.35],[44.53,66.76],[43.95,66.07],[43.02,66.42],[42.09,66.48],[39.76,65.5],[40.44,64.76],[39.59,64.52],[37.18,65.14],[36.54,64.76],[37.14,64.33],[37.01,63.85],[36.23,64.11],[34.94,64.41],[34.88,65.44],[34.81,65.9],[33.18,66.63],[33.92,66.76],[38.38,66],[40.02,66.27],[41.13,66.79],[41.06,67.46],[40.29,67.93],[36.51,69.06],[33.78,69.3],[32.13,69.91],[31.1,69.56],[29.4,69.16],[28.59,69.06],[28.45,68.36],[29.98,67.7],[29.05,66.94],[30.22,65.81],[29.54,64.95],[30.44,64.2],[30.04,63.55],[31.52,62.87],[31.14,62.36],[30.21,61.78],[28.07,60.5],[29.12,60.03],[27.98,59.48],[28.13,59.3],[27.42,58.72],[27.72,57.79],[27.29,57.47],[27.77,57.24],[27.86,56.76],[28.18,56.17],[29.23,55.92],[29.37,55.67],[29.9,55.79],[30.87,55.55],[30.97,55.08],[30.76,54.81],[31.38,54.16],[31.79,53.97],[31.73,53.79],[32.41,53.62],[32.69,53.35],[32.3,53.13],[31.5,53.17],[31.31,53.07],[31.54,52.74],[31.79,52.1],[32.16,52.06],[32.41,52.29],[32.72,52.24],[33.75,52.34],[34.39,51.77],[34.14,51.57],[34.22,51.26],[35.02,51.21],[35.38,50.77],[35.36,50.58],[36.63,50.23],[37.39,50.38],[38.01,49.92],[38.59,49.93],[40.07,49.6],[40.08,49.31],[39.67,48.78],[39.9,48.23],[39.74,47.9],[38.77,47.83],[38.26,47.55],[38.22,47.1],[39.12,47.26],[39.15,47.04],[37.67,46.64],[38.23,46.24],[37.4,45.4],[36.68,45.24],[37.54,44.66],[38.68,44.28],[39.96,43.43],[40.08,43.55],[40.92,43.38],[42.39,43.22],[43.76,42.74],[43.93,42.55],[44.54,42.71],[45.47,42.5],[45.78,42.09],[46.4,41.86],[46.69,41.83],[47.37,41.22],[47.82,41.15],[47.99,41.41],[48.58,41.81],[47.49,42.99],[47.59,43.66],[46.68,44.61],[47.68,45.64],[48.65,45.81],[49.1,46.4]]],[[[93.78,81.02],[91.18,80.34],[92.55,80.14],[93.31,79.43],[94.97,79.04],[97.76,78.76],[99.94,78.88],[100.19,79.78],[97.88,80.75],[95.94,81.25],[93.78,81.02]]],[[[102.84,79.28],[102.09,79.35],[101.26,79.23],[99.44,77.92],[105.08,78.31],[105.37,78.71],[102.84,79.28]]],[[[138.83,76.14],[137.51,75.95],[136.97,75.26],[138.96,74.61],[140.61,74.85],[144.3,74.82],[145.09,75.56],[141.47,76.09],[138.83,76.14]]],[[[148.22,75.35],[146.36,75.5],[146.12,75.17],[147.98,74.78],[149.58,74.69],[150.73,75.08],[148.22,75.35]]],[[[139.86,73.37],[140.04,73.32],[142.09,73.21],[143.6,73.21],[143.48,73.48],[142.06,73.86],[140.81,73.77],[139.86,73.37]]],[[[44.85,80.59],[47.07,80.56],[46.5,80.25],[47.59,80.01],[48.75,80.18],[48.89,80.34],[49.79,80.42],[51.14,80.55],[51.52,80.7],[50.04,80.92],[49.1,80.75],[48.52,80.51],[48.32,80.78],[46.8,80.77],[44.85,80.59]]],[[[22.73,54.33],[22.65,54.58],[22.76,54.86],[22.32,55.02],[21.27,55.19],[19.89,54.87],[19.66,54.43],[20.89,54.31],[22.73,54.33]]],[[[53.51,73.75],[54.43,73.63],[52.44,72.77],[52.48,72.23],[51.46,72.01],[51.6,71.47],[53.41,71.21],[53.68,70.76],[56.94,70.63],[57.54,70.72],[55.62,71.54],[55.42,72.37],[56.99,73.33],[58.48,74.31],[61.58,75.26],[64.64,75.74],[68.18,76.23],[68.85,76.54],[68.16,76.94],[66.21,76.81],[64.5,76.44],[61.17,76.25],[57.87,75.61],[55.63,75.08],[55.9,74.63],[53.51,73.75]]],[[[142.91,53.7],[142.65,54.37],[142.21,54.23],[142.61,53.76],[141.68,53.3],[141.59,51.94],[142.18,50.95],[142.14,49.62],[141.9,48.86],[142.02,47.78],[141.91,46.81],[142.09,45.97],[142.75,46.74],[143.51,46.14],[143.53,46.84],[142.56,47.86],[143.17,49.31],[144.65,48.98],[143.65,50.75],[143.24,51.76],[143.26,52.74],[142.91,53.7]]],[[[-174.93,67.21],[-177.55,68.2],[-180,68.96],[-180,64.98],[-179.43,65.4],[-179.88,65.87],[-178.69,66.11],[-178.9,65.74],[-178.36,65.39],[-177.22,65.52],[-176.21,65.36],[-175.98,64.92],[-174.65,64.63],[-173.89,64.28],[-172.96,64.25],[-172.55,64.46],[-172.53,65.44],[-170.89,65.54],[-169.9,65.98],[-171.86,66.91],[-174.57,67.06],[-174.34,66.34],[-175.01,66.58],[-174.93,67.21]]],[[[-178.69,70.89],[-177.66,71.13],[-177.58,71.27],[-179.02,71.56],[-179.87,71.56],[-180,71.52],[-180,70.83],[-178.69,70.89]]],[[[33.44,45.97],[33.59,45.85],[32.63,45.52],[32.45,45.33],[33.55,45.03],[33.33,44.56],[33.88,44.36],[35.24,44.94],[36.33,45.11],[36.53,45.47],[35.51,45.41],[35.02,45.65],[35.01,45.74],[34.86,45.77],[34.73,45.97],[34.41,46.01],[33.7,46.22],[33.44,45.97]]]]},"properties":{"name":"Russia","continent":"Europe","pop_est":142257519}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[15.14,79.67],[13.72,79.66],[13.17,80.01],[10.44,79.65],[11.22,78.87],[13.17,78.02],[14.67,77.74],[13.76,77.38],[15.91,76.77],[17.12,76.81],[17.59,77.64],[18.47,77.83],[19.03,78.56],[21.54,78.96],[18.25,79.7],[16.99,80.05],[15.52,80.02],[15.14,79.67]]],[[[31.1,69.56],[30.01,70.19],[31.29,70.45],[28.17,71.19],[26.37,70.99],[24.55,71.03],[23.02,70.2],[21.38,70.26],[19.18,69.82],[16.44,68.56],[14.76,67.81],[12.36,65.88],[10.53,64.49],[8.55,63.45],[5.91,62.61],[4.99,61.97],[5.31,59.66],[5.67,58.59],[7.05,58.08],[8.38,58.31],[10.36,59.47],[11.03,58.86],[11.47,59.43],[12.3,60.12],[12.63,61.29],[11.99,61.8],[11.93,63.13],[12.58,64.07],[13.57,64.05],[13.92,64.45],[13.56,64.79],[15.11,66.19],[16.11,67.3],[16.77,68.01],[17.73,68.01],[17.99,68.57],[19.88,68.41],[20.03,69.07],[20.65,69.11],[21.24,69.37],[22.36,68.84],[23.66,68.89],[24.74,68.65],[25.69,69.09],[26.18,69.83],[27.73,70.16],[29.02,69.77],[28.59,69.06],[29.4,69.16],[31.1,69.56]]],[[[27.41,80.06],[25.45,80.41],[22.92,80.66],[21.91,80.36],[20.46,80.6],[17.37,80.32],[18.46,79.86],[19.9,79.84],[20.08,79.57],[23.02,79.4],[25.92,79.52],[27.41,80.06]]],[[[24.72,77.85],[23.28,78.08],[22.88,78.45],[20.81,78.25],[21.42,77.94],[20.73,77.68],[22.49,77.44],[24.72,77.85]]]]},"properties":{"name":"Norway","continent":"Europe","pop_est":5320045}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[6.19,49.46],[5.9,49.44],[5.67,49.53],[4.8,49.99],[4.29,49.91],[3.59,50.38],[3.12,50.78],[2.66,50.8],[2.51,51.15],[1.64,50.95],[1.34,50.13],[-0.99,49.35],[-1.93,49.78],[-1.62,48.64],[-3.3,48.9],[-4.59,48.68],[-4.49,47.95],[-2.96,47.57],[-2.23,47.06],[-1.19,46.01],[-1.38,44.02],[-1.9,43.42],[-1.5,43.03],[0.34,42.58],[0.7,42.8],[1.83,42.34],[2.99,42.47],[3.1,43.08],[4.56,43.4],[6.53,43.13],[7.44,43.69],[7.55,44.13],[7.01,44.25],[6.75,45.03],[7.1,45.33],[6.8,45.71],[6.84,45.99],[6.5,46.43],[6.02,46.27],[6.04,46.73],[6.77,47.29],[6.74,47.54],[7.19,47.45],[7.47,47.62],[7.59,48.33],[8.1,49.02],[6.66,49.2],[6.19,49.46]]],[[[8.75,42.63],[8.54,42.26],[8.78,41.58],[9.23,41.38],[9.56,42.15],[9.39,43.01],[8.75,42.63]]]]},"properties":{"name":"France","continent":"Europe","pop_est":67106161}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[11.03,58.86],[11.79,57.44],[12.63,56.31],[12.94,55.36],[14.1,55.41],[14.67,56.2],[15.88,56.1],[16.45,57.04],[16.83,58.72],[17.87,58.95],[18.79,60.08],[17.83,60.64],[17.12,61.34],[17.85,62.75],[19.78,63.61],[21.37,64.41],[21.21,65.03],[22.18,65.72],[23.9,66.01],[23.57,66.4],[23.54,67.94],[21.98,68.62],[20.65,69.11],[20.03,69.07],[19.88,68.41],[17.99,68.57],[17.73,68.01],[16.77,68.01],[16.11,67.3],[15.11,66.19],[13.56,64.79],[13.92,64.45],[13.57,64.05],[12.58,64.07],[11.93,63.13],[11.99,61.8],[12.63,61.29],[12.3,60.12],[11.47,59.43],[11.03,58.86]]]},"properties":{"name":"Sweden","continent":"Europe","pop_est":9960487}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.18,56.17],[27.1,55.78],[26.49,55.62],[26.59,55.17],[25.77,54.85],[25.54,54.28],[24.45,53.91],[23.48,53.91],[23.53,53.47],[23.8,53.09],[23.8,52.69],[23.2,52.49],[23.51,52.02],[23.53,51.58],[24.01,51.62],[24.55,51.89],[25.33,51.91],[26.34,51.83],[27.45,51.59],[28.24,51.57],[28.62,51.43],[28.99,51.6],[29.25,51.37],[30.16,51.42],[30.56,51.32],[30.62,51.82],[30.93,52.04],[31.79,52.1],[31.54,52.74],[31.31,53.07],[31.5,53.17],[32.3,53.13],[32.69,53.35],[32.41,53.62],[31.73,53.79],[31.79,53.97],[31.38,54.16],[30.76,54.81],[30.97,55.08],[30.87,55.55],[29.9,55.79],[29.37,55.67],[29.23,55.92],[28.18,56.17]]]},"properties":{"name":"Belarus","continent":"Europe","pop_est":9549747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[31.79,52.1],[30.93,52.04],[30.62,51.82],[30.56,51.32],[30.16,51.42],[29.25,51.37],[28.99,51.6],[28.62,51.43],[28.24,51.57],[27.45,51.59],[26.34,51.83],[25.33,51.91],[24.55,51.89],[24.01,51.62],[23.53,51.58],[24.03,50.71],[23.92,50.42],[23.43,50.31],[22.52,49.48],[22.78,49.03],[22.56,49.09],[22.28,48.83],[22.09,48.42],[22.64,48.15],[22.71,47.88],[23.14,48.1],[23.76,47.99],[24.4,47.98],[24.87,47.74],[25.21,47.89],[25.95,47.99],[26.2,48.22],[26.62,48.22],[26.86,48.37],[27.52,48.47],[28.26,48.16],[28.67,48.12],[29.12,47.85],[29.05,47.51],[29.42,47.35],[29.56,46.93],[29.91,46.67],[29.84,46.53],[30.02,46.42],[29.76,46.35],[29.17,46.38],[29.07,46.52],[28.86,46.44],[28.93,46.26],[28.66,45.94],[28.49,45.6],[28.23,45.49],[28.68,45.3],[29.15,45.46],[29.6,45.29],[30.38,46.03],[30.75,46.58],[31.68,46.71],[31.74,46.33],[33.3,46.08],[33.44,45.97],[33.7,46.22],[34.41,46.01],[34.73,45.97],[34.86,45.77],[35.01,45.74],[34.96,46.27],[35.82,46.65],[36.76,46.7],[37.43,47.02],[38.22,47.1],[38.26,47.55],[38.77,47.83],[39.74,47.9],[39.9,48.23],[39.67,48.78],[40.08,49.31],[40.07,49.6],[38.59,49.93],[38.01,49.92],[37.39,50.38],[36.63,50.23],[35.36,50.58],[35.38,50.77],[35.02,51.21],[34.22,51.26],[34.14,51.57],[34.39,51.77],[33.75,52.34],[32.72,52.24],[32.41,52.29],[32.16,52.06],[31.79,52.1]]]},"properties":{"name":"Ukraine","continent":"Europe","pop_est":44033874}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48,53.91],[23.24,54.22],[22.73,54.33],[20.89,54.31],[19.66,54.43],[18.7,54.44],[18.62,54.68],[17.62,54.85],[16.36,54.51],[14.8,54.05],[14.12,53.76],[14.35,53.25],[14.07,52.98],[14.44,52.62],[14.69,52.09],[14.61,51.75],[15.02,51.11],[15.49,50.78],[16.24,50.7],[16.18,50.42],[16.72,50.22],[16.87,50.47],[17.55,50.36],[17.65,50.05],[18.39,49.99],[18.85,49.5],[18.91,49.44],[19.32,49.57],[19.83,49.22],[20.42,49.43],[20.89,49.33],[21.61,49.47],[22.56,49.09],[22.78,49.03],[22.52,49.48],[23.43,50.31],[23.92,50.42],[24.03,50.71],[23.53,51.58],[23.51,52.02],[23.2,52.49],[23.8,52.69],[23.8,53.09],[23.53,53.47],[23.48,53.91]]]},"properties":{"name":"Poland","continent":"Europe","pop_est":38476269}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.98,48.12],[16.88,48.47],[16.96,48.6],[16.5,48.79],[16.03,48.73],[15.25,49.04],[14.9,48.96],[14.34,48.56],[13.6,48.88],[13.24,48.42],[12.88,48.29],[13.03,47.64],[12.93,47.47],[12.62,47.67],[12.14,47.7],[11.43,47.52],[10.54,47.57],[10.4,47.3],[9.9,47.58],[9.59,47.53],[9.63,47.35],[9.48,47.1],[9.93,46.92],[10.44,46.89],[11.05,46.75],[11.16,46.94],[12.15,47.12],[12.38,46.77],[13.81,46.51],[14.63,46.43],[15.14,46.66],[16.01,46.68],[16.2,46.85],[16.53,47.5],[16.34,47.71],[16.9,47.71],[16.98,48.12]]]},"properties":{"name":"Austria","continent":"Europe","pop_est":8754413}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.09,48.42],[21.87,48.32],[20.8,48.62],[20.47,48.56],[20.24,48.33],[19.77,48.2],[19.66,48.27],[19.17,48.11],[18.78,48.08],[18.7,47.88],[17.86,47.76],[17.49,47.87],[16.98,48.12],[16.9,47.71],[16.34,47.71],[16.53,47.5],[16.2,46.85],[16.37,46.84],[16.56,46.5],[16.88,46.38],[17.63,45.95],[18.46,45.76],[18.83,45.91],[19.6,46.17],[20.22,46.13],[21.02,46.32],[21.63,46.99],[22.1,47.67],[22.71,47.88],[22.64,48.15],[22.09,48.42]]]},"properties":{"name":"Hungary","continent":"Europe","pop_est":9850845}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.62,48.22],[26.92,48.12],[27.23,47.83],[27.55,47.41],[28.13,46.81],[28.16,46.37],[28.05,45.94],[28.23,45.49],[28.49,45.6],[28.66,45.94],[28.93,46.26],[28.86,46.44],[29.07,46.52],[29.17,46.38],[29.76,46.35],[30.02,46.42],[29.84,46.53],[29.91,46.67],[29.56,46.93],[29.42,47.35],[29.05,47.51],[29.12,47.85],[28.67,48.12],[28.26,48.16],[27.52,48.47],[26.86,48.37],[26.62,48.22]]]},"properties":{"name":"Moldova","continent":"Europe","pop_est":3474121}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.23,45.49],[28.05,45.94],[28.16,46.37],[28.13,46.81],[27.55,47.41],[27.23,47.83],[26.92,48.12],[26.62,48.22],[26.2,48.22],[25.95,47.99],[25.21,47.89],[24.87,47.74],[24.4,47.98],[23.76,47.99],[23.14,48.1],[22.71,47.88],[22.1,47.67],[21.63,46.99],[21.02,46.32],[20.22,46.13],[20.76,45.73],[20.87,45.42],[21.48,45.18],[21.56,44.77],[22.15,44.48],[22.46,44.7],[22.71,44.58],[22.47,44.41],[22.66,44.23],[22.94,43.82],[23.33,43.9],[24.1,43.74],[25.57,43.69],[26.07,43.94],[27.24,44.18],[27.97,43.81],[28.56,43.71],[28.84,44.91],[29.14,44.82],[29.63,45.04],[29.6,45.29],[29.15,45.46],[28.68,45.3],[28.23,45.49]]]},"properties":{"name":"Romania","continent":"Europe","pop_est":21529967}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.49,55.62],[25.53,56.1],[25,56.16],[24.86,56.37],[23.88,56.27],[22.2,56.34],[21.06,56.03],[21.27,55.19],[22.32,55.02],[22.76,54.86],[22.65,54.58],[22.73,54.33],[23.24,54.22],[23.48,53.91],[24.45,53.91],[25.54,54.28],[25.77,54.85],[26.59,55.17],[26.49,55.62]]]},"properties":{"name":"Lithuania","continent":"Europe","pop_est":2823859}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.29,57.47],[26.46,57.48],[25.6,57.85],[25.16,57.97],[24.31,57.79],[24.12,57.03],[23.32,57.01],[22.52,57.75],[21.58,57.41],[21.09,56.78],[21.06,56.03],[22.2,56.34],[23.88,56.27],[24.86,56.37],[25,56.16],[25.53,56.1],[26.49,55.62],[27.1,55.78],[28.18,56.17],[27.86,56.76],[27.77,57.24],[27.29,57.47]]]},"properties":{"name":"Latvia","continent":"Europe","pop_est":1944643}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.98,59.48],[26.95,59.45],[25.86,59.61],[24.6,59.47],[23.34,59.19],[23.43,58.61],[24.06,58.26],[24.43,58.38],[24.31,57.79],[25.16,57.97],[25.6,57.85],[26.46,57.48],[27.29,57.47],[27.72,57.79],[27.42,58.72],[28.13,59.3],[27.98,59.48]]]},"properties":{"name":"Estonia","continent":"Europe","pop_est":1251581}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[14.12,53.76],[13.65,54.08],[12.52,54.47],[11.96,54.2],[10.94,54.01],[10.95,54.36],[9.94,54.6],[9.92,54.98],[9.28,54.83],[8.53,54.96],[8.57,54.4],[8.8,54.02],[8.12,53.53],[7.94,53.75],[7.1,53.69],[6.91,53.48],[7.09,53.14],[6.84,52.23],[6.59,51.85],[5.99,51.85],[6.16,50.8],[6.04,50.13],[6.24,49.9],[6.19,49.46],[6.66,49.2],[8.1,49.02],[7.59,48.33],[7.47,47.62],[8.32,47.61],[8.52,47.83],[9.59,47.53],[9.9,47.58],[10.4,47.3],[10.54,47.57],[11.43,47.52],[12.14,47.7],[12.62,47.67],[12.93,47.47],[13.03,47.64],[12.88,48.29],[13.24,48.42],[13.6,48.88],[13.03,49.31],[12.52,49.55],[12.42,49.97],[12.24,50.27],[12.97,50.48],[13.34,50.73],[14.06,50.93],[14.31,51.12],[14.57,51],[15.02,51.11],[14.61,51.75],[14.69,52.09],[14.44,52.62],[14.07,52.98],[14.35,53.25],[14.12,53.76]]]},"properties":{"name":"Germany","continent":"Europe","pop_est":80594017}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.66,44.23],[22.41,44.01],[22.5,43.64],[22.99,43.21],[22.6,42.9],[22.44,42.58],[22.55,42.46],[22.38,42.32],[22.88,42],[22.95,41.34],[23.69,41.31],[24.49,41.58],[25.2,41.23],[26.11,41.33],[26.12,41.83],[27.14,42.14],[28,42.01],[27.67,42.58],[28.04,43.29],[28.56,43.71],[27.97,43.81],[27.24,44.18],[26.07,43.94],[25.57,43.69],[24.1,43.74],[23.33,43.9],[22.94,43.82],[22.66,44.23]]]},"properties":{"name":"Bulgaria","continent":"Europe","pop_est":7101510}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[26.29,35.3],[25.75,35.18],[25.77,35.35],[25.03,35.42],[24.25,35.37],[23.7,35.71],[23.51,35.28],[24.74,35.08],[24.72,34.92],[26.16,35],[26.29,35.3]]],[[[22.95,41.34],[22.76,41.3],[22.6,41.13],[22.06,41.15],[21.67,40.93],[21.02,40.84],[21,40.58],[20.67,40.43],[20.62,40.11],[20.15,39.62],[20.22,39.34],[20.73,38.77],[21.12,38.31],[21.3,37.64],[21.67,36.84],[22.49,36.41],[23.15,36.42],[22.77,37.31],[23.41,37.41],[23.12,37.92],[24.04,37.66],[24.03,38.22],[23.53,38.51],[22.97,38.97],[23.35,39.19],[22.85,39.66],[22.63,40.26],[22.81,40.48],[23.34,39.96],[23.9,39.96],[24.41,40.12],[23.71,40.69],[24.93,40.95],[25.45,40.85],[26.06,40.82],[26.29,40.94],[26.6,41.56],[26.12,41.83],[26.11,41.33],[25.2,41.23],[24.49,41.58],[23.69,41.31],[22.95,41.34]]]]},"properties":{"name":"Greece","continent":"Europe","pop_est":10768477}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[21.02,40.84],[20.61,41.09],[20.46,41.52],[20.59,41.86],[20.52,42.22],[20.28,42.32],[20.07,42.59],[19.8,42.5],[19.74,42.69],[19.3,42.2],[19.37,41.88],[19.54,41.72],[19.4,41.41],[19.32,40.73],[19.41,40.25],[19.96,39.92],[19.98,39.69],[20.15,39.62],[20.62,40.11],[20.67,40.43],[21,40.58],[21.02,40.84]]]},"properties":{"name":"Albania","continent":"Europe","pop_est":3047987}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.56,46.5],[15.77,46.24],[15.67,45.83],[15.32,45.73],[15.33,45.45],[14.94,45.47],[14.6,45.63],[14.41,45.47],[13.72,45.5],[13.68,45.48],[13.66,45.14],[13.95,44.8],[14.26,45.23],[14.9,45.08],[14.92,44.74],[15.38,44.32],[15.17,44.24],[16.02,43.51],[16.93,43.21],[17.51,42.85],[18.45,42.48],[18.56,42.65],[17.67,43.03],[17.3,43.45],[16.92,43.67],[16.46,44.04],[16.24,44.35],[15.75,44.82],[15.96,45.23],[16.32,45],[16.53,45.21],[17,45.23],[17.86,45.07],[18.55,45.08],[19.01,44.86],[19.39,45.24],[19.07,45.52],[18.83,45.91],[18.46,45.76],[17.63,45.95],[16.88,46.38],[16.56,46.5]]]},"properties":{"name":"Croatia","continent":"Europe","pop_est":4292095}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[9.59,47.53],[8.52,47.83],[8.32,47.61],[7.47,47.62],[7.19,47.45],[6.74,47.54],[6.77,47.29],[6.04,46.73],[6.02,46.27],[6.5,46.43],[6.84,45.99],[7.27,45.78],[7.76,45.82],[8.32,46.16],[8.49,46.01],[8.97,46.04],[9.18,46.44],[9.92,46.31],[10.36,46.48],[10.44,46.89],[9.93,46.92],[9.48,47.1],[9.63,47.35],[9.59,47.53]]]},"properties":{"name":"Switzerland","continent":"Europe","pop_est":8236303}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.04,50.13],[5.78,50.09],[5.67,49.53],[5.9,49.44],[6.19,49.46],[6.24,49.9],[6.04,50.13]]]},"properties":{"name":"Luxembourg","continent":"Europe","pop_est":594130}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.16,50.8],[5.61,51.04],[4.97,51.48],[4.05,51.27],[3.31,51.35],[3.32,51.35],[3.31,51.35],[2.51,51.15],[2.66,50.8],[3.12,50.78],[3.59,50.38],[4.29,49.91],[4.8,49.99],[5.67,49.53],[5.78,50.09],[6.04,50.13],[6.16,50.8]]]},"properties":{"name":"Belgium","continent":"Europe","pop_est":11491346}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.91,53.48],[6.07,53.51],[4.71,53.09],[3.83,51.62],[3.32,51.35],[3.31,51.35],[4.05,51.27],[4.97,51.48],[5.61,51.04],[6.16,50.8],[5.99,51.85],[6.59,51.85],[6.84,52.23],[7.09,53.14],[6.91,53.48]]]},"properties":{"name":"Netherlands","continent":"Europe","pop_est":17084719}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-9.03,41.88],[-8.99,41.54],[-8.79,41.18],[-8.77,40.76],[-8.98,40.16],[-9.05,39.76],[-9.45,39.39],[-9.53,38.74],[-9.29,38.36],[-8.84,38.27],[-8.75,37.65],[-8.9,36.87],[-8.38,36.98],[-7.86,36.84],[-7.45,37.1],[-7.54,37.43],[-7.17,37.8],[-7.03,38.08],[-7.37,38.37],[-7.1,39.03],[-7.5,39.63],[-7.07,39.71],[-7.03,40.18],[-6.86,40.33],[-6.85,41.11],[-6.39,41.38],[-6.67,41.88],[-7.25,41.92],[-7.42,41.79],[-8.01,41.79],[-8.26,42.28],[-8.67,42.13],[-9.03,41.88]]]},"properties":{"name":"Portugal","continent":"Europe","pop_est":10839514}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-7.45,37.1],[-6.52,36.94],[-6.24,36.37],[-5.87,36.03],[-5.38,35.95],[-5,36.32],[-4.37,36.68],[-3.42,36.66],[-2.15,36.67],[-1.44,37.44],[-0.68,37.64],[-0.47,38.29],[0.11,38.74],[-0.28,39.31],[0.11,40.12],[0.72,40.68],[0.81,41.01],[2.09,41.23],[3.04,41.89],[2.99,42.47],[1.83,42.34],[0.7,42.8],[0.34,42.58],[-1.5,43.03],[-1.9,43.42],[-3.52,43.46],[-4.35,43.4],[-5.41,43.57],[-6.75,43.57],[-7.98,43.75],[-9.39,43.03],[-8.98,42.59],[-9.03,41.88],[-8.67,42.13],[-8.26,42.28],[-8.01,41.79],[-7.42,41.79],[-7.25,41.92],[-6.67,41.88],[-6.39,41.38],[-6.85,41.11],[-6.86,40.33],[-7.03,40.18],[-7.07,39.71],[-7.5,39.63],[-7.1,39.03],[-7.37,38.37],[-7.03,38.08],[-7.17,37.8],[-7.54,37.43],[-7.45,37.1]]]},"properties":{"name":"Spain","continent":"Europe","pop_est":48958159}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-6.2,53.87],[-6.95,54.07],[-7.57,54.06],[-7.37,54.6],[-7.57,55.13],[-8.33,54.66],[-9.69,53.88],[-9.17,52.86],[-9.98,51.82],[-8.56,51.67],[-6.79,52.26],[-6.03,53.15],[-6.2,53.87]]]},"properties":{"name":"Ireland","continent":"Europe","pop_est":5011102}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[10.44,46.89],[10.36,46.48],[9.92,46.31],[9.18,46.44],[8.97,46.04],[8.49,46.01],[8.32,46.16],[7.76,45.82],[7.27,45.78],[6.84,45.99],[6.8,45.71],[7.1,45.33],[6.75,45.03],[7.01,44.25],[7.55,44.13],[7.44,43.69],[7.85,43.77],[8.43,44.23],[8.89,44.37],[9.7,44.04],[10.2,43.92],[10.51,42.93],[11.19,42.36],[12.11,41.7],[12.89,41.25],[13.63,41.19],[14.06,40.79],[14.7,40.6],[15,40.17],[15.41,40.05],[15.72,39.54],[16.11,38.96],[15.89,38.75],[15.69,38.21],[15.68,37.91],[16.1,37.99],[16.64,38.84],[17.05,38.9],[17.17,39.42],[16.45,39.8],[16.87,40.44],[17.74,40.28],[18.29,39.81],[18.48,40.17],[18.38,40.36],[17.52,40.88],[16.79,41.18],[15.89,41.54],[16.17,41.74],[15.93,41.96],[15.14,41.96],[14.03,42.76],[13.53,43.59],[12.59,44.09],[12.26,44.6],[12.38,44.89],[12.33,45.38],[13.14,45.74],[13.94,45.59],[13.7,46.02],[13.81,46.51],[12.38,46.77],[12.15,47.12],[11.16,46.94],[11.05,46.75],[10.44,46.89]]],[[[14.76,38.14],[13.74,38.03],[12.57,38.13],[12.43,37.61],[13.83,37.1],[14.34,37],[15.1,36.62],[15.31,37.13],[15.16,37.44],[15.52,38.23],[14.76,38.14]]],[[[8.71,40.9],[8.16,40.95],[8.39,40.38],[8.43,39.17],[8.81,38.91],[9.21,39.24],[9.67,39.18],[9.81,40.5],[9.21,41.21],[8.71,40.9]]]]},"properties":{"name":"Italy","continent":"Europe","pop_est":62137802}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[9.92,54.98],[9.65,55.47],[10.37,56.19],[10.67,56.08],[10.91,56.46],[10.37,56.61],[10.25,56.89],[10.55,57.22],[10.58,57.73],[9.78,57.45],[9.42,57.17],[8.54,57.11],[8.26,56.81],[8.09,56.54],[8.12,55.52],[8.53,54.96],[9.28,54.83],[9.92,54.98]]],[[[12.37,56.11],[10.9,55.78],[11.04,55.36],[12.09,54.8],[12.69,55.61],[12.37,56.11]]]]},"properties":{"name":"Denmark","continent":"Europe","pop_est":5605948}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[-6.2,53.87],[-5.66,54.55],[-6.73,55.17],[-7.57,55.13],[-7.37,54.6],[-7.57,54.06],[-6.95,54.07],[-6.2,53.87]]],[[[-3.09,53.4],[-4.58,53.5],[-4.77,52.84],[-4.22,52.3],[-5.27,51.99],[-4.98,51.59],[-3.42,51.43],[-3.41,51.43],[-4.31,51.21],[-5.78,50.16],[-5.25,49.96],[-4.54,50.34],[-3.62,50.23],[-2.96,50.7],[-2.49,50.5],[-0.79,50.77],[0.55,50.77],[1.45,51.29],[1.05,51.81],[1.56,52.1],[1.68,52.74],[0.47,52.93],[0.18,53.33],[-0.43,54.46],[-1.11,54.62],[-2.01,55.8],[-2.09,55.91],[-3.12,55.97],[-2.22,56.87],[-1.96,57.68],[-3.06,57.69],[-4.07,57.55],[-3.01,58.64],[-4.21,58.55],[-5.01,58.63],[-5.79,57.82],[-6.15,56.79],[-5.64,56.28],[-5.59,55.31],[-5.05,55.78],[-4.72,55.51],[-5.08,55.06],[-4.84,54.79],[-3.63,54.62],[-3.61,54.6],[-2.95,53.98],[-3.09,53.4]]]]},"properties":{"name":"United Kingdom","continent":"Europe","pop_est":64769452}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-14.51,66.46],[-16.17,66.53],[-17.8,65.99],[-19.06,66.28],[-20.58,65.73],[-22.13,66.41],[-23.65,66.26],[-24.33,65.61],[-22.23,65.38],[-22.18,65.08],[-23.96,64.89],[-21.78,64.4],[-22.76,63.96],[-19.97,63.64],[-18.66,63.5],[-17.79,63.68],[-14.91,64.36],[-13.61,65.13],[-14.74,65.81],[-14.51,66.46]]]},"properties":{"name":"Iceland","continent":"Europe","pop_est":339747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.81,46.51],[13.7,46.02],[13.94,45.59],[13.72,45.5],[14.41,45.47],[14.6,45.63],[14.94,45.47],[15.33,45.45],[15.32,45.73],[15.67,45.83],[15.77,46.24],[16.56,46.5],[16.37,46.84],[16.2,46.85],[16.01,46.68],[15.14,46.66],[14.63,46.43],[13.81,46.51]]]},"properties":{"name":"Slovenia","continent":"Europe","pop_est":1972126}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.59,69.06],[29.02,69.77],[27.73,70.16],[26.18,69.83],[25.69,69.09],[24.74,68.65],[23.66,68.89],[22.36,68.84],[21.24,69.37],[20.65,69.11],[21.98,68.62],[23.54,67.94],[23.57,66.4],[23.9,66.01],[25.29,65.53],[25.4,65.11],[24.73,64.9],[22.44,63.82],[21.54,63.19],[21.06,62.61],[21.54,61.71],[21.32,60.72],[22.29,60.39],[22.87,59.85],[24.5,60.06],[26.26,60.42],[28.07,60.5],[30.21,61.78],[31.14,62.36],[31.52,62.87],[30.04,63.55],[30.44,64.2],[29.54,64.95],[30.22,65.81],[29.05,66.94],[29.98,67.7],[28.45,68.36],[28.59,69.06]]]},"properties":{"name":"Finland","continent":"Europe","pop_est":5491218}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.56,49.09],[21.61,49.47],[20.89,49.33],[20.42,49.43],[19.83,49.22],[19.32,49.57],[18.91,49.44],[18.85,49.5],[18.55,49.5],[18.4,49.32],[18.17,49.27],[18.1,49.04],[17.91,49],[17.89,48.9],[17.55,48.8],[17.1,48.82],[16.96,48.6],[16.88,48.47],[16.98,48.12],[17.49,47.87],[17.86,47.76],[18.7,47.88],[18.78,48.08],[19.17,48.11],[19.66,48.27],[19.77,48.2],[20.24,48.33],[20.47,48.56],[20.8,48.62],[21.87,48.32],[22.09,48.42],[22.28,48.83],[22.56,49.09]]]},"properties":{"name":"Slovakia","continent":"Europe","pop_est":5445829}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[15.02,51.11],[14.57,51],[14.31,51.12],[14.06,50.93],[13.34,50.73],[12.97,50.48],[12.24,50.27],[12.42,49.97],[12.52,49.55],[13.03,49.31],[13.6,48.88],[14.34,48.56],[14.9,48.96],[15.25,49.04],[16.03,48.73],[16.5,48.79],[16.96,48.6],[17.1,48.82],[17.55,48.8],[17.89,48.9],[17.91,49],[18.1,49.04],[18.17,49.27],[18.4,49.32],[18.55,49.5],[18.85,49.5],[18.39,49.99],[17.65,50.05],[17.55,50.36],[16.87,50.47],[16.72,50.22],[16.18,50.42],[16.24,50.7],[15.49,50.78],[15.02,51.11]]]},"properties":{"name":"Czechia","continent":"Europe","pop_est":10674723}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.56,42.65],[18.71,43.2],[19.03,43.43],[19.22,43.52],[19.45,43.57],[19.6,44.04],[19.12,44.42],[19.37,44.86],[19.01,44.86],[18.55,45.08],[17.86,45.07],[17,45.23],[16.53,45.21],[16.32,45],[15.96,45.23],[15.75,44.82],[16.24,44.35],[16.46,44.04],[16.92,43.67],[17.3,43.45],[17.67,43.03],[18.56,42.65]]]},"properties":{"name":"Bosnia and Herz.","continent":"Europe","pop_est":3856181}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.38,42.32],[21.92,42.3],[21.58,42.25],[21.35,42.21],[20.76,42.05],[20.72,41.85],[20.59,41.86],[20.46,41.52],[20.61,41.09],[21.02,40.84],[21.67,40.93],[22.06,41.15],[22.6,41.13],[22.76,41.3],[22.95,41.34],[22.88,42],[22.38,42.32]]]},"properties":{"name":"Macedonia","continent":"Europe","pop_est":2103721}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.83,45.91],[19.07,45.52],[19.39,45.24],[19.01,44.86],[19.37,44.86],[19.12,44.42],[19.6,44.04],[19.45,43.57],[19.22,43.52],[19.48,43.35],[19.63,43.21],[19.96,43.11],[20.34,42.9],[20.26,42.81],[20.5,42.88],[20.64,43.22],[20.81,43.27],[20.96,43.13],[21.14,43.07],[21.27,42.91],[21.44,42.86],[21.63,42.68],[21.78,42.68],[21.66,42.44],[21.54,42.32],[21.58,42.25],[21.92,42.3],[22.38,42.32],[22.55,42.46],[22.44,42.58],[22.6,42.9],[22.99,43.21],[22.5,43.64],[22.41,44.01],[22.66,44.23],[22.47,44.41],[22.71,44.58],[22.46,44.7],[22.15,44.48],[21.56,44.77],[21.48,45.18],[20.87,45.42],[20.76,45.73],[20.22,46.13],[19.6,46.17],[18.83,45.91]]]},"properties":{"name":"Serbia","continent":"Europe","pop_est":7111024}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.07,42.59],[20.26,42.81],[20.34,42.9],[19.96,43.11],[19.63,43.21],[19.48,43.35],[19.22,43.52],[19.03,43.43],[18.71,43.2],[18.56,42.65],[18.45,42.48],[18.88,42.28],[19.16,41.96],[19.37,41.88],[19.3,42.2],[19.74,42.69],[19.8,42.5],[20.07,42.59]]]},"properties":{"name":"Montenegro","continent":"Europe","pop_est":642550}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.59,41.86],[20.72,41.85],[20.76,42.05],[21.35,42.21],[21.58,42.25],[21.54,42.32],[21.66,42.44],[21.78,42.68],[21.63,42.68],[21.44,42.86],[21.27,42.91],[21.14,43.07],[20.96,43.13],[20.81,43.27],[20.64,43.22],[20.5,42.88],[20.26,42.81],[20.07,42.59],[20.28,42.32],[20.52,42.22],[20.59,41.86]]]},"properties":{"name":"Kosovo","continent":"Europe","pop_est":1895250}}
]}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/latest/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React from 'react';
import useEvent from 'react-use-event-hook';
import { FlexMap, GeoMapLayer, ScatterMapLayer } from '@mescius/wijmo.react.chart.map';
import { Point, Rect } from '@mescius/wijmo';
import './app.css';
import { getGdpData } from './data';
function App() {
const tooltipContent = useEvent((ht) => ht.gdp ? '<b>{name}</b> \${gdp}<br>rank {rank}' : '');
const itemsSourceChanged = useEvent((layer) => {
const bb = new Rect(-29, 36, 90, 35);
layer.map.zoomTo(bb);
let features = layer.getAllFeatures();
let pts = [];
let gdpData = getGdpData();
let dataMap = new Map();
gdpData.forEach(el => dataMap.set(el.Country, el));
features.forEach((f) => {
let rect = layer.map.layers[0].getGeoBBox(f);
let name = f.properties.name;
let pt = new Point(rect.left + 0.5 * rect.width, rect.top + 0.5 * rect.height);
if (name == 'Norway') {
pt = new Point(10.752222, 59.913889);
}
else if (name == 'Russia') {
pt = new Point(37.617222, 55.755833);
}
let el = dataMap.get(name);
if (el) {
pts.push({
x: pt.x, y: pt.y, name: name, gdp: parseFloat(el[2020]), rank: parseInt(el['Rank'])
});
}
});
layer.map.layers[1].itemsSource = pts;
});
return (<div className="container-fluid">
<FlexMap header="Europe - GDP per capita" tooltipContent={tooltipContent}>
<GeoMapLayer url="data/europe.json" style={{ fill: 'rgba(153,216,201,1)', stroke: 'white', strokeWidth: 1 }} itemsSourceChanged={itemsSourceChanged}/>
<ScatterMapLayer binding="x,y,gdp" symbolMaxSize={20} symbolMinSize={5} style={{ fill: 'rgba(44,162,95,1)' }}/>
</FlexMap>
</div>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Wijmo World Choropleth</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.19.40/dist/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.wj-flexmap {
max-width: 600px;
}
export function getGdpData() {
return [
{
"Rank": 1,
"Country": "Luxembourg",
"2020": "112875"
},
{
"Rank": 2,
"Country": "Ireland",
"2020": "89383"
},
{
"Rank": 3,
"Country": "Switzerland",
"2020": "68340"
},
{
"Rank": 4,
"Country": "Norway",
"2020": "64856"
},
{
"Rank": 5,
"Country": "Denmark",
"2020": "57781"
},
{
"Rank": 6,
"Country": "Netherlands",
"2020": "57101"
},
{
"Rank": 7,
"Country": "Austria",
"2020": "55406"
},
{
"Rank": 8,
"Country": "Iceland",
"2020": "54482"
},
{
"Rank": 9,
"Country": "Germany",
"2020": "53571"
},
{
"Rank": 10,
"Country": "Sweden",
"2020": "52477"
},
{
"Rank": 11,
"Country": "Belgium",
"2020": "50114"
},
{
"Rank": 12,
"Country": "Finland",
"2020": "49334"
},
{
"Rank": 13,
"Country": "France",
"2020": "45454"
},
{
"Rank": 14,
"Country": "United Kingdom",
"2020": "44288"
},
{
"Rank": 15,
"Country": "Malta",
"2020": "43087"
},
{
"Rank": 16,
"Country": "Czech Republic",
"2020": "40293"
},
{
"Rank": 17,
"Country": "Italy",
"2020": "40066"
},
{
"Rank": 18,
"Country": "Cyprus",
"2020": "39079"
},
{
"Rank": 19,
"Country": "Lithuania",
"2020": "38605"
},
{
"Rank": 20,
"Country": "Slovenia",
"2020": "38506"
},
{
"Rank": 21,
"Country": "Spain",
"2020": "38143"
},
{
"Rank": 22,
"Country": "Estonia",
"2020": "37033"
},
{
"Rank": 23,
"Country": "Poland",
"2020": "33739"
},
{
"Rank": 24,
"Country": "Portugal",
"2020": "33131"
},
{
"Rank": 25,
"Country": "Hungary",
"2020": "32434"
},
{
"Rank": 26,
"Country": "Slovakia",
"2020": "32184"
},
{
"Rank": 27,
"Country": "Latvia",
"2020": "30579"
},
{
"Rank": 28,
"Country": "Romania",
"2020": "30141"
},
{
"Rank": 29,
"Country": "Greece",
"2020": "29045"
},
{
"Rank": 30,
"Country": "Croatia",
"2020": "27681"
},
{
"Rank": 31,
"Country": "Russia",
"2020": "27394"
},
{
"Rank": 32,
"Country": "Bulgaria",
"2020": "23741"
},
{
"Rank": 33,
"Country": "Montenegro",
"2020": "19931"
},
{
"Rank": 34,
"Country": "Belarus",
"2020": "19759"
},
{
"Rank": 35,
"Country": "Serbia",
"2020": "18840"
},
{
"Rank": 36,
"Country": "North Macedonia",
"2020": "16609"
},
{
"Rank": 37,
"Country": "Bosnia and Herzegovina",
"2020": "14895"
},
{
"Rank": 38,
"Country": "Albania",
"2020": "13651"
},
{
"Rank": 39,
"Country": "Moldova",
"2020": "13253"
},
{
"Rank": 40,
"Country": "Ukraine",
"2020": "12710"
}
];
}
{"type":"FeatureCollection", "features": [
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[178.73,71.1],[178.9,70.78],[180,70.83],[180,71.52],[178.73,71.1]]],[[[49.1,46.4],[48.59,46.56],[48.69,47.08],[48.06,47.74],[47.32,47.72],[46.47,48.39],[47.04,49.15],[46.75,49.36],[47.55,50.45],[48.58,49.87],[48.7,50.61],[50.77,51.69],[52.33,51.72],[54.53,51.03],[55.72,50.62],[56.78,51.04],[58.36,51.06],[59.64,50.55],[59.93,50.84],[61.34,50.8],[61.59,51.27],[59.97,51.96],[60.93,52.45],[60.74,52.72],[61.7,52.98],[60.98,53.66],[61.44,54.01],[65.18,54.35],[65.67,54.6],[68.17,54.97],[69.07,55.39],[70.87,55.17],[71.18,54.13],[72.22,54.38],[73.51,54.04],[73.43,53.49],[74.38,53.55],[76.89,54.49],[76.53,54.18],[77.8,53.4],[80.04,50.86],[80.57,51.39],[81.95,50.81],[83.38,51.07],[83.94,50.89],[84.42,50.31],[85.12,50.12],[85.54,49.69],[86.83,49.83],[87.36,49.21],[87.75,49.3],[88.81,49.47],[90.71,50.33],[92.23,50.8],[93.1,50.5],[94.15,50.48],[94.82,50.01],[95.81,49.98],[97.26,49.73],[98.23,50.42],[97.83,51.01],[98.86,52.05],[99.98,51.63],[100.89,51.52],[102.07,51.26],[102.26,50.51],[103.68,50.09],[104.62,50.28],[105.89,50.41],[106.89,50.27],[107.87,49.79],[108.48,49.28],[109.4,49.29],[110.66,49.13],[111.58,49.38],[112.9,49.54],[114.36,50.25],[114.96,50.14],[115.49,49.81],[116.68,49.89],[117.88,49.51],[119.29,50.14],[119.28,50.58],[120.18,51.64],[120.74,51.96],[120.73,52.52],[120.18,52.75],[121,53.25],[122.25,53.43],[123.57,53.46],[125.07,53.16],[125.95,52.79],[126.56,51.78],[126.94,51.35],[127.29,50.74],[127.66,49.76],[129.4,49.44],[130.58,48.73],[130.99,47.79],[132.51,47.79],[133.37,48.18],[135.03,48.48],[134.5,47.58],[134.11,47.21],[133.77,46.12],[133.1,45.14],[131.88,45.32],[131.03,44.97],[131.29,44.11],[131.14,42.93],[130.63,42.9],[130.64,42.4],[130.78,42.22],[130.94,42.55],[132.28,43.28],[132.91,42.8],[133.54,42.81],[134.87,43.4],[135.52,43.99],[136.86,45.14],[138.22,46.31],[138.55,47],[140.06,48.45],[140.51,50.05],[140.6,51.24],[141.38,52.24],[141.35,53.09],[139.9,54.19],[138.8,54.25],[138.16,53.76],[137.19,53.98],[136.7,54.6],[135.13,54.73],[138.96,57.09],[142.2,59.04],[145.49,59.34],[148.54,59.16],[149.78,59.66],[151.34,59.5],[151.27,58.78],[152.81,58.88],[155.04,59.14],[154.22,59.76],[156.72,61.43],[159.3,61.77],[160.12,60.54],[162.66,61.64],[163.26,62.47],[164.47,62.55],[163.67,61.14],[161.87,60.34],[160.15,59.31],[158.36,58.06],[156.81,57.83],[156.76,57.36],[155.91,56.77],[155.43,55.38],[155.99,53.16],[156.42,51.7],[156.79,51.01],[158.23,51.94],[158.53,52.96],[160.02,53.2],[160.37,54.34],[162.12,54.86],[161.7,55.29],[162.13,56.12],[163.06,56.16],[163.19,57.62],[162.05,57.84],[162.02,58.24],[163.22,59.21],[163.54,59.87],[164.88,59.73],[165.84,60.16],[166.29,59.79],[168.9,60.57],[170.33,59.88],[170.7,60.34],[172.15,60.95],[173.68,61.65],[174.57,61.77],[177.36,62.52],[179.23,62.3],[179.49,62.57],[179.37,62.98],[178.91,63.25],[178.31,64.08],[177.41,64.61],[178.71,64.53],[179.99,64.97],[180,64.98],[180,68.96],[178.6,69.4],[175.72,69.88],[173.64,69.82],[170.45,70.1],[170.01,69.65],[170.82,69.01],[169.58,68.69],[167.84,69.58],[165.94,69.47],[164.05,69.67],[162.28,69.64],[160.94,69.44],[159.71,69.72],[159.83,70.45],[159,70.87],[157.01,71.03],[152.97,70.84],[150.35,71.61],[149.5,72.2],[140.47,72.85],[139.15,72.42],[139.87,71.49],[138.23,71.63],[137.5,71.35],[135.56,71.66],[133.86,71.39],[132.25,71.84],[131.29,70.79],[129.72,71.19],[128.46,71.98],[129.05,72.4],[128.59,73.04],[126.98,73.57],[125.38,73.56],[123.26,73.74],[123.2,72.97],[119.02,73.12],[118.78,73.59],[115.57,73.75],[113.97,73.59],[113.53,73.34],[113.02,73.98],[112.12,73.79],[110.64,74.04],[109.4,74.18],[110.15,74.48],[112.78,75.03],[113.89,75.33],[114.13,75.85],[113.33,76.22],[111.08,76.71],[108.15,76.72],[107.24,76.48],[106.97,76.97],[104.71,77.13],[106.07,77.37],[104.35,77.7],[101.99,77.29],[101.04,76.86],[100.76,76.43],[98.92,76.45],[96.68,75.92],[95.86,76.14],[93.23,76.05],[92.9,75.77],[90.26,75.64],[88.32,75.14],[87.17,75.12],[86.01,74.46],[86.82,73.94],[84.66,73.81],[82.25,73.85],[80.51,73.65],[80.61,72.58],[81.5,71.75],[79.65,72.32],[77.58,72.27],[75.9,71.87],[76.36,71.15],[75.29,71.34],[75.68,72.3],[75.16,72.85],[74.66,72.83],[74.89,72.12],[73.1,71.45],[74.4,70.63],[73.6,69.63],[73.84,69.07],[74.94,68.99],[74.47,68.33],[75.05,67.76],[74.19,67.28],[73.92,66.79],[72.82,66.53],[72.42,66.17],[71.28,66.32],[73.24,67.74],[73.67,68.41],[72.56,69.02],[72.79,70.39],[72.47,71.09],[71.85,71.41],[72.8,72.22],[72.59,72.78],[69.94,73.04],[69.2,72.84],[68.54,71.93],[66.69,71.03],[66.72,70.71],[67.26,69.93],[66.93,69.45],[68.14,69.36],[68.16,69.14],[69.18,68.62],[68.51,68.09],[64.89,69.23],[63.5,69.55],[60.55,69.85],[60.03,69.52],[61.08,68.94],[59.94,68.28],[58.8,68.88],[57.32,68.47],[55.44,68.44],[54.73,68.1],[53.49,68.2],[54.47,68.81],[53.72,68.86],[50.23,68],[48.14,67.52],[47.89,66.88],[46.35,66.67],[45.56,67.01],[45.56,67.57],[46.82,67.69],[46.25,68.25],[43.45,68.57],[44.19,67.95],[43.7,67.35],[44.53,66.76],[43.95,66.07],[43.02,66.42],[42.09,66.48],[39.76,65.5],[40.44,64.76],[39.59,64.52],[37.18,65.14],[36.54,64.76],[37.14,64.33],[37.01,63.85],[36.23,64.11],[34.94,64.41],[34.88,65.44],[34.81,65.9],[33.18,66.63],[33.92,66.76],[38.38,66],[40.02,66.27],[41.13,66.79],[41.06,67.46],[40.29,67.93],[36.51,69.06],[33.78,69.3],[32.13,69.91],[31.1,69.56],[29.4,69.16],[28.59,69.06],[28.45,68.36],[29.98,67.7],[29.05,66.94],[30.22,65.81],[29.54,64.95],[30.44,64.2],[30.04,63.55],[31.52,62.87],[31.14,62.36],[30.21,61.78],[28.07,60.5],[29.12,60.03],[27.98,59.48],[28.13,59.3],[27.42,58.72],[27.72,57.79],[27.29,57.47],[27.77,57.24],[27.86,56.76],[28.18,56.17],[29.23,55.92],[29.37,55.67],[29.9,55.79],[30.87,55.55],[30.97,55.08],[30.76,54.81],[31.38,54.16],[31.79,53.97],[31.73,53.79],[32.41,53.62],[32.69,53.35],[32.3,53.13],[31.5,53.17],[31.31,53.07],[31.54,52.74],[31.79,52.1],[32.16,52.06],[32.41,52.29],[32.72,52.24],[33.75,52.34],[34.39,51.77],[34.14,51.57],[34.22,51.26],[35.02,51.21],[35.38,50.77],[35.36,50.58],[36.63,50.23],[37.39,50.38],[38.01,49.92],[38.59,49.93],[40.07,49.6],[40.08,49.31],[39.67,48.78],[39.9,48.23],[39.74,47.9],[38.77,47.83],[38.26,47.55],[38.22,47.1],[39.12,47.26],[39.15,47.04],[37.67,46.64],[38.23,46.24],[37.4,45.4],[36.68,45.24],[37.54,44.66],[38.68,44.28],[39.96,43.43],[40.08,43.55],[40.92,43.38],[42.39,43.22],[43.76,42.74],[43.93,42.55],[44.54,42.71],[45.47,42.5],[45.78,42.09],[46.4,41.86],[46.69,41.83],[47.37,41.22],[47.82,41.15],[47.99,41.41],[48.58,41.81],[47.49,42.99],[47.59,43.66],[46.68,44.61],[47.68,45.64],[48.65,45.81],[49.1,46.4]]],[[[93.78,81.02],[91.18,80.34],[92.55,80.14],[93.31,79.43],[94.97,79.04],[97.76,78.76],[99.94,78.88],[100.19,79.78],[97.88,80.75],[95.94,81.25],[93.78,81.02]]],[[[102.84,79.28],[102.09,79.35],[101.26,79.23],[99.44,77.92],[105.08,78.31],[105.37,78.71],[102.84,79.28]]],[[[138.83,76.14],[137.51,75.95],[136.97,75.26],[138.96,74.61],[140.61,74.85],[144.3,74.82],[145.09,75.56],[141.47,76.09],[138.83,76.14]]],[[[148.22,75.35],[146.36,75.5],[146.12,75.17],[147.98,74.78],[149.58,74.69],[150.73,75.08],[148.22,75.35]]],[[[139.86,73.37],[140.04,73.32],[142.09,73.21],[143.6,73.21],[143.48,73.48],[142.06,73.86],[140.81,73.77],[139.86,73.37]]],[[[44.85,80.59],[47.07,80.56],[46.5,80.25],[47.59,80.01],[48.75,80.18],[48.89,80.34],[49.79,80.42],[51.14,80.55],[51.52,80.7],[50.04,80.92],[49.1,80.75],[48.52,80.51],[48.32,80.78],[46.8,80.77],[44.85,80.59]]],[[[22.73,54.33],[22.65,54.58],[22.76,54.86],[22.32,55.02],[21.27,55.19],[19.89,54.87],[19.66,54.43],[20.89,54.31],[22.73,54.33]]],[[[53.51,73.75],[54.43,73.63],[52.44,72.77],[52.48,72.23],[51.46,72.01],[51.6,71.47],[53.41,71.21],[53.68,70.76],[56.94,70.63],[57.54,70.72],[55.62,71.54],[55.42,72.37],[56.99,73.33],[58.48,74.31],[61.58,75.26],[64.64,75.74],[68.18,76.23],[68.85,76.54],[68.16,76.94],[66.21,76.81],[64.5,76.44],[61.17,76.25],[57.87,75.61],[55.63,75.08],[55.9,74.63],[53.51,73.75]]],[[[142.91,53.7],[142.65,54.37],[142.21,54.23],[142.61,53.76],[141.68,53.3],[141.59,51.94],[142.18,50.95],[142.14,49.62],[141.9,48.86],[142.02,47.78],[141.91,46.81],[142.09,45.97],[142.75,46.74],[143.51,46.14],[143.53,46.84],[142.56,47.86],[143.17,49.31],[144.65,48.98],[143.65,50.75],[143.24,51.76],[143.26,52.74],[142.91,53.7]]],[[[-174.93,67.21],[-177.55,68.2],[-180,68.96],[-180,64.98],[-179.43,65.4],[-179.88,65.87],[-178.69,66.11],[-178.9,65.74],[-178.36,65.39],[-177.22,65.52],[-176.21,65.36],[-175.98,64.92],[-174.65,64.63],[-173.89,64.28],[-172.96,64.25],[-172.55,64.46],[-172.53,65.44],[-170.89,65.54],[-169.9,65.98],[-171.86,66.91],[-174.57,67.06],[-174.34,66.34],[-175.01,66.58],[-174.93,67.21]]],[[[-178.69,70.89],[-177.66,71.13],[-177.58,71.27],[-179.02,71.56],[-179.87,71.56],[-180,71.52],[-180,70.83],[-178.69,70.89]]],[[[33.44,45.97],[33.59,45.85],[32.63,45.52],[32.45,45.33],[33.55,45.03],[33.33,44.56],[33.88,44.36],[35.24,44.94],[36.33,45.11],[36.53,45.47],[35.51,45.41],[35.02,45.65],[35.01,45.74],[34.86,45.77],[34.73,45.97],[34.41,46.01],[33.7,46.22],[33.44,45.97]]]]},"properties":{"name":"Russia","continent":"Europe","pop_est":142257519}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[15.14,79.67],[13.72,79.66],[13.17,80.01],[10.44,79.65],[11.22,78.87],[13.17,78.02],[14.67,77.74],[13.76,77.38],[15.91,76.77],[17.12,76.81],[17.59,77.64],[18.47,77.83],[19.03,78.56],[21.54,78.96],[18.25,79.7],[16.99,80.05],[15.52,80.02],[15.14,79.67]]],[[[31.1,69.56],[30.01,70.19],[31.29,70.45],[28.17,71.19],[26.37,70.99],[24.55,71.03],[23.02,70.2],[21.38,70.26],[19.18,69.82],[16.44,68.56],[14.76,67.81],[12.36,65.88],[10.53,64.49],[8.55,63.45],[5.91,62.61],[4.99,61.97],[5.31,59.66],[5.67,58.59],[7.05,58.08],[8.38,58.31],[10.36,59.47],[11.03,58.86],[11.47,59.43],[12.3,60.12],[12.63,61.29],[11.99,61.8],[11.93,63.13],[12.58,64.07],[13.57,64.05],[13.92,64.45],[13.56,64.79],[15.11,66.19],[16.11,67.3],[16.77,68.01],[17.73,68.01],[17.99,68.57],[19.88,68.41],[20.03,69.07],[20.65,69.11],[21.24,69.37],[22.36,68.84],[23.66,68.89],[24.74,68.65],[25.69,69.09],[26.18,69.83],[27.73,70.16],[29.02,69.77],[28.59,69.06],[29.4,69.16],[31.1,69.56]]],[[[27.41,80.06],[25.45,80.41],[22.92,80.66],[21.91,80.36],[20.46,80.6],[17.37,80.32],[18.46,79.86],[19.9,79.84],[20.08,79.57],[23.02,79.4],[25.92,79.52],[27.41,80.06]]],[[[24.72,77.85],[23.28,78.08],[22.88,78.45],[20.81,78.25],[21.42,77.94],[20.73,77.68],[22.49,77.44],[24.72,77.85]]]]},"properties":{"name":"Norway","continent":"Europe","pop_est":5320045}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[6.19,49.46],[5.9,49.44],[5.67,49.53],[4.8,49.99],[4.29,49.91],[3.59,50.38],[3.12,50.78],[2.66,50.8],[2.51,51.15],[1.64,50.95],[1.34,50.13],[-0.99,49.35],[-1.93,49.78],[-1.62,48.64],[-3.3,48.9],[-4.59,48.68],[-4.49,47.95],[-2.96,47.57],[-2.23,47.06],[-1.19,46.01],[-1.38,44.02],[-1.9,43.42],[-1.5,43.03],[0.34,42.58],[0.7,42.8],[1.83,42.34],[2.99,42.47],[3.1,43.08],[4.56,43.4],[6.53,43.13],[7.44,43.69],[7.55,44.13],[7.01,44.25],[6.75,45.03],[7.1,45.33],[6.8,45.71],[6.84,45.99],[6.5,46.43],[6.02,46.27],[6.04,46.73],[6.77,47.29],[6.74,47.54],[7.19,47.45],[7.47,47.62],[7.59,48.33],[8.1,49.02],[6.66,49.2],[6.19,49.46]]],[[[8.75,42.63],[8.54,42.26],[8.78,41.58],[9.23,41.38],[9.56,42.15],[9.39,43.01],[8.75,42.63]]]]},"properties":{"name":"France","continent":"Europe","pop_est":67106161}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[11.03,58.86],[11.79,57.44],[12.63,56.31],[12.94,55.36],[14.1,55.41],[14.67,56.2],[15.88,56.1],[16.45,57.04],[16.83,58.72],[17.87,58.95],[18.79,60.08],[17.83,60.64],[17.12,61.34],[17.85,62.75],[19.78,63.61],[21.37,64.41],[21.21,65.03],[22.18,65.72],[23.9,66.01],[23.57,66.4],[23.54,67.94],[21.98,68.62],[20.65,69.11],[20.03,69.07],[19.88,68.41],[17.99,68.57],[17.73,68.01],[16.77,68.01],[16.11,67.3],[15.11,66.19],[13.56,64.79],[13.92,64.45],[13.57,64.05],[12.58,64.07],[11.93,63.13],[11.99,61.8],[12.63,61.29],[12.3,60.12],[11.47,59.43],[11.03,58.86]]]},"properties":{"name":"Sweden","continent":"Europe","pop_est":9960487}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.18,56.17],[27.1,55.78],[26.49,55.62],[26.59,55.17],[25.77,54.85],[25.54,54.28],[24.45,53.91],[23.48,53.91],[23.53,53.47],[23.8,53.09],[23.8,52.69],[23.2,52.49],[23.51,52.02],[23.53,51.58],[24.01,51.62],[24.55,51.89],[25.33,51.91],[26.34,51.83],[27.45,51.59],[28.24,51.57],[28.62,51.43],[28.99,51.6],[29.25,51.37],[30.16,51.42],[30.56,51.32],[30.62,51.82],[30.93,52.04],[31.79,52.1],[31.54,52.74],[31.31,53.07],[31.5,53.17],[32.3,53.13],[32.69,53.35],[32.41,53.62],[31.73,53.79],[31.79,53.97],[31.38,54.16],[30.76,54.81],[30.97,55.08],[30.87,55.55],[29.9,55.79],[29.37,55.67],[29.23,55.92],[28.18,56.17]]]},"properties":{"name":"Belarus","continent":"Europe","pop_est":9549747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[31.79,52.1],[30.93,52.04],[30.62,51.82],[30.56,51.32],[30.16,51.42],[29.25,51.37],[28.99,51.6],[28.62,51.43],[28.24,51.57],[27.45,51.59],[26.34,51.83],[25.33,51.91],[24.55,51.89],[24.01,51.62],[23.53,51.58],[24.03,50.71],[23.92,50.42],[23.43,50.31],[22.52,49.48],[22.78,49.03],[22.56,49.09],[22.28,48.83],[22.09,48.42],[22.64,48.15],[22.71,47.88],[23.14,48.1],[23.76,47.99],[24.4,47.98],[24.87,47.74],[25.21,47.89],[25.95,47.99],[26.2,48.22],[26.62,48.22],[26.86,48.37],[27.52,48.47],[28.26,48.16],[28.67,48.12],[29.12,47.85],[29.05,47.51],[29.42,47.35],[29.56,46.93],[29.91,46.67],[29.84,46.53],[30.02,46.42],[29.76,46.35],[29.17,46.38],[29.07,46.52],[28.86,46.44],[28.93,46.26],[28.66,45.94],[28.49,45.6],[28.23,45.49],[28.68,45.3],[29.15,45.46],[29.6,45.29],[30.38,46.03],[30.75,46.58],[31.68,46.71],[31.74,46.33],[33.3,46.08],[33.44,45.97],[33.7,46.22],[34.41,46.01],[34.73,45.97],[34.86,45.77],[35.01,45.74],[34.96,46.27],[35.82,46.65],[36.76,46.7],[37.43,47.02],[38.22,47.1],[38.26,47.55],[38.77,47.83],[39.74,47.9],[39.9,48.23],[39.67,48.78],[40.08,49.31],[40.07,49.6],[38.59,49.93],[38.01,49.92],[37.39,50.38],[36.63,50.23],[35.36,50.58],[35.38,50.77],[35.02,51.21],[34.22,51.26],[34.14,51.57],[34.39,51.77],[33.75,52.34],[32.72,52.24],[32.41,52.29],[32.16,52.06],[31.79,52.1]]]},"properties":{"name":"Ukraine","continent":"Europe","pop_est":44033874}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48,53.91],[23.24,54.22],[22.73,54.33],[20.89,54.31],[19.66,54.43],[18.7,54.44],[18.62,54.68],[17.62,54.85],[16.36,54.51],[14.8,54.05],[14.12,53.76],[14.35,53.25],[14.07,52.98],[14.44,52.62],[14.69,52.09],[14.61,51.75],[15.02,51.11],[15.49,50.78],[16.24,50.7],[16.18,50.42],[16.72,50.22],[16.87,50.47],[17.55,50.36],[17.65,50.05],[18.39,49.99],[18.85,49.5],[18.91,49.44],[19.32,49.57],[19.83,49.22],[20.42,49.43],[20.89,49.33],[21.61,49.47],[22.56,49.09],[22.78,49.03],[22.52,49.48],[23.43,50.31],[23.92,50.42],[24.03,50.71],[23.53,51.58],[23.51,52.02],[23.2,52.49],[23.8,52.69],[23.8,53.09],[23.53,53.47],[23.48,53.91]]]},"properties":{"name":"Poland","continent":"Europe","pop_est":38476269}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.98,48.12],[16.88,48.47],[16.96,48.6],[16.5,48.79],[16.03,48.73],[15.25,49.04],[14.9,48.96],[14.34,48.56],[13.6,48.88],[13.24,48.42],[12.88,48.29],[13.03,47.64],[12.93,47.47],[12.62,47.67],[12.14,47.7],[11.43,47.52],[10.54,47.57],[10.4,47.3],[9.9,47.58],[9.59,47.53],[9.63,47.35],[9.48,47.1],[9.93,46.92],[10.44,46.89],[11.05,46.75],[11.16,46.94],[12.15,47.12],[12.38,46.77],[13.81,46.51],[14.63,46.43],[15.14,46.66],[16.01,46.68],[16.2,46.85],[16.53,47.5],[16.34,47.71],[16.9,47.71],[16.98,48.12]]]},"properties":{"name":"Austria","continent":"Europe","pop_est":8754413}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.09,48.42],[21.87,48.32],[20.8,48.62],[20.47,48.56],[20.24,48.33],[19.77,48.2],[19.66,48.27],[19.17,48.11],[18.78,48.08],[18.7,47.88],[17.86,47.76],[17.49,47.87],[16.98,48.12],[16.9,47.71],[16.34,47.71],[16.53,47.5],[16.2,46.85],[16.37,46.84],[16.56,46.5],[16.88,46.38],[17.63,45.95],[18.46,45.76],[18.83,45.91],[19.6,46.17],[20.22,46.13],[21.02,46.32],[21.63,46.99],[22.1,47.67],[22.71,47.88],[22.64,48.15],[22.09,48.42]]]},"properties":{"name":"Hungary","continent":"Europe","pop_est":9850845}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.62,48.22],[26.92,48.12],[27.23,47.83],[27.55,47.41],[28.13,46.81],[28.16,46.37],[28.05,45.94],[28.23,45.49],[28.49,45.6],[28.66,45.94],[28.93,46.26],[28.86,46.44],[29.07,46.52],[29.17,46.38],[29.76,46.35],[30.02,46.42],[29.84,46.53],[29.91,46.67],[29.56,46.93],[29.42,47.35],[29.05,47.51],[29.12,47.85],[28.67,48.12],[28.26,48.16],[27.52,48.47],[26.86,48.37],[26.62,48.22]]]},"properties":{"name":"Moldova","continent":"Europe","pop_est":3474121}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.23,45.49],[28.05,45.94],[28.16,46.37],[28.13,46.81],[27.55,47.41],[27.23,47.83],[26.92,48.12],[26.62,48.22],[26.2,48.22],[25.95,47.99],[25.21,47.89],[24.87,47.74],[24.4,47.98],[23.76,47.99],[23.14,48.1],[22.71,47.88],[22.1,47.67],[21.63,46.99],[21.02,46.32],[20.22,46.13],[20.76,45.73],[20.87,45.42],[21.48,45.18],[21.56,44.77],[22.15,44.48],[22.46,44.7],[22.71,44.58],[22.47,44.41],[22.66,44.23],[22.94,43.82],[23.33,43.9],[24.1,43.74],[25.57,43.69],[26.07,43.94],[27.24,44.18],[27.97,43.81],[28.56,43.71],[28.84,44.91],[29.14,44.82],[29.63,45.04],[29.6,45.29],[29.15,45.46],[28.68,45.3],[28.23,45.49]]]},"properties":{"name":"Romania","continent":"Europe","pop_est":21529967}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.49,55.62],[25.53,56.1],[25,56.16],[24.86,56.37],[23.88,56.27],[22.2,56.34],[21.06,56.03],[21.27,55.19],[22.32,55.02],[22.76,54.86],[22.65,54.58],[22.73,54.33],[23.24,54.22],[23.48,53.91],[24.45,53.91],[25.54,54.28],[25.77,54.85],[26.59,55.17],[26.49,55.62]]]},"properties":{"name":"Lithuania","continent":"Europe","pop_est":2823859}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.29,57.47],[26.46,57.48],[25.6,57.85],[25.16,57.97],[24.31,57.79],[24.12,57.03],[23.32,57.01],[22.52,57.75],[21.58,57.41],[21.09,56.78],[21.06,56.03],[22.2,56.34],[23.88,56.27],[24.86,56.37],[25,56.16],[25.53,56.1],[26.49,55.62],[27.1,55.78],[28.18,56.17],[27.86,56.76],[27.77,57.24],[27.29,57.47]]]},"properties":{"name":"Latvia","continent":"Europe","pop_est":1944643}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.98,59.48],[26.95,59.45],[25.86,59.61],[24.6,59.47],[23.34,59.19],[23.43,58.61],[24.06,58.26],[24.43,58.38],[24.31,57.79],[25.16,57.97],[25.6,57.85],[26.46,57.48],[27.29,57.47],[27.72,57.79],[27.42,58.72],[28.13,59.3],[27.98,59.48]]]},"properties":{"name":"Estonia","continent":"Europe","pop_est":1251581}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[14.12,53.76],[13.65,54.08],[12.52,54.47],[11.96,54.2],[10.94,54.01],[10.95,54.36],[9.94,54.6],[9.92,54.98],[9.28,54.83],[8.53,54.96],[8.57,54.4],[8.8,54.02],[8.12,53.53],[7.94,53.75],[7.1,53.69],[6.91,53.48],[7.09,53.14],[6.84,52.23],[6.59,51.85],[5.99,51.85],[6.16,50.8],[6.04,50.13],[6.24,49.9],[6.19,49.46],[6.66,49.2],[8.1,49.02],[7.59,48.33],[7.47,47.62],[8.32,47.61],[8.52,47.83],[9.59,47.53],[9.9,47.58],[10.4,47.3],[10.54,47.57],[11.43,47.52],[12.14,47.7],[12.62,47.67],[12.93,47.47],[13.03,47.64],[12.88,48.29],[13.24,48.42],[13.6,48.88],[13.03,49.31],[12.52,49.55],[12.42,49.97],[12.24,50.27],[12.97,50.48],[13.34,50.73],[14.06,50.93],[14.31,51.12],[14.57,51],[15.02,51.11],[14.61,51.75],[14.69,52.09],[14.44,52.62],[14.07,52.98],[14.35,53.25],[14.12,53.76]]]},"properties":{"name":"Germany","continent":"Europe","pop_est":80594017}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.66,44.23],[22.41,44.01],[22.5,43.64],[22.99,43.21],[22.6,42.9],[22.44,42.58],[22.55,42.46],[22.38,42.32],[22.88,42],[22.95,41.34],[23.69,41.31],[24.49,41.58],[25.2,41.23],[26.11,41.33],[26.12,41.83],[27.14,42.14],[28,42.01],[27.67,42.58],[28.04,43.29],[28.56,43.71],[27.97,43.81],[27.24,44.18],[26.07,43.94],[25.57,43.69],[24.1,43.74],[23.33,43.9],[22.94,43.82],[22.66,44.23]]]},"properties":{"name":"Bulgaria","continent":"Europe","pop_est":7101510}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[26.29,35.3],[25.75,35.18],[25.77,35.35],[25.03,35.42],[24.25,35.37],[23.7,35.71],[23.51,35.28],[24.74,35.08],[24.72,34.92],[26.16,35],[26.29,35.3]]],[[[22.95,41.34],[22.76,41.3],[22.6,41.13],[22.06,41.15],[21.67,40.93],[21.02,40.84],[21,40.58],[20.67,40.43],[20.62,40.11],[20.15,39.62],[20.22,39.34],[20.73,38.77],[21.12,38.31],[21.3,37.64],[21.67,36.84],[22.49,36.41],[23.15,36.42],[22.77,37.31],[23.41,37.41],[23.12,37.92],[24.04,37.66],[24.03,38.22],[23.53,38.51],[22.97,38.97],[23.35,39.19],[22.85,39.66],[22.63,40.26],[22.81,40.48],[23.34,39.96],[23.9,39.96],[24.41,40.12],[23.71,40.69],[24.93,40.95],[25.45,40.85],[26.06,40.82],[26.29,40.94],[26.6,41.56],[26.12,41.83],[26.11,41.33],[25.2,41.23],[24.49,41.58],[23.69,41.31],[22.95,41.34]]]]},"properties":{"name":"Greece","continent":"Europe","pop_est":10768477}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[21.02,40.84],[20.61,41.09],[20.46,41.52],[20.59,41.86],[20.52,42.22],[20.28,42.32],[20.07,42.59],[19.8,42.5],[19.74,42.69],[19.3,42.2],[19.37,41.88],[19.54,41.72],[19.4,41.41],[19.32,40.73],[19.41,40.25],[19.96,39.92],[19.98,39.69],[20.15,39.62],[20.62,40.11],[20.67,40.43],[21,40.58],[21.02,40.84]]]},"properties":{"name":"Albania","continent":"Europe","pop_est":3047987}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.56,46.5],[15.77,46.24],[15.67,45.83],[15.32,45.73],[15.33,45.45],[14.94,45.47],[14.6,45.63],[14.41,45.47],[13.72,45.5],[13.68,45.48],[13.66,45.14],[13.95,44.8],[14.26,45.23],[14.9,45.08],[14.92,44.74],[15.38,44.32],[15.17,44.24],[16.02,43.51],[16.93,43.21],[17.51,42.85],[18.45,42.48],[18.56,42.65],[17.67,43.03],[17.3,43.45],[16.92,43.67],[16.46,44.04],[16.24,44.35],[15.75,44.82],[15.96,45.23],[16.32,45],[16.53,45.21],[17,45.23],[17.86,45.07],[18.55,45.08],[19.01,44.86],[19.39,45.24],[19.07,45.52],[18.83,45.91],[18.46,45.76],[17.63,45.95],[16.88,46.38],[16.56,46.5]]]},"properties":{"name":"Croatia","continent":"Europe","pop_est":4292095}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[9.59,47.53],[8.52,47.83],[8.32,47.61],[7.47,47.62],[7.19,47.45],[6.74,47.54],[6.77,47.29],[6.04,46.73],[6.02,46.27],[6.5,46.43],[6.84,45.99],[7.27,45.78],[7.76,45.82],[8.32,46.16],[8.49,46.01],[8.97,46.04],[9.18,46.44],[9.92,46.31],[10.36,46.48],[10.44,46.89],[9.93,46.92],[9.48,47.1],[9.63,47.35],[9.59,47.53]]]},"properties":{"name":"Switzerland","continent":"Europe","pop_est":8236303}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.04,50.13],[5.78,50.09],[5.67,49.53],[5.9,49.44],[6.19,49.46],[6.24,49.9],[6.04,50.13]]]},"properties":{"name":"Luxembourg","continent":"Europe","pop_est":594130}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.16,50.8],[5.61,51.04],[4.97,51.48],[4.05,51.27],[3.31,51.35],[3.32,51.35],[3.31,51.35],[2.51,51.15],[2.66,50.8],[3.12,50.78],[3.59,50.38],[4.29,49.91],[4.8,49.99],[5.67,49.53],[5.78,50.09],[6.04,50.13],[6.16,50.8]]]},"properties":{"name":"Belgium","continent":"Europe","pop_est":11491346}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.91,53.48],[6.07,53.51],[4.71,53.09],[3.83,51.62],[3.32,51.35],[3.31,51.35],[4.05,51.27],[4.97,51.48],[5.61,51.04],[6.16,50.8],[5.99,51.85],[6.59,51.85],[6.84,52.23],[7.09,53.14],[6.91,53.48]]]},"properties":{"name":"Netherlands","continent":"Europe","pop_est":17084719}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-9.03,41.88],[-8.99,41.54],[-8.79,41.18],[-8.77,40.76],[-8.98,40.16],[-9.05,39.76],[-9.45,39.39],[-9.53,38.74],[-9.29,38.36],[-8.84,38.27],[-8.75,37.65],[-8.9,36.87],[-8.38,36.98],[-7.86,36.84],[-7.45,37.1],[-7.54,37.43],[-7.17,37.8],[-7.03,38.08],[-7.37,38.37],[-7.1,39.03],[-7.5,39.63],[-7.07,39.71],[-7.03,40.18],[-6.86,40.33],[-6.85,41.11],[-6.39,41.38],[-6.67,41.88],[-7.25,41.92],[-7.42,41.79],[-8.01,41.79],[-8.26,42.28],[-8.67,42.13],[-9.03,41.88]]]},"properties":{"name":"Portugal","continent":"Europe","pop_est":10839514}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-7.45,37.1],[-6.52,36.94],[-6.24,36.37],[-5.87,36.03],[-5.38,35.95],[-5,36.32],[-4.37,36.68],[-3.42,36.66],[-2.15,36.67],[-1.44,37.44],[-0.68,37.64],[-0.47,38.29],[0.11,38.74],[-0.28,39.31],[0.11,40.12],[0.72,40.68],[0.81,41.01],[2.09,41.23],[3.04,41.89],[2.99,42.47],[1.83,42.34],[0.7,42.8],[0.34,42.58],[-1.5,43.03],[-1.9,43.42],[-3.52,43.46],[-4.35,43.4],[-5.41,43.57],[-6.75,43.57],[-7.98,43.75],[-9.39,43.03],[-8.98,42.59],[-9.03,41.88],[-8.67,42.13],[-8.26,42.28],[-8.01,41.79],[-7.42,41.79],[-7.25,41.92],[-6.67,41.88],[-6.39,41.38],[-6.85,41.11],[-6.86,40.33],[-7.03,40.18],[-7.07,39.71],[-7.5,39.63],[-7.1,39.03],[-7.37,38.37],[-7.03,38.08],[-7.17,37.8],[-7.54,37.43],[-7.45,37.1]]]},"properties":{"name":"Spain","continent":"Europe","pop_est":48958159}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-6.2,53.87],[-6.95,54.07],[-7.57,54.06],[-7.37,54.6],[-7.57,55.13],[-8.33,54.66],[-9.69,53.88],[-9.17,52.86],[-9.98,51.82],[-8.56,51.67],[-6.79,52.26],[-6.03,53.15],[-6.2,53.87]]]},"properties":{"name":"Ireland","continent":"Europe","pop_est":5011102}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[10.44,46.89],[10.36,46.48],[9.92,46.31],[9.18,46.44],[8.97,46.04],[8.49,46.01],[8.32,46.16],[7.76,45.82],[7.27,45.78],[6.84,45.99],[6.8,45.71],[7.1,45.33],[6.75,45.03],[7.01,44.25],[7.55,44.13],[7.44,43.69],[7.85,43.77],[8.43,44.23],[8.89,44.37],[9.7,44.04],[10.2,43.92],[10.51,42.93],[11.19,42.36],[12.11,41.7],[12.89,41.25],[13.63,41.19],[14.06,40.79],[14.7,40.6],[15,40.17],[15.41,40.05],[15.72,39.54],[16.11,38.96],[15.89,38.75],[15.69,38.21],[15.68,37.91],[16.1,37.99],[16.64,38.84],[17.05,38.9],[17.17,39.42],[16.45,39.8],[16.87,40.44],[17.74,40.28],[18.29,39.81],[18.48,40.17],[18.38,40.36],[17.52,40.88],[16.79,41.18],[15.89,41.54],[16.17,41.74],[15.93,41.96],[15.14,41.96],[14.03,42.76],[13.53,43.59],[12.59,44.09],[12.26,44.6],[12.38,44.89],[12.33,45.38],[13.14,45.74],[13.94,45.59],[13.7,46.02],[13.81,46.51],[12.38,46.77],[12.15,47.12],[11.16,46.94],[11.05,46.75],[10.44,46.89]]],[[[14.76,38.14],[13.74,38.03],[12.57,38.13],[12.43,37.61],[13.83,37.1],[14.34,37],[15.1,36.62],[15.31,37.13],[15.16,37.44],[15.52,38.23],[14.76,38.14]]],[[[8.71,40.9],[8.16,40.95],[8.39,40.38],[8.43,39.17],[8.81,38.91],[9.21,39.24],[9.67,39.18],[9.81,40.5],[9.21,41.21],[8.71,40.9]]]]},"properties":{"name":"Italy","continent":"Europe","pop_est":62137802}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[9.92,54.98],[9.65,55.47],[10.37,56.19],[10.67,56.08],[10.91,56.46],[10.37,56.61],[10.25,56.89],[10.55,57.22],[10.58,57.73],[9.78,57.45],[9.42,57.17],[8.54,57.11],[8.26,56.81],[8.09,56.54],[8.12,55.52],[8.53,54.96],[9.28,54.83],[9.92,54.98]]],[[[12.37,56.11],[10.9,55.78],[11.04,55.36],[12.09,54.8],[12.69,55.61],[12.37,56.11]]]]},"properties":{"name":"Denmark","continent":"Europe","pop_est":5605948}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[-6.2,53.87],[-5.66,54.55],[-6.73,55.17],[-7.57,55.13],[-7.37,54.6],[-7.57,54.06],[-6.95,54.07],[-6.2,53.87]]],[[[-3.09,53.4],[-4.58,53.5],[-4.77,52.84],[-4.22,52.3],[-5.27,51.99],[-4.98,51.59],[-3.42,51.43],[-3.41,51.43],[-4.31,51.21],[-5.78,50.16],[-5.25,49.96],[-4.54,50.34],[-3.62,50.23],[-2.96,50.7],[-2.49,50.5],[-0.79,50.77],[0.55,50.77],[1.45,51.29],[1.05,51.81],[1.56,52.1],[1.68,52.74],[0.47,52.93],[0.18,53.33],[-0.43,54.46],[-1.11,54.62],[-2.01,55.8],[-2.09,55.91],[-3.12,55.97],[-2.22,56.87],[-1.96,57.68],[-3.06,57.69],[-4.07,57.55],[-3.01,58.64],[-4.21,58.55],[-5.01,58.63],[-5.79,57.82],[-6.15,56.79],[-5.64,56.28],[-5.59,55.31],[-5.05,55.78],[-4.72,55.51],[-5.08,55.06],[-4.84,54.79],[-3.63,54.62],[-3.61,54.6],[-2.95,53.98],[-3.09,53.4]]]]},"properties":{"name":"United Kingdom","continent":"Europe","pop_est":64769452}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-14.51,66.46],[-16.17,66.53],[-17.8,65.99],[-19.06,66.28],[-20.58,65.73],[-22.13,66.41],[-23.65,66.26],[-24.33,65.61],[-22.23,65.38],[-22.18,65.08],[-23.96,64.89],[-21.78,64.4],[-22.76,63.96],[-19.97,63.64],[-18.66,63.5],[-17.79,63.68],[-14.91,64.36],[-13.61,65.13],[-14.74,65.81],[-14.51,66.46]]]},"properties":{"name":"Iceland","continent":"Europe","pop_est":339747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.81,46.51],[13.7,46.02],[13.94,45.59],[13.72,45.5],[14.41,45.47],[14.6,45.63],[14.94,45.47],[15.33,45.45],[15.32,45.73],[15.67,45.83],[15.77,46.24],[16.56,46.5],[16.37,46.84],[16.2,46.85],[16.01,46.68],[15.14,46.66],[14.63,46.43],[13.81,46.51]]]},"properties":{"name":"Slovenia","continent":"Europe","pop_est":1972126}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.59,69.06],[29.02,69.77],[27.73,70.16],[26.18,69.83],[25.69,69.09],[24.74,68.65],[23.66,68.89],[22.36,68.84],[21.24,69.37],[20.65,69.11],[21.98,68.62],[23.54,67.94],[23.57,66.4],[23.9,66.01],[25.29,65.53],[25.4,65.11],[24.73,64.9],[22.44,63.82],[21.54,63.19],[21.06,62.61],[21.54,61.71],[21.32,60.72],[22.29,60.39],[22.87,59.85],[24.5,60.06],[26.26,60.42],[28.07,60.5],[30.21,61.78],[31.14,62.36],[31.52,62.87],[30.04,63.55],[30.44,64.2],[29.54,64.95],[30.22,65.81],[29.05,66.94],[29.98,67.7],[28.45,68.36],[28.59,69.06]]]},"properties":{"name":"Finland","continent":"Europe","pop_est":5491218}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.56,49.09],[21.61,49.47],[20.89,49.33],[20.42,49.43],[19.83,49.22],[19.32,49.57],[18.91,49.44],[18.85,49.5],[18.55,49.5],[18.4,49.32],[18.17,49.27],[18.1,49.04],[17.91,49],[17.89,48.9],[17.55,48.8],[17.1,48.82],[16.96,48.6],[16.88,48.47],[16.98,48.12],[17.49,47.87],[17.86,47.76],[18.7,47.88],[18.78,48.08],[19.17,48.11],[19.66,48.27],[19.77,48.2],[20.24,48.33],[20.47,48.56],[20.8,48.62],[21.87,48.32],[22.09,48.42],[22.28,48.83],[22.56,49.09]]]},"properties":{"name":"Slovakia","continent":"Europe","pop_est":5445829}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[15.02,51.11],[14.57,51],[14.31,51.12],[14.06,50.93],[13.34,50.73],[12.97,50.48],[12.24,50.27],[12.42,49.97],[12.52,49.55],[13.03,49.31],[13.6,48.88],[14.34,48.56],[14.9,48.96],[15.25,49.04],[16.03,48.73],[16.5,48.79],[16.96,48.6],[17.1,48.82],[17.55,48.8],[17.89,48.9],[17.91,49],[18.1,49.04],[18.17,49.27],[18.4,49.32],[18.55,49.5],[18.85,49.5],[18.39,49.99],[17.65,50.05],[17.55,50.36],[16.87,50.47],[16.72,50.22],[16.18,50.42],[16.24,50.7],[15.49,50.78],[15.02,51.11]]]},"properties":{"name":"Czechia","continent":"Europe","pop_est":10674723}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.56,42.65],[18.71,43.2],[19.03,43.43],[19.22,43.52],[19.45,43.57],[19.6,44.04],[19.12,44.42],[19.37,44.86],[19.01,44.86],[18.55,45.08],[17.86,45.07],[17,45.23],[16.53,45.21],[16.32,45],[15.96,45.23],[15.75,44.82],[16.24,44.35],[16.46,44.04],[16.92,43.67],[17.3,43.45],[17.67,43.03],[18.56,42.65]]]},"properties":{"name":"Bosnia and Herz.","continent":"Europe","pop_est":3856181}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.38,42.32],[21.92,42.3],[21.58,42.25],[21.35,42.21],[20.76,42.05],[20.72,41.85],[20.59,41.86],[20.46,41.52],[20.61,41.09],[21.02,40.84],[21.67,40.93],[22.06,41.15],[22.6,41.13],[22.76,41.3],[22.95,41.34],[22.88,42],[22.38,42.32]]]},"properties":{"name":"Macedonia","continent":"Europe","pop_est":2103721}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.83,45.91],[19.07,45.52],[19.39,45.24],[19.01,44.86],[19.37,44.86],[19.12,44.42],[19.6,44.04],[19.45,43.57],[19.22,43.52],[19.48,43.35],[19.63,43.21],[19.96,43.11],[20.34,42.9],[20.26,42.81],[20.5,42.88],[20.64,43.22],[20.81,43.27],[20.96,43.13],[21.14,43.07],[21.27,42.91],[21.44,42.86],[21.63,42.68],[21.78,42.68],[21.66,42.44],[21.54,42.32],[21.58,42.25],[21.92,42.3],[22.38,42.32],[22.55,42.46],[22.44,42.58],[22.6,42.9],[22.99,43.21],[22.5,43.64],[22.41,44.01],[22.66,44.23],[22.47,44.41],[22.71,44.58],[22.46,44.7],[22.15,44.48],[21.56,44.77],[21.48,45.18],[20.87,45.42],[20.76,45.73],[20.22,46.13],[19.6,46.17],[18.83,45.91]]]},"properties":{"name":"Serbia","continent":"Europe","pop_est":7111024}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.07,42.59],[20.26,42.81],[20.34,42.9],[19.96,43.11],[19.63,43.21],[19.48,43.35],[19.22,43.52],[19.03,43.43],[18.71,43.2],[18.56,42.65],[18.45,42.48],[18.88,42.28],[19.16,41.96],[19.37,41.88],[19.3,42.2],[19.74,42.69],[19.8,42.5],[20.07,42.59]]]},"properties":{"name":"Montenegro","continent":"Europe","pop_est":642550}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.59,41.86],[20.72,41.85],[20.76,42.05],[21.35,42.21],[21.58,42.25],[21.54,42.32],[21.66,42.44],[21.78,42.68],[21.63,42.68],[21.44,42.86],[21.27,42.91],[21.14,43.07],[20.96,43.13],[20.81,43.27],[20.64,43.22],[20.5,42.88],[20.26,42.81],[20.07,42.59],[20.28,42.32],[20.52,42.22],[20.59,41.86]]]},"properties":{"name":"Kosovo","continent":"Europe","pop_est":1895250}}
]}
(function (global) {
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/latest/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'cdn:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.react.chart.analytics': 'cdn:@mescius/wijmo.react.chart.analytics/index.js',
'@mescius/wijmo.react.chart.animation': 'cdn:@mescius/wijmo.react.chart.animation/index.js',
'@mescius/wijmo.react.chart.annotation': 'cdn:@mescius/wijmo.react.chart.annotation/index.js',
'@mescius/wijmo.react.chart.finance.analytics': 'cdn:@mescius/wijmo.react.chart.finance.analytics/index.js',
'@mescius/wijmo.react.chart.finance': 'cdn:@mescius/wijmo.react.chart.finance/index.js',
'@mescius/wijmo.react.chart.hierarchical': 'cdn:@mescius/wijmo.react.chart.hierarchical/index.js',
'@mescius/wijmo.react.chart.interaction': 'cdn:@mescius/wijmo.react.chart.interaction/index.js',
'@mescius/wijmo.react.chart.radar': 'cdn:@mescius/wijmo.react.chart.radar/index.js',
'@mescius/wijmo.react.chart': 'cdn:@mescius/wijmo.react.chart/index.js',
'@mescius/wijmo.react.core': 'cdn:@mescius/wijmo.react.core/index.js',
'@mescius/wijmo.react.chart.map': 'cdn:@mescius/wijmo.react.chart.map/index.js',
'@mescius/wijmo.react.gauge': 'cdn:@mescius/wijmo.react.gauge/index.js',
'@mescius/wijmo.react.grid.detail': 'cdn:@mescius/wijmo.react.grid.detail/index.js',
'@mescius/wijmo.react.grid.filter': 'cdn:@mescius/wijmo.react.grid.filter/index.js',
'@mescius/wijmo.react.grid.grouppanel': 'cdn:@mescius/wijmo.react.grid.grouppanel/index.js',
'@mescius/wijmo.react.grid.search': 'cdn:@mescius/wijmo.react.grid.search/index.js',
'@mescius/wijmo.react.grid.multirow': 'cdn:@mescius/wijmo.react.grid.multirow/index.js',
'@mescius/wijmo.react.grid.sheet': 'cdn:@mescius/wijmo.react.grid.sheet/index.js',
'@mescius/wijmo.react.grid.transposed': 'cdn:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'cdn:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'cdn:@mescius/wijmo.react.grid.immutable/index.js',
'@mescius/wijmo.react.grid': 'cdn:@mescius/wijmo.react.grid/index.js',
'@mescius/wijmo.react.input': 'cdn:@mescius/wijmo.react.input/index.js',
'@mescius/wijmo.react.olap': 'cdn:@mescius/wijmo.react.olap/index.js',
'@mescius/wijmo.react.viewer': 'cdn:@mescius/wijmo.react.viewer/index.js',
'@mescius/wijmo.react.nav': 'cdn:@mescius/wijmo.react.nav/index.js',
'@mescius/wijmo.react.base': 'cdn:@mescius/wijmo.react.base/index.js',
'@mescius/wijmo.react.barcode.common': 'cdn:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'cdn:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'cdn:@mescius/wijmo.react.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
react: 'pcdn:react@19.0.0/index.js',
'react-dom': 'pcdn:react-dom@19.0.0/index.js',
'react-dom/client': 'pcdn:react-dom@19.0.0/client.js',
scheduler: 'pcdn:scheduler@0.25.0/index.js',
redux: 'pcdn:redux@5.0.1/dist/redux.legacy-esm.js',
'react-redux': 'pcdn:react-redux@9.2.0/dist/react-redux.legacy-esm.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
'react-use-event-hook': 'pcdn:react-use-event-hook@0.9.6/dist/esm/useEvent.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

<template>
<div class="container-fluid">
<wj-flex-map header="Europe - GDP per capita" :tooltipContent="tooltipContent">
<wj-geo-map-layer url="data/europe.json" :itemsSourceChanged="itemsSourceChanged">
</wj-geo-map-layer>
<wj-scatter-map-layer binding="x,y,gdp" :symbolMaxSize="20" :symbolMinSize="5"
:style="{ fill: 'rgba(44,162,95,1)' }"></wj-scatter-map-layer>
</wj-flex-map>
</div>
</template>
<script setup>
import { Point, Rect } from "@mescius/wijmo";
import { getGdpData } from "./data";
import { ref } from "vue";
null;
const map = ref(null);
function zoomTo() {
map.value.zoomTo(map.value.layers[0].getGeoBBox());
}
function tooltipContent(ht) {
return ht.gdp ? "<b>{name}</b> ${gdp}<br>rank {rank}" : "";
}
function itemsSourceChanged(layer) {
const bb = new Rect(-29, 36, 90, 35);
layer.style = { fill: "rgba(153,216,201,1)", stroke: "white", strokeWidth: 1 };
layer.map.zoomTo(bb);
let features = layer.getAllFeatures();
let pts = [];
let gdpData = getGdpData();
let dataMap = new Map();
gdpData.forEach((el) => dataMap.set(el.Country, el));
features.forEach((f) => {
let rect = layer.map.layers[0].getGeoBBox(f);
let name = f.properties.name;
let pt = new Point(rect.left + 0.5 * rect.width, rect.top + 0.5 * rect.height);
if (name == "Norway") {
pt = new Point(10.752222, 59.913889);
} else if (name == "Russia") {
pt = new Point(37.617222, 55.755833);
}
let el = dataMap.get(name);
if (el) {
pts.push({
x: pt.x,
y: pt.y,
name: name,
gdp: parseFloat(el[2020]),
rank: parseInt(el["Rank"]),
});
}
});
layer.map.layers[1].itemsSource = pts;
}
</script>
<style>
body {
margin-bottom: 24px;
}
.wj-flexmap {
max-width: 600px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo World Choropleth</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
export function getGdpData() {
return [
{
"Rank": 1,
"Country": "Luxembourg",
"2020": "112875"
},
{
"Rank": 2,
"Country": "Ireland",
"2020": "89383"
},
{
"Rank": 3,
"Country": "Switzerland",
"2020": "68340"
},
{
"Rank": 4,
"Country": "Norway",
"2020": "64856"
},
{
"Rank": 5,
"Country": "Denmark",
"2020": "57781"
},
{
"Rank": 6,
"Country": "Netherlands",
"2020": "57101"
},
{
"Rank": 7,
"Country": "Austria",
"2020": "55406"
},
{
"Rank": 8,
"Country": "Iceland",
"2020": "54482"
},
{
"Rank": 9,
"Country": "Germany",
"2020": "53571"
},
{
"Rank": 10,
"Country": "Sweden",
"2020": "52477"
},
{
"Rank": 11,
"Country": "Belgium",
"2020": "50114"
},
{
"Rank": 12,
"Country": "Finland",
"2020": "49334"
},
{
"Rank": 13,
"Country": "France",
"2020": "45454"
},
{
"Rank": 14,
"Country": "United Kingdom",
"2020": "44288"
},
{
"Rank": 15,
"Country": "Malta",
"2020": "43087"
},
{
"Rank": 16,
"Country": "Czech Republic",
"2020": "40293"
},
{
"Rank": 17,
"Country": "Italy",
"2020": "40066"
},
{
"Rank": 18,
"Country": "Cyprus",
"2020": "39079"
},
{
"Rank": 19,
"Country": "Lithuania",
"2020": "38605"
},
{
"Rank": 20,
"Country": "Slovenia",
"2020": "38506"
},
{
"Rank": 21,
"Country": "Spain",
"2020": "38143"
},
{
"Rank": 22,
"Country": "Estonia",
"2020": "37033"
},
{
"Rank": 23,
"Country": "Poland",
"2020": "33739"
},
{
"Rank": 24,
"Country": "Portugal",
"2020": "33131"
},
{
"Rank": 25,
"Country": "Hungary",
"2020": "32434"
},
{
"Rank": 26,
"Country": "Slovakia",
"2020": "32184"
},
{
"Rank": 27,
"Country": "Latvia",
"2020": "30579"
},
{
"Rank": 28,
"Country": "Romania",
"2020": "30141"
},
{
"Rank": 29,
"Country": "Greece",
"2020": "29045"
},
{
"Rank": 30,
"Country": "Croatia",
"2020": "27681"
},
{
"Rank": 31,
"Country": "Russia",
"2020": "27394"
},
{
"Rank": 32,
"Country": "Bulgaria",
"2020": "23741"
},
{
"Rank": 33,
"Country": "Montenegro",
"2020": "19931"
},
{
"Rank": 34,
"Country": "Belarus",
"2020": "19759"
},
{
"Rank": 35,
"Country": "Serbia",
"2020": "18840"
},
{
"Rank": 36,
"Country": "North Macedonia",
"2020": "16609"
},
{
"Rank": 37,
"Country": "Bosnia and Herzegovina",
"2020": "14895"
},
{
"Rank": 38,
"Country": "Albania",
"2020": "13651"
},
{
"Rank": 39,
"Country": "Moldova",
"2020": "13253"
},
{
"Rank": 40,
"Country": "Ukraine",
"2020": "12710"
}
];
}
{"type":"FeatureCollection", "features": [
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[178.73,71.1],[178.9,70.78],[180,70.83],[180,71.52],[178.73,71.1]]],[[[49.1,46.4],[48.59,46.56],[48.69,47.08],[48.06,47.74],[47.32,47.72],[46.47,48.39],[47.04,49.15],[46.75,49.36],[47.55,50.45],[48.58,49.87],[48.7,50.61],[50.77,51.69],[52.33,51.72],[54.53,51.03],[55.72,50.62],[56.78,51.04],[58.36,51.06],[59.64,50.55],[59.93,50.84],[61.34,50.8],[61.59,51.27],[59.97,51.96],[60.93,52.45],[60.74,52.72],[61.7,52.98],[60.98,53.66],[61.44,54.01],[65.18,54.35],[65.67,54.6],[68.17,54.97],[69.07,55.39],[70.87,55.17],[71.18,54.13],[72.22,54.38],[73.51,54.04],[73.43,53.49],[74.38,53.55],[76.89,54.49],[76.53,54.18],[77.8,53.4],[80.04,50.86],[80.57,51.39],[81.95,50.81],[83.38,51.07],[83.94,50.89],[84.42,50.31],[85.12,50.12],[85.54,49.69],[86.83,49.83],[87.36,49.21],[87.75,49.3],[88.81,49.47],[90.71,50.33],[92.23,50.8],[93.1,50.5],[94.15,50.48],[94.82,50.01],[95.81,49.98],[97.26,49.73],[98.23,50.42],[97.83,51.01],[98.86,52.05],[99.98,51.63],[100.89,51.52],[102.07,51.26],[102.26,50.51],[103.68,50.09],[104.62,50.28],[105.89,50.41],[106.89,50.27],[107.87,49.79],[108.48,49.28],[109.4,49.29],[110.66,49.13],[111.58,49.38],[112.9,49.54],[114.36,50.25],[114.96,50.14],[115.49,49.81],[116.68,49.89],[117.88,49.51],[119.29,50.14],[119.28,50.58],[120.18,51.64],[120.74,51.96],[120.73,52.52],[120.18,52.75],[121,53.25],[122.25,53.43],[123.57,53.46],[125.07,53.16],[125.95,52.79],[126.56,51.78],[126.94,51.35],[127.29,50.74],[127.66,49.76],[129.4,49.44],[130.58,48.73],[130.99,47.79],[132.51,47.79],[133.37,48.18],[135.03,48.48],[134.5,47.58],[134.11,47.21],[133.77,46.12],[133.1,45.14],[131.88,45.32],[131.03,44.97],[131.29,44.11],[131.14,42.93],[130.63,42.9],[130.64,42.4],[130.78,42.22],[130.94,42.55],[132.28,43.28],[132.91,42.8],[133.54,42.81],[134.87,43.4],[135.52,43.99],[136.86,45.14],[138.22,46.31],[138.55,47],[140.06,48.45],[140.51,50.05],[140.6,51.24],[141.38,52.24],[141.35,53.09],[139.9,54.19],[138.8,54.25],[138.16,53.76],[137.19,53.98],[136.7,54.6],[135.13,54.73],[138.96,57.09],[142.2,59.04],[145.49,59.34],[148.54,59.16],[149.78,59.66],[151.34,59.5],[151.27,58.78],[152.81,58.88],[155.04,59.14],[154.22,59.76],[156.72,61.43],[159.3,61.77],[160.12,60.54],[162.66,61.64],[163.26,62.47],[164.47,62.55],[163.67,61.14],[161.87,60.34],[160.15,59.31],[158.36,58.06],[156.81,57.83],[156.76,57.36],[155.91,56.77],[155.43,55.38],[155.99,53.16],[156.42,51.7],[156.79,51.01],[158.23,51.94],[158.53,52.96],[160.02,53.2],[160.37,54.34],[162.12,54.86],[161.7,55.29],[162.13,56.12],[163.06,56.16],[163.19,57.62],[162.05,57.84],[162.02,58.24],[163.22,59.21],[163.54,59.87],[164.88,59.73],[165.84,60.16],[166.29,59.79],[168.9,60.57],[170.33,59.88],[170.7,60.34],[172.15,60.95],[173.68,61.65],[174.57,61.77],[177.36,62.52],[179.23,62.3],[179.49,62.57],[179.37,62.98],[178.91,63.25],[178.31,64.08],[177.41,64.61],[178.71,64.53],[179.99,64.97],[180,64.98],[180,68.96],[178.6,69.4],[175.72,69.88],[173.64,69.82],[170.45,70.1],[170.01,69.65],[170.82,69.01],[169.58,68.69],[167.84,69.58],[165.94,69.47],[164.05,69.67],[162.28,69.64],[160.94,69.44],[159.71,69.72],[159.83,70.45],[159,70.87],[157.01,71.03],[152.97,70.84],[150.35,71.61],[149.5,72.2],[140.47,72.85],[139.15,72.42],[139.87,71.49],[138.23,71.63],[137.5,71.35],[135.56,71.66],[133.86,71.39],[132.25,71.84],[131.29,70.79],[129.72,71.19],[128.46,71.98],[129.05,72.4],[128.59,73.04],[126.98,73.57],[125.38,73.56],[123.26,73.74],[123.2,72.97],[119.02,73.12],[118.78,73.59],[115.57,73.75],[113.97,73.59],[113.53,73.34],[113.02,73.98],[112.12,73.79],[110.64,74.04],[109.4,74.18],[110.15,74.48],[112.78,75.03],[113.89,75.33],[114.13,75.85],[113.33,76.22],[111.08,76.71],[108.15,76.72],[107.24,76.48],[106.97,76.97],[104.71,77.13],[106.07,77.37],[104.35,77.7],[101.99,77.29],[101.04,76.86],[100.76,76.43],[98.92,76.45],[96.68,75.92],[95.86,76.14],[93.23,76.05],[92.9,75.77],[90.26,75.64],[88.32,75.14],[87.17,75.12],[86.01,74.46],[86.82,73.94],[84.66,73.81],[82.25,73.85],[80.51,73.65],[80.61,72.58],[81.5,71.75],[79.65,72.32],[77.58,72.27],[75.9,71.87],[76.36,71.15],[75.29,71.34],[75.68,72.3],[75.16,72.85],[74.66,72.83],[74.89,72.12],[73.1,71.45],[74.4,70.63],[73.6,69.63],[73.84,69.07],[74.94,68.99],[74.47,68.33],[75.05,67.76],[74.19,67.28],[73.92,66.79],[72.82,66.53],[72.42,66.17],[71.28,66.32],[73.24,67.74],[73.67,68.41],[72.56,69.02],[72.79,70.39],[72.47,71.09],[71.85,71.41],[72.8,72.22],[72.59,72.78],[69.94,73.04],[69.2,72.84],[68.54,71.93],[66.69,71.03],[66.72,70.71],[67.26,69.93],[66.93,69.45],[68.14,69.36],[68.16,69.14],[69.18,68.62],[68.51,68.09],[64.89,69.23],[63.5,69.55],[60.55,69.85],[60.03,69.52],[61.08,68.94],[59.94,68.28],[58.8,68.88],[57.32,68.47],[55.44,68.44],[54.73,68.1],[53.49,68.2],[54.47,68.81],[53.72,68.86],[50.23,68],[48.14,67.52],[47.89,66.88],[46.35,66.67],[45.56,67.01],[45.56,67.57],[46.82,67.69],[46.25,68.25],[43.45,68.57],[44.19,67.95],[43.7,67.35],[44.53,66.76],[43.95,66.07],[43.02,66.42],[42.09,66.48],[39.76,65.5],[40.44,64.76],[39.59,64.52],[37.18,65.14],[36.54,64.76],[37.14,64.33],[37.01,63.85],[36.23,64.11],[34.94,64.41],[34.88,65.44],[34.81,65.9],[33.18,66.63],[33.92,66.76],[38.38,66],[40.02,66.27],[41.13,66.79],[41.06,67.46],[40.29,67.93],[36.51,69.06],[33.78,69.3],[32.13,69.91],[31.1,69.56],[29.4,69.16],[28.59,69.06],[28.45,68.36],[29.98,67.7],[29.05,66.94],[30.22,65.81],[29.54,64.95],[30.44,64.2],[30.04,63.55],[31.52,62.87],[31.14,62.36],[30.21,61.78],[28.07,60.5],[29.12,60.03],[27.98,59.48],[28.13,59.3],[27.42,58.72],[27.72,57.79],[27.29,57.47],[27.77,57.24],[27.86,56.76],[28.18,56.17],[29.23,55.92],[29.37,55.67],[29.9,55.79],[30.87,55.55],[30.97,55.08],[30.76,54.81],[31.38,54.16],[31.79,53.97],[31.73,53.79],[32.41,53.62],[32.69,53.35],[32.3,53.13],[31.5,53.17],[31.31,53.07],[31.54,52.74],[31.79,52.1],[32.16,52.06],[32.41,52.29],[32.72,52.24],[33.75,52.34],[34.39,51.77],[34.14,51.57],[34.22,51.26],[35.02,51.21],[35.38,50.77],[35.36,50.58],[36.63,50.23],[37.39,50.38],[38.01,49.92],[38.59,49.93],[40.07,49.6],[40.08,49.31],[39.67,48.78],[39.9,48.23],[39.74,47.9],[38.77,47.83],[38.26,47.55],[38.22,47.1],[39.12,47.26],[39.15,47.04],[37.67,46.64],[38.23,46.24],[37.4,45.4],[36.68,45.24],[37.54,44.66],[38.68,44.28],[39.96,43.43],[40.08,43.55],[40.92,43.38],[42.39,43.22],[43.76,42.74],[43.93,42.55],[44.54,42.71],[45.47,42.5],[45.78,42.09],[46.4,41.86],[46.69,41.83],[47.37,41.22],[47.82,41.15],[47.99,41.41],[48.58,41.81],[47.49,42.99],[47.59,43.66],[46.68,44.61],[47.68,45.64],[48.65,45.81],[49.1,46.4]]],[[[93.78,81.02],[91.18,80.34],[92.55,80.14],[93.31,79.43],[94.97,79.04],[97.76,78.76],[99.94,78.88],[100.19,79.78],[97.88,80.75],[95.94,81.25],[93.78,81.02]]],[[[102.84,79.28],[102.09,79.35],[101.26,79.23],[99.44,77.92],[105.08,78.31],[105.37,78.71],[102.84,79.28]]],[[[138.83,76.14],[137.51,75.95],[136.97,75.26],[138.96,74.61],[140.61,74.85],[144.3,74.82],[145.09,75.56],[141.47,76.09],[138.83,76.14]]],[[[148.22,75.35],[146.36,75.5],[146.12,75.17],[147.98,74.78],[149.58,74.69],[150.73,75.08],[148.22,75.35]]],[[[139.86,73.37],[140.04,73.32],[142.09,73.21],[143.6,73.21],[143.48,73.48],[142.06,73.86],[140.81,73.77],[139.86,73.37]]],[[[44.85,80.59],[47.07,80.56],[46.5,80.25],[47.59,80.01],[48.75,80.18],[48.89,80.34],[49.79,80.42],[51.14,80.55],[51.52,80.7],[50.04,80.92],[49.1,80.75],[48.52,80.51],[48.32,80.78],[46.8,80.77],[44.85,80.59]]],[[[22.73,54.33],[22.65,54.58],[22.76,54.86],[22.32,55.02],[21.27,55.19],[19.89,54.87],[19.66,54.43],[20.89,54.31],[22.73,54.33]]],[[[53.51,73.75],[54.43,73.63],[52.44,72.77],[52.48,72.23],[51.46,72.01],[51.6,71.47],[53.41,71.21],[53.68,70.76],[56.94,70.63],[57.54,70.72],[55.62,71.54],[55.42,72.37],[56.99,73.33],[58.48,74.31],[61.58,75.26],[64.64,75.74],[68.18,76.23],[68.85,76.54],[68.16,76.94],[66.21,76.81],[64.5,76.44],[61.17,76.25],[57.87,75.61],[55.63,75.08],[55.9,74.63],[53.51,73.75]]],[[[142.91,53.7],[142.65,54.37],[142.21,54.23],[142.61,53.76],[141.68,53.3],[141.59,51.94],[142.18,50.95],[142.14,49.62],[141.9,48.86],[142.02,47.78],[141.91,46.81],[142.09,45.97],[142.75,46.74],[143.51,46.14],[143.53,46.84],[142.56,47.86],[143.17,49.31],[144.65,48.98],[143.65,50.75],[143.24,51.76],[143.26,52.74],[142.91,53.7]]],[[[-174.93,67.21],[-177.55,68.2],[-180,68.96],[-180,64.98],[-179.43,65.4],[-179.88,65.87],[-178.69,66.11],[-178.9,65.74],[-178.36,65.39],[-177.22,65.52],[-176.21,65.36],[-175.98,64.92],[-174.65,64.63],[-173.89,64.28],[-172.96,64.25],[-172.55,64.46],[-172.53,65.44],[-170.89,65.54],[-169.9,65.98],[-171.86,66.91],[-174.57,67.06],[-174.34,66.34],[-175.01,66.58],[-174.93,67.21]]],[[[-178.69,70.89],[-177.66,71.13],[-177.58,71.27],[-179.02,71.56],[-179.87,71.56],[-180,71.52],[-180,70.83],[-178.69,70.89]]],[[[33.44,45.97],[33.59,45.85],[32.63,45.52],[32.45,45.33],[33.55,45.03],[33.33,44.56],[33.88,44.36],[35.24,44.94],[36.33,45.11],[36.53,45.47],[35.51,45.41],[35.02,45.65],[35.01,45.74],[34.86,45.77],[34.73,45.97],[34.41,46.01],[33.7,46.22],[33.44,45.97]]]]},"properties":{"name":"Russia","continent":"Europe","pop_est":142257519}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[15.14,79.67],[13.72,79.66],[13.17,80.01],[10.44,79.65],[11.22,78.87],[13.17,78.02],[14.67,77.74],[13.76,77.38],[15.91,76.77],[17.12,76.81],[17.59,77.64],[18.47,77.83],[19.03,78.56],[21.54,78.96],[18.25,79.7],[16.99,80.05],[15.52,80.02],[15.14,79.67]]],[[[31.1,69.56],[30.01,70.19],[31.29,70.45],[28.17,71.19],[26.37,70.99],[24.55,71.03],[23.02,70.2],[21.38,70.26],[19.18,69.82],[16.44,68.56],[14.76,67.81],[12.36,65.88],[10.53,64.49],[8.55,63.45],[5.91,62.61],[4.99,61.97],[5.31,59.66],[5.67,58.59],[7.05,58.08],[8.38,58.31],[10.36,59.47],[11.03,58.86],[11.47,59.43],[12.3,60.12],[12.63,61.29],[11.99,61.8],[11.93,63.13],[12.58,64.07],[13.57,64.05],[13.92,64.45],[13.56,64.79],[15.11,66.19],[16.11,67.3],[16.77,68.01],[17.73,68.01],[17.99,68.57],[19.88,68.41],[20.03,69.07],[20.65,69.11],[21.24,69.37],[22.36,68.84],[23.66,68.89],[24.74,68.65],[25.69,69.09],[26.18,69.83],[27.73,70.16],[29.02,69.77],[28.59,69.06],[29.4,69.16],[31.1,69.56]]],[[[27.41,80.06],[25.45,80.41],[22.92,80.66],[21.91,80.36],[20.46,80.6],[17.37,80.32],[18.46,79.86],[19.9,79.84],[20.08,79.57],[23.02,79.4],[25.92,79.52],[27.41,80.06]]],[[[24.72,77.85],[23.28,78.08],[22.88,78.45],[20.81,78.25],[21.42,77.94],[20.73,77.68],[22.49,77.44],[24.72,77.85]]]]},"properties":{"name":"Norway","continent":"Europe","pop_est":5320045}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[6.19,49.46],[5.9,49.44],[5.67,49.53],[4.8,49.99],[4.29,49.91],[3.59,50.38],[3.12,50.78],[2.66,50.8],[2.51,51.15],[1.64,50.95],[1.34,50.13],[-0.99,49.35],[-1.93,49.78],[-1.62,48.64],[-3.3,48.9],[-4.59,48.68],[-4.49,47.95],[-2.96,47.57],[-2.23,47.06],[-1.19,46.01],[-1.38,44.02],[-1.9,43.42],[-1.5,43.03],[0.34,42.58],[0.7,42.8],[1.83,42.34],[2.99,42.47],[3.1,43.08],[4.56,43.4],[6.53,43.13],[7.44,43.69],[7.55,44.13],[7.01,44.25],[6.75,45.03],[7.1,45.33],[6.8,45.71],[6.84,45.99],[6.5,46.43],[6.02,46.27],[6.04,46.73],[6.77,47.29],[6.74,47.54],[7.19,47.45],[7.47,47.62],[7.59,48.33],[8.1,49.02],[6.66,49.2],[6.19,49.46]]],[[[8.75,42.63],[8.54,42.26],[8.78,41.58],[9.23,41.38],[9.56,42.15],[9.39,43.01],[8.75,42.63]]]]},"properties":{"name":"France","continent":"Europe","pop_est":67106161}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[11.03,58.86],[11.79,57.44],[12.63,56.31],[12.94,55.36],[14.1,55.41],[14.67,56.2],[15.88,56.1],[16.45,57.04],[16.83,58.72],[17.87,58.95],[18.79,60.08],[17.83,60.64],[17.12,61.34],[17.85,62.75],[19.78,63.61],[21.37,64.41],[21.21,65.03],[22.18,65.72],[23.9,66.01],[23.57,66.4],[23.54,67.94],[21.98,68.62],[20.65,69.11],[20.03,69.07],[19.88,68.41],[17.99,68.57],[17.73,68.01],[16.77,68.01],[16.11,67.3],[15.11,66.19],[13.56,64.79],[13.92,64.45],[13.57,64.05],[12.58,64.07],[11.93,63.13],[11.99,61.8],[12.63,61.29],[12.3,60.12],[11.47,59.43],[11.03,58.86]]]},"properties":{"name":"Sweden","continent":"Europe","pop_est":9960487}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.18,56.17],[27.1,55.78],[26.49,55.62],[26.59,55.17],[25.77,54.85],[25.54,54.28],[24.45,53.91],[23.48,53.91],[23.53,53.47],[23.8,53.09],[23.8,52.69],[23.2,52.49],[23.51,52.02],[23.53,51.58],[24.01,51.62],[24.55,51.89],[25.33,51.91],[26.34,51.83],[27.45,51.59],[28.24,51.57],[28.62,51.43],[28.99,51.6],[29.25,51.37],[30.16,51.42],[30.56,51.32],[30.62,51.82],[30.93,52.04],[31.79,52.1],[31.54,52.74],[31.31,53.07],[31.5,53.17],[32.3,53.13],[32.69,53.35],[32.41,53.62],[31.73,53.79],[31.79,53.97],[31.38,54.16],[30.76,54.81],[30.97,55.08],[30.87,55.55],[29.9,55.79],[29.37,55.67],[29.23,55.92],[28.18,56.17]]]},"properties":{"name":"Belarus","continent":"Europe","pop_est":9549747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[31.79,52.1],[30.93,52.04],[30.62,51.82],[30.56,51.32],[30.16,51.42],[29.25,51.37],[28.99,51.6],[28.62,51.43],[28.24,51.57],[27.45,51.59],[26.34,51.83],[25.33,51.91],[24.55,51.89],[24.01,51.62],[23.53,51.58],[24.03,50.71],[23.92,50.42],[23.43,50.31],[22.52,49.48],[22.78,49.03],[22.56,49.09],[22.28,48.83],[22.09,48.42],[22.64,48.15],[22.71,47.88],[23.14,48.1],[23.76,47.99],[24.4,47.98],[24.87,47.74],[25.21,47.89],[25.95,47.99],[26.2,48.22],[26.62,48.22],[26.86,48.37],[27.52,48.47],[28.26,48.16],[28.67,48.12],[29.12,47.85],[29.05,47.51],[29.42,47.35],[29.56,46.93],[29.91,46.67],[29.84,46.53],[30.02,46.42],[29.76,46.35],[29.17,46.38],[29.07,46.52],[28.86,46.44],[28.93,46.26],[28.66,45.94],[28.49,45.6],[28.23,45.49],[28.68,45.3],[29.15,45.46],[29.6,45.29],[30.38,46.03],[30.75,46.58],[31.68,46.71],[31.74,46.33],[33.3,46.08],[33.44,45.97],[33.7,46.22],[34.41,46.01],[34.73,45.97],[34.86,45.77],[35.01,45.74],[34.96,46.27],[35.82,46.65],[36.76,46.7],[37.43,47.02],[38.22,47.1],[38.26,47.55],[38.77,47.83],[39.74,47.9],[39.9,48.23],[39.67,48.78],[40.08,49.31],[40.07,49.6],[38.59,49.93],[38.01,49.92],[37.39,50.38],[36.63,50.23],[35.36,50.58],[35.38,50.77],[35.02,51.21],[34.22,51.26],[34.14,51.57],[34.39,51.77],[33.75,52.34],[32.72,52.24],[32.41,52.29],[32.16,52.06],[31.79,52.1]]]},"properties":{"name":"Ukraine","continent":"Europe","pop_est":44033874}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48,53.91],[23.24,54.22],[22.73,54.33],[20.89,54.31],[19.66,54.43],[18.7,54.44],[18.62,54.68],[17.62,54.85],[16.36,54.51],[14.8,54.05],[14.12,53.76],[14.35,53.25],[14.07,52.98],[14.44,52.62],[14.69,52.09],[14.61,51.75],[15.02,51.11],[15.49,50.78],[16.24,50.7],[16.18,50.42],[16.72,50.22],[16.87,50.47],[17.55,50.36],[17.65,50.05],[18.39,49.99],[18.85,49.5],[18.91,49.44],[19.32,49.57],[19.83,49.22],[20.42,49.43],[20.89,49.33],[21.61,49.47],[22.56,49.09],[22.78,49.03],[22.52,49.48],[23.43,50.31],[23.92,50.42],[24.03,50.71],[23.53,51.58],[23.51,52.02],[23.2,52.49],[23.8,52.69],[23.8,53.09],[23.53,53.47],[23.48,53.91]]]},"properties":{"name":"Poland","continent":"Europe","pop_est":38476269}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.98,48.12],[16.88,48.47],[16.96,48.6],[16.5,48.79],[16.03,48.73],[15.25,49.04],[14.9,48.96],[14.34,48.56],[13.6,48.88],[13.24,48.42],[12.88,48.29],[13.03,47.64],[12.93,47.47],[12.62,47.67],[12.14,47.7],[11.43,47.52],[10.54,47.57],[10.4,47.3],[9.9,47.58],[9.59,47.53],[9.63,47.35],[9.48,47.1],[9.93,46.92],[10.44,46.89],[11.05,46.75],[11.16,46.94],[12.15,47.12],[12.38,46.77],[13.81,46.51],[14.63,46.43],[15.14,46.66],[16.01,46.68],[16.2,46.85],[16.53,47.5],[16.34,47.71],[16.9,47.71],[16.98,48.12]]]},"properties":{"name":"Austria","continent":"Europe","pop_est":8754413}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.09,48.42],[21.87,48.32],[20.8,48.62],[20.47,48.56],[20.24,48.33],[19.77,48.2],[19.66,48.27],[19.17,48.11],[18.78,48.08],[18.7,47.88],[17.86,47.76],[17.49,47.87],[16.98,48.12],[16.9,47.71],[16.34,47.71],[16.53,47.5],[16.2,46.85],[16.37,46.84],[16.56,46.5],[16.88,46.38],[17.63,45.95],[18.46,45.76],[18.83,45.91],[19.6,46.17],[20.22,46.13],[21.02,46.32],[21.63,46.99],[22.1,47.67],[22.71,47.88],[22.64,48.15],[22.09,48.42]]]},"properties":{"name":"Hungary","continent":"Europe","pop_est":9850845}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.62,48.22],[26.92,48.12],[27.23,47.83],[27.55,47.41],[28.13,46.81],[28.16,46.37],[28.05,45.94],[28.23,45.49],[28.49,45.6],[28.66,45.94],[28.93,46.26],[28.86,46.44],[29.07,46.52],[29.17,46.38],[29.76,46.35],[30.02,46.42],[29.84,46.53],[29.91,46.67],[29.56,46.93],[29.42,47.35],[29.05,47.51],[29.12,47.85],[28.67,48.12],[28.26,48.16],[27.52,48.47],[26.86,48.37],[26.62,48.22]]]},"properties":{"name":"Moldova","continent":"Europe","pop_est":3474121}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.23,45.49],[28.05,45.94],[28.16,46.37],[28.13,46.81],[27.55,47.41],[27.23,47.83],[26.92,48.12],[26.62,48.22],[26.2,48.22],[25.95,47.99],[25.21,47.89],[24.87,47.74],[24.4,47.98],[23.76,47.99],[23.14,48.1],[22.71,47.88],[22.1,47.67],[21.63,46.99],[21.02,46.32],[20.22,46.13],[20.76,45.73],[20.87,45.42],[21.48,45.18],[21.56,44.77],[22.15,44.48],[22.46,44.7],[22.71,44.58],[22.47,44.41],[22.66,44.23],[22.94,43.82],[23.33,43.9],[24.1,43.74],[25.57,43.69],[26.07,43.94],[27.24,44.18],[27.97,43.81],[28.56,43.71],[28.84,44.91],[29.14,44.82],[29.63,45.04],[29.6,45.29],[29.15,45.46],[28.68,45.3],[28.23,45.49]]]},"properties":{"name":"Romania","continent":"Europe","pop_est":21529967}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.49,55.62],[25.53,56.1],[25,56.16],[24.86,56.37],[23.88,56.27],[22.2,56.34],[21.06,56.03],[21.27,55.19],[22.32,55.02],[22.76,54.86],[22.65,54.58],[22.73,54.33],[23.24,54.22],[23.48,53.91],[24.45,53.91],[25.54,54.28],[25.77,54.85],[26.59,55.17],[26.49,55.62]]]},"properties":{"name":"Lithuania","continent":"Europe","pop_est":2823859}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.29,57.47],[26.46,57.48],[25.6,57.85],[25.16,57.97],[24.31,57.79],[24.12,57.03],[23.32,57.01],[22.52,57.75],[21.58,57.41],[21.09,56.78],[21.06,56.03],[22.2,56.34],[23.88,56.27],[24.86,56.37],[25,56.16],[25.53,56.1],[26.49,55.62],[27.1,55.78],[28.18,56.17],[27.86,56.76],[27.77,57.24],[27.29,57.47]]]},"properties":{"name":"Latvia","continent":"Europe","pop_est":1944643}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.98,59.48],[26.95,59.45],[25.86,59.61],[24.6,59.47],[23.34,59.19],[23.43,58.61],[24.06,58.26],[24.43,58.38],[24.31,57.79],[25.16,57.97],[25.6,57.85],[26.46,57.48],[27.29,57.47],[27.72,57.79],[27.42,58.72],[28.13,59.3],[27.98,59.48]]]},"properties":{"name":"Estonia","continent":"Europe","pop_est":1251581}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[14.12,53.76],[13.65,54.08],[12.52,54.47],[11.96,54.2],[10.94,54.01],[10.95,54.36],[9.94,54.6],[9.92,54.98],[9.28,54.83],[8.53,54.96],[8.57,54.4],[8.8,54.02],[8.12,53.53],[7.94,53.75],[7.1,53.69],[6.91,53.48],[7.09,53.14],[6.84,52.23],[6.59,51.85],[5.99,51.85],[6.16,50.8],[6.04,50.13],[6.24,49.9],[6.19,49.46],[6.66,49.2],[8.1,49.02],[7.59,48.33],[7.47,47.62],[8.32,47.61],[8.52,47.83],[9.59,47.53],[9.9,47.58],[10.4,47.3],[10.54,47.57],[11.43,47.52],[12.14,47.7],[12.62,47.67],[12.93,47.47],[13.03,47.64],[12.88,48.29],[13.24,48.42],[13.6,48.88],[13.03,49.31],[12.52,49.55],[12.42,49.97],[12.24,50.27],[12.97,50.48],[13.34,50.73],[14.06,50.93],[14.31,51.12],[14.57,51],[15.02,51.11],[14.61,51.75],[14.69,52.09],[14.44,52.62],[14.07,52.98],[14.35,53.25],[14.12,53.76]]]},"properties":{"name":"Germany","continent":"Europe","pop_est":80594017}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.66,44.23],[22.41,44.01],[22.5,43.64],[22.99,43.21],[22.6,42.9],[22.44,42.58],[22.55,42.46],[22.38,42.32],[22.88,42],[22.95,41.34],[23.69,41.31],[24.49,41.58],[25.2,41.23],[26.11,41.33],[26.12,41.83],[27.14,42.14],[28,42.01],[27.67,42.58],[28.04,43.29],[28.56,43.71],[27.97,43.81],[27.24,44.18],[26.07,43.94],[25.57,43.69],[24.1,43.74],[23.33,43.9],[22.94,43.82],[22.66,44.23]]]},"properties":{"name":"Bulgaria","continent":"Europe","pop_est":7101510}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[26.29,35.3],[25.75,35.18],[25.77,35.35],[25.03,35.42],[24.25,35.37],[23.7,35.71],[23.51,35.28],[24.74,35.08],[24.72,34.92],[26.16,35],[26.29,35.3]]],[[[22.95,41.34],[22.76,41.3],[22.6,41.13],[22.06,41.15],[21.67,40.93],[21.02,40.84],[21,40.58],[20.67,40.43],[20.62,40.11],[20.15,39.62],[20.22,39.34],[20.73,38.77],[21.12,38.31],[21.3,37.64],[21.67,36.84],[22.49,36.41],[23.15,36.42],[22.77,37.31],[23.41,37.41],[23.12,37.92],[24.04,37.66],[24.03,38.22],[23.53,38.51],[22.97,38.97],[23.35,39.19],[22.85,39.66],[22.63,40.26],[22.81,40.48],[23.34,39.96],[23.9,39.96],[24.41,40.12],[23.71,40.69],[24.93,40.95],[25.45,40.85],[26.06,40.82],[26.29,40.94],[26.6,41.56],[26.12,41.83],[26.11,41.33],[25.2,41.23],[24.49,41.58],[23.69,41.31],[22.95,41.34]]]]},"properties":{"name":"Greece","continent":"Europe","pop_est":10768477}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[21.02,40.84],[20.61,41.09],[20.46,41.52],[20.59,41.86],[20.52,42.22],[20.28,42.32],[20.07,42.59],[19.8,42.5],[19.74,42.69],[19.3,42.2],[19.37,41.88],[19.54,41.72],[19.4,41.41],[19.32,40.73],[19.41,40.25],[19.96,39.92],[19.98,39.69],[20.15,39.62],[20.62,40.11],[20.67,40.43],[21,40.58],[21.02,40.84]]]},"properties":{"name":"Albania","continent":"Europe","pop_est":3047987}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.56,46.5],[15.77,46.24],[15.67,45.83],[15.32,45.73],[15.33,45.45],[14.94,45.47],[14.6,45.63],[14.41,45.47],[13.72,45.5],[13.68,45.48],[13.66,45.14],[13.95,44.8],[14.26,45.23],[14.9,45.08],[14.92,44.74],[15.38,44.32],[15.17,44.24],[16.02,43.51],[16.93,43.21],[17.51,42.85],[18.45,42.48],[18.56,42.65],[17.67,43.03],[17.3,43.45],[16.92,43.67],[16.46,44.04],[16.24,44.35],[15.75,44.82],[15.96,45.23],[16.32,45],[16.53,45.21],[17,45.23],[17.86,45.07],[18.55,45.08],[19.01,44.86],[19.39,45.24],[19.07,45.52],[18.83,45.91],[18.46,45.76],[17.63,45.95],[16.88,46.38],[16.56,46.5]]]},"properties":{"name":"Croatia","continent":"Europe","pop_est":4292095}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[9.59,47.53],[8.52,47.83],[8.32,47.61],[7.47,47.62],[7.19,47.45],[6.74,47.54],[6.77,47.29],[6.04,46.73],[6.02,46.27],[6.5,46.43],[6.84,45.99],[7.27,45.78],[7.76,45.82],[8.32,46.16],[8.49,46.01],[8.97,46.04],[9.18,46.44],[9.92,46.31],[10.36,46.48],[10.44,46.89],[9.93,46.92],[9.48,47.1],[9.63,47.35],[9.59,47.53]]]},"properties":{"name":"Switzerland","continent":"Europe","pop_est":8236303}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.04,50.13],[5.78,50.09],[5.67,49.53],[5.9,49.44],[6.19,49.46],[6.24,49.9],[6.04,50.13]]]},"properties":{"name":"Luxembourg","continent":"Europe","pop_est":594130}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.16,50.8],[5.61,51.04],[4.97,51.48],[4.05,51.27],[3.31,51.35],[3.32,51.35],[3.31,51.35],[2.51,51.15],[2.66,50.8],[3.12,50.78],[3.59,50.38],[4.29,49.91],[4.8,49.99],[5.67,49.53],[5.78,50.09],[6.04,50.13],[6.16,50.8]]]},"properties":{"name":"Belgium","continent":"Europe","pop_est":11491346}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.91,53.48],[6.07,53.51],[4.71,53.09],[3.83,51.62],[3.32,51.35],[3.31,51.35],[4.05,51.27],[4.97,51.48],[5.61,51.04],[6.16,50.8],[5.99,51.85],[6.59,51.85],[6.84,52.23],[7.09,53.14],[6.91,53.48]]]},"properties":{"name":"Netherlands","continent":"Europe","pop_est":17084719}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-9.03,41.88],[-8.99,41.54],[-8.79,41.18],[-8.77,40.76],[-8.98,40.16],[-9.05,39.76],[-9.45,39.39],[-9.53,38.74],[-9.29,38.36],[-8.84,38.27],[-8.75,37.65],[-8.9,36.87],[-8.38,36.98],[-7.86,36.84],[-7.45,37.1],[-7.54,37.43],[-7.17,37.8],[-7.03,38.08],[-7.37,38.37],[-7.1,39.03],[-7.5,39.63],[-7.07,39.71],[-7.03,40.18],[-6.86,40.33],[-6.85,41.11],[-6.39,41.38],[-6.67,41.88],[-7.25,41.92],[-7.42,41.79],[-8.01,41.79],[-8.26,42.28],[-8.67,42.13],[-9.03,41.88]]]},"properties":{"name":"Portugal","continent":"Europe","pop_est":10839514}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-7.45,37.1],[-6.52,36.94],[-6.24,36.37],[-5.87,36.03],[-5.38,35.95],[-5,36.32],[-4.37,36.68],[-3.42,36.66],[-2.15,36.67],[-1.44,37.44],[-0.68,37.64],[-0.47,38.29],[0.11,38.74],[-0.28,39.31],[0.11,40.12],[0.72,40.68],[0.81,41.01],[2.09,41.23],[3.04,41.89],[2.99,42.47],[1.83,42.34],[0.7,42.8],[0.34,42.58],[-1.5,43.03],[-1.9,43.42],[-3.52,43.46],[-4.35,43.4],[-5.41,43.57],[-6.75,43.57],[-7.98,43.75],[-9.39,43.03],[-8.98,42.59],[-9.03,41.88],[-8.67,42.13],[-8.26,42.28],[-8.01,41.79],[-7.42,41.79],[-7.25,41.92],[-6.67,41.88],[-6.39,41.38],[-6.85,41.11],[-6.86,40.33],[-7.03,40.18],[-7.07,39.71],[-7.5,39.63],[-7.1,39.03],[-7.37,38.37],[-7.03,38.08],[-7.17,37.8],[-7.54,37.43],[-7.45,37.1]]]},"properties":{"name":"Spain","continent":"Europe","pop_est":48958159}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-6.2,53.87],[-6.95,54.07],[-7.57,54.06],[-7.37,54.6],[-7.57,55.13],[-8.33,54.66],[-9.69,53.88],[-9.17,52.86],[-9.98,51.82],[-8.56,51.67],[-6.79,52.26],[-6.03,53.15],[-6.2,53.87]]]},"properties":{"name":"Ireland","continent":"Europe","pop_est":5011102}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[10.44,46.89],[10.36,46.48],[9.92,46.31],[9.18,46.44],[8.97,46.04],[8.49,46.01],[8.32,46.16],[7.76,45.82],[7.27,45.78],[6.84,45.99],[6.8,45.71],[7.1,45.33],[6.75,45.03],[7.01,44.25],[7.55,44.13],[7.44,43.69],[7.85,43.77],[8.43,44.23],[8.89,44.37],[9.7,44.04],[10.2,43.92],[10.51,42.93],[11.19,42.36],[12.11,41.7],[12.89,41.25],[13.63,41.19],[14.06,40.79],[14.7,40.6],[15,40.17],[15.41,40.05],[15.72,39.54],[16.11,38.96],[15.89,38.75],[15.69,38.21],[15.68,37.91],[16.1,37.99],[16.64,38.84],[17.05,38.9],[17.17,39.42],[16.45,39.8],[16.87,40.44],[17.74,40.28],[18.29,39.81],[18.48,40.17],[18.38,40.36],[17.52,40.88],[16.79,41.18],[15.89,41.54],[16.17,41.74],[15.93,41.96],[15.14,41.96],[14.03,42.76],[13.53,43.59],[12.59,44.09],[12.26,44.6],[12.38,44.89],[12.33,45.38],[13.14,45.74],[13.94,45.59],[13.7,46.02],[13.81,46.51],[12.38,46.77],[12.15,47.12],[11.16,46.94],[11.05,46.75],[10.44,46.89]]],[[[14.76,38.14],[13.74,38.03],[12.57,38.13],[12.43,37.61],[13.83,37.1],[14.34,37],[15.1,36.62],[15.31,37.13],[15.16,37.44],[15.52,38.23],[14.76,38.14]]],[[[8.71,40.9],[8.16,40.95],[8.39,40.38],[8.43,39.17],[8.81,38.91],[9.21,39.24],[9.67,39.18],[9.81,40.5],[9.21,41.21],[8.71,40.9]]]]},"properties":{"name":"Italy","continent":"Europe","pop_est":62137802}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[9.92,54.98],[9.65,55.47],[10.37,56.19],[10.67,56.08],[10.91,56.46],[10.37,56.61],[10.25,56.89],[10.55,57.22],[10.58,57.73],[9.78,57.45],[9.42,57.17],[8.54,57.11],[8.26,56.81],[8.09,56.54],[8.12,55.52],[8.53,54.96],[9.28,54.83],[9.92,54.98]]],[[[12.37,56.11],[10.9,55.78],[11.04,55.36],[12.09,54.8],[12.69,55.61],[12.37,56.11]]]]},"properties":{"name":"Denmark","continent":"Europe","pop_est":5605948}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[-6.2,53.87],[-5.66,54.55],[-6.73,55.17],[-7.57,55.13],[-7.37,54.6],[-7.57,54.06],[-6.95,54.07],[-6.2,53.87]]],[[[-3.09,53.4],[-4.58,53.5],[-4.77,52.84],[-4.22,52.3],[-5.27,51.99],[-4.98,51.59],[-3.42,51.43],[-3.41,51.43],[-4.31,51.21],[-5.78,50.16],[-5.25,49.96],[-4.54,50.34],[-3.62,50.23],[-2.96,50.7],[-2.49,50.5],[-0.79,50.77],[0.55,50.77],[1.45,51.29],[1.05,51.81],[1.56,52.1],[1.68,52.74],[0.47,52.93],[0.18,53.33],[-0.43,54.46],[-1.11,54.62],[-2.01,55.8],[-2.09,55.91],[-3.12,55.97],[-2.22,56.87],[-1.96,57.68],[-3.06,57.69],[-4.07,57.55],[-3.01,58.64],[-4.21,58.55],[-5.01,58.63],[-5.79,57.82],[-6.15,56.79],[-5.64,56.28],[-5.59,55.31],[-5.05,55.78],[-4.72,55.51],[-5.08,55.06],[-4.84,54.79],[-3.63,54.62],[-3.61,54.6],[-2.95,53.98],[-3.09,53.4]]]]},"properties":{"name":"United Kingdom","continent":"Europe","pop_est":64769452}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-14.51,66.46],[-16.17,66.53],[-17.8,65.99],[-19.06,66.28],[-20.58,65.73],[-22.13,66.41],[-23.65,66.26],[-24.33,65.61],[-22.23,65.38],[-22.18,65.08],[-23.96,64.89],[-21.78,64.4],[-22.76,63.96],[-19.97,63.64],[-18.66,63.5],[-17.79,63.68],[-14.91,64.36],[-13.61,65.13],[-14.74,65.81],[-14.51,66.46]]]},"properties":{"name":"Iceland","continent":"Europe","pop_est":339747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.81,46.51],[13.7,46.02],[13.94,45.59],[13.72,45.5],[14.41,45.47],[14.6,45.63],[14.94,45.47],[15.33,45.45],[15.32,45.73],[15.67,45.83],[15.77,46.24],[16.56,46.5],[16.37,46.84],[16.2,46.85],[16.01,46.68],[15.14,46.66],[14.63,46.43],[13.81,46.51]]]},"properties":{"name":"Slovenia","continent":"Europe","pop_est":1972126}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.59,69.06],[29.02,69.77],[27.73,70.16],[26.18,69.83],[25.69,69.09],[24.74,68.65],[23.66,68.89],[22.36,68.84],[21.24,69.37],[20.65,69.11],[21.98,68.62],[23.54,67.94],[23.57,66.4],[23.9,66.01],[25.29,65.53],[25.4,65.11],[24.73,64.9],[22.44,63.82],[21.54,63.19],[21.06,62.61],[21.54,61.71],[21.32,60.72],[22.29,60.39],[22.87,59.85],[24.5,60.06],[26.26,60.42],[28.07,60.5],[30.21,61.78],[31.14,62.36],[31.52,62.87],[30.04,63.55],[30.44,64.2],[29.54,64.95],[30.22,65.81],[29.05,66.94],[29.98,67.7],[28.45,68.36],[28.59,69.06]]]},"properties":{"name":"Finland","continent":"Europe","pop_est":5491218}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.56,49.09],[21.61,49.47],[20.89,49.33],[20.42,49.43],[19.83,49.22],[19.32,49.57],[18.91,49.44],[18.85,49.5],[18.55,49.5],[18.4,49.32],[18.17,49.27],[18.1,49.04],[17.91,49],[17.89,48.9],[17.55,48.8],[17.1,48.82],[16.96,48.6],[16.88,48.47],[16.98,48.12],[17.49,47.87],[17.86,47.76],[18.7,47.88],[18.78,48.08],[19.17,48.11],[19.66,48.27],[19.77,48.2],[20.24,48.33],[20.47,48.56],[20.8,48.62],[21.87,48.32],[22.09,48.42],[22.28,48.83],[22.56,49.09]]]},"properties":{"name":"Slovakia","continent":"Europe","pop_est":5445829}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[15.02,51.11],[14.57,51],[14.31,51.12],[14.06,50.93],[13.34,50.73],[12.97,50.48],[12.24,50.27],[12.42,49.97],[12.52,49.55],[13.03,49.31],[13.6,48.88],[14.34,48.56],[14.9,48.96],[15.25,49.04],[16.03,48.73],[16.5,48.79],[16.96,48.6],[17.1,48.82],[17.55,48.8],[17.89,48.9],[17.91,49],[18.1,49.04],[18.17,49.27],[18.4,49.32],[18.55,49.5],[18.85,49.5],[18.39,49.99],[17.65,50.05],[17.55,50.36],[16.87,50.47],[16.72,50.22],[16.18,50.42],[16.24,50.7],[15.49,50.78],[15.02,51.11]]]},"properties":{"name":"Czechia","continent":"Europe","pop_est":10674723}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.56,42.65],[18.71,43.2],[19.03,43.43],[19.22,43.52],[19.45,43.57],[19.6,44.04],[19.12,44.42],[19.37,44.86],[19.01,44.86],[18.55,45.08],[17.86,45.07],[17,45.23],[16.53,45.21],[16.32,45],[15.96,45.23],[15.75,44.82],[16.24,44.35],[16.46,44.04],[16.92,43.67],[17.3,43.45],[17.67,43.03],[18.56,42.65]]]},"properties":{"name":"Bosnia and Herz.","continent":"Europe","pop_est":3856181}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.38,42.32],[21.92,42.3],[21.58,42.25],[21.35,42.21],[20.76,42.05],[20.72,41.85],[20.59,41.86],[20.46,41.52],[20.61,41.09],[21.02,40.84],[21.67,40.93],[22.06,41.15],[22.6,41.13],[22.76,41.3],[22.95,41.34],[22.88,42],[22.38,42.32]]]},"properties":{"name":"Macedonia","continent":"Europe","pop_est":2103721}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.83,45.91],[19.07,45.52],[19.39,45.24],[19.01,44.86],[19.37,44.86],[19.12,44.42],[19.6,44.04],[19.45,43.57],[19.22,43.52],[19.48,43.35],[19.63,43.21],[19.96,43.11],[20.34,42.9],[20.26,42.81],[20.5,42.88],[20.64,43.22],[20.81,43.27],[20.96,43.13],[21.14,43.07],[21.27,42.91],[21.44,42.86],[21.63,42.68],[21.78,42.68],[21.66,42.44],[21.54,42.32],[21.58,42.25],[21.92,42.3],[22.38,42.32],[22.55,42.46],[22.44,42.58],[22.6,42.9],[22.99,43.21],[22.5,43.64],[22.41,44.01],[22.66,44.23],[22.47,44.41],[22.71,44.58],[22.46,44.7],[22.15,44.48],[21.56,44.77],[21.48,45.18],[20.87,45.42],[20.76,45.73],[20.22,46.13],[19.6,46.17],[18.83,45.91]]]},"properties":{"name":"Serbia","continent":"Europe","pop_est":7111024}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.07,42.59],[20.26,42.81],[20.34,42.9],[19.96,43.11],[19.63,43.21],[19.48,43.35],[19.22,43.52],[19.03,43.43],[18.71,43.2],[18.56,42.65],[18.45,42.48],[18.88,42.28],[19.16,41.96],[19.37,41.88],[19.3,42.2],[19.74,42.69],[19.8,42.5],[20.07,42.59]]]},"properties":{"name":"Montenegro","continent":"Europe","pop_est":642550}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.59,41.86],[20.72,41.85],[20.76,42.05],[21.35,42.21],[21.58,42.25],[21.54,42.32],[21.66,42.44],[21.78,42.68],[21.63,42.68],[21.44,42.86],[21.27,42.91],[21.14,43.07],[20.96,43.13],[20.81,43.27],[20.64,43.22],[20.5,42.88],[20.26,42.81],[20.07,42.59],[20.28,42.32],[20.52,42.22],[20.59,41.86]]]},"properties":{"name":"Kosovo","continent":"Europe","pop_est":1895250}}
]}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' },
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/latest/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.vue2.chart.analytics': 'cdn:@mescius/wijmo.vue2.chart.analytics/index.js',
'@mescius/wijmo.vue2.chart.animation': 'cdn:@mescius/wijmo.vue2.chart.animation/index.js',
'@mescius/wijmo.vue2.chart.annotation': 'cdn:@mescius/wijmo.vue2.chart.annotation/index.js',
'@mescius/wijmo.vue2.chart.finance.analytics': 'cdn:@mescius/wijmo.vue2.chart.finance.analytics/index.js',
'@mescius/wijmo.vue2.chart.finance': 'cdn:@mescius/wijmo.vue2.chart.finance/index.js',
'@mescius/wijmo.vue2.chart.hierarchical': 'cdn:@mescius/wijmo.vue2.chart.hierarchical/index.js',
'@mescius/wijmo.vue2.chart.interaction': 'cdn:@mescius/wijmo.vue2.chart.interaction/index.js',
'@mescius/wijmo.vue2.chart.radar': 'cdn:@mescius/wijmo.vue2.chart.radar/index.js',
'@mescius/wijmo.vue2.chart.map': 'cdn:@mescius/wijmo.vue2.chart.map/index.js',
'@mescius/wijmo.vue2.chart': 'cdn:@mescius/wijmo.vue2.chart/index.js',
'@mescius/wijmo.vue2.core': 'cdn:@mescius/wijmo.vue2.core/index.js',
'@mescius/wijmo.vue2.gauge': 'cdn:@mescius/wijmo.vue2.gauge/index.js',
'@mescius/wijmo.vue2.grid.detail': 'cdn:@mescius/wijmo.vue2.grid.detail/index.js',
'@mescius/wijmo.vue2.grid.filter': 'cdn:@mescius/wijmo.vue2.grid.filter/index.js',
'@mescius/wijmo.vue2.grid.grouppanel': 'cdn:@mescius/wijmo.vue2.grid.grouppanel/index.js',
'@mescius/wijmo.vue2.grid.search': 'cdn:@mescius/wijmo.vue2.grid.search/index.js',
'@mescius/wijmo.vue2.grid.multirow': 'cdn:@mescius/wijmo.vue2.grid.multirow/index.js',
'@mescius/wijmo.vue2.grid.sheet': 'cdn:@mescius/wijmo.vue2.grid.sheet/index.js',
'@mescius/wijmo.vue2.grid.transposed': 'cdn:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'cdn:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
'@mescius/wijmo.vue2.grid': 'cdn:@mescius/wijmo.vue2.grid/index.js',
'@mescius/wijmo.vue2.input': 'cdn:@mescius/wijmo.vue2.input/index.js',
'@mescius/wijmo.vue2.olap': 'cdn:@mescius/wijmo.vue2.olap/index.js',
'@mescius/wijmo.vue2.viewer': 'cdn:@mescius/wijmo.vue2.viewer/index.js',
'@mescius/wijmo.vue2.nav': 'cdn:@mescius/wijmo.vue2.nav/index.js',
'@mescius/wijmo.vue2.base': 'cdn:@mescius/wijmo.vue2.base/index.js',
'@mescius/wijmo.vue2.barcode.common': 'cdn:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'cdn:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'cdn:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
vue: 'pcdn:vue@3.4.21/dist/vue.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'vue-loader': 'pcdn:systemjs-vue-browser@1.0.11/index.js',
//'systemjs-plugin-vue': 'pcdn:systemjs-plugin-vue@1.2.0/index.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
rxjs: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
wijmo: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import '@angular/compiler';
import { Component, Inject, enableProdMode, ViewChild, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { WjChartModule } from '@mescius/wijmo.angular2.chart';
import { WjChartMapModule } from '@mescius/wijmo.angular2.chart.map';
import { getGdpData } from './data';
import { Point, Rect } from '@mescius/wijmo';
import { FlexMap } from '@mescius/wijmo.chart.map';
//
@Component({
standalone: true,
imports: [BrowserModule, WjChartMapModule, WjInputModule, WjChartModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
@ViewChild('map') map: FlexMap;
tooltipContent = (ht: any) => (ht.gdp ? '<b>{name}</b> ${gdp}<br>rank {rank}' : '');
itemsSourceChanged(layer: any) {
const bb = new Rect(-29, 36, 90, 35);
this.map.zoomTo(bb);
let features = layer.getAllFeatures();
let pts: any[] = [];
let gdpData = getGdpData();
let dataMap = new Map();
gdpData.forEach((el) => dataMap.set(el.Country, el));
features.forEach((f: any) => {
let rect = layer.map.layers[0].getGeoBBox(f);
let name = f.properties.name;
let pt = new Point(rect.left + 0.5 * rect.width, rect.top + 0.5 * rect.height);
if (name == 'Norway') {
pt = new Point(10.752222, 59.913889);
} else if (name == 'Russia') {
pt = new Point(37.617222, 55.755833);
}
let el = dataMap.get(name);
if (el) {
pts.push({
x: pt.x,
y: pt.y,
name: name,
gdp: parseFloat(el[2020]),
rank: parseInt(el['Rank']),
});
}
});
layer.map.layers[1].itemsSource = pts;
}
}
//
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo World Choropleth</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="https://cdn.jsdelivr.net/npm/core-js/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<wj-flex-map #map header="Europe - GDP per capita" [tooltipContent]="tooltipContent">
<wj-geo-map-layer #layer url="data/europe.json" [style]="{fill:'rgba(153,216,201,1)',stroke:'white',strokeWidth:1}"
(itemsSourceChanged)="itemsSourceChanged(layer)">
</wj-geo-map-layer>
<wj-scatter-map-layer binding="x,y,gdp" [symbolMaxSize]="20" [symbolMinSize]="5"
[style]="{fill:'rgba(44,162,95,1)'}"></wj-scatter-map-layer>
</wj-flex-map>
</div>
body {
margin-bottom: 24px;
}
.wj-flexmap {
max-width: 600px;
}
{"type":"FeatureCollection", "features": [
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[178.73,71.1],[178.9,70.78],[180,70.83],[180,71.52],[178.73,71.1]]],[[[49.1,46.4],[48.59,46.56],[48.69,47.08],[48.06,47.74],[47.32,47.72],[46.47,48.39],[47.04,49.15],[46.75,49.36],[47.55,50.45],[48.58,49.87],[48.7,50.61],[50.77,51.69],[52.33,51.72],[54.53,51.03],[55.72,50.62],[56.78,51.04],[58.36,51.06],[59.64,50.55],[59.93,50.84],[61.34,50.8],[61.59,51.27],[59.97,51.96],[60.93,52.45],[60.74,52.72],[61.7,52.98],[60.98,53.66],[61.44,54.01],[65.18,54.35],[65.67,54.6],[68.17,54.97],[69.07,55.39],[70.87,55.17],[71.18,54.13],[72.22,54.38],[73.51,54.04],[73.43,53.49],[74.38,53.55],[76.89,54.49],[76.53,54.18],[77.8,53.4],[80.04,50.86],[80.57,51.39],[81.95,50.81],[83.38,51.07],[83.94,50.89],[84.42,50.31],[85.12,50.12],[85.54,49.69],[86.83,49.83],[87.36,49.21],[87.75,49.3],[88.81,49.47],[90.71,50.33],[92.23,50.8],[93.1,50.5],[94.15,50.48],[94.82,50.01],[95.81,49.98],[97.26,49.73],[98.23,50.42],[97.83,51.01],[98.86,52.05],[99.98,51.63],[100.89,51.52],[102.07,51.26],[102.26,50.51],[103.68,50.09],[104.62,50.28],[105.89,50.41],[106.89,50.27],[107.87,49.79],[108.48,49.28],[109.4,49.29],[110.66,49.13],[111.58,49.38],[112.9,49.54],[114.36,50.25],[114.96,50.14],[115.49,49.81],[116.68,49.89],[117.88,49.51],[119.29,50.14],[119.28,50.58],[120.18,51.64],[120.74,51.96],[120.73,52.52],[120.18,52.75],[121,53.25],[122.25,53.43],[123.57,53.46],[125.07,53.16],[125.95,52.79],[126.56,51.78],[126.94,51.35],[127.29,50.74],[127.66,49.76],[129.4,49.44],[130.58,48.73],[130.99,47.79],[132.51,47.79],[133.37,48.18],[135.03,48.48],[134.5,47.58],[134.11,47.21],[133.77,46.12],[133.1,45.14],[131.88,45.32],[131.03,44.97],[131.29,44.11],[131.14,42.93],[130.63,42.9],[130.64,42.4],[130.78,42.22],[130.94,42.55],[132.28,43.28],[132.91,42.8],[133.54,42.81],[134.87,43.4],[135.52,43.99],[136.86,45.14],[138.22,46.31],[138.55,47],[140.06,48.45],[140.51,50.05],[140.6,51.24],[141.38,52.24],[141.35,53.09],[139.9,54.19],[138.8,54.25],[138.16,53.76],[137.19,53.98],[136.7,54.6],[135.13,54.73],[138.96,57.09],[142.2,59.04],[145.49,59.34],[148.54,59.16],[149.78,59.66],[151.34,59.5],[151.27,58.78],[152.81,58.88],[155.04,59.14],[154.22,59.76],[156.72,61.43],[159.3,61.77],[160.12,60.54],[162.66,61.64],[163.26,62.47],[164.47,62.55],[163.67,61.14],[161.87,60.34],[160.15,59.31],[158.36,58.06],[156.81,57.83],[156.76,57.36],[155.91,56.77],[155.43,55.38],[155.99,53.16],[156.42,51.7],[156.79,51.01],[158.23,51.94],[158.53,52.96],[160.02,53.2],[160.37,54.34],[162.12,54.86],[161.7,55.29],[162.13,56.12],[163.06,56.16],[163.19,57.62],[162.05,57.84],[162.02,58.24],[163.22,59.21],[163.54,59.87],[164.88,59.73],[165.84,60.16],[166.29,59.79],[168.9,60.57],[170.33,59.88],[170.7,60.34],[172.15,60.95],[173.68,61.65],[174.57,61.77],[177.36,62.52],[179.23,62.3],[179.49,62.57],[179.37,62.98],[178.91,63.25],[178.31,64.08],[177.41,64.61],[178.71,64.53],[179.99,64.97],[180,64.98],[180,68.96],[178.6,69.4],[175.72,69.88],[173.64,69.82],[170.45,70.1],[170.01,69.65],[170.82,69.01],[169.58,68.69],[167.84,69.58],[165.94,69.47],[164.05,69.67],[162.28,69.64],[160.94,69.44],[159.71,69.72],[159.83,70.45],[159,70.87],[157.01,71.03],[152.97,70.84],[150.35,71.61],[149.5,72.2],[140.47,72.85],[139.15,72.42],[139.87,71.49],[138.23,71.63],[137.5,71.35],[135.56,71.66],[133.86,71.39],[132.25,71.84],[131.29,70.79],[129.72,71.19],[128.46,71.98],[129.05,72.4],[128.59,73.04],[126.98,73.57],[125.38,73.56],[123.26,73.74],[123.2,72.97],[119.02,73.12],[118.78,73.59],[115.57,73.75],[113.97,73.59],[113.53,73.34],[113.02,73.98],[112.12,73.79],[110.64,74.04],[109.4,74.18],[110.15,74.48],[112.78,75.03],[113.89,75.33],[114.13,75.85],[113.33,76.22],[111.08,76.71],[108.15,76.72],[107.24,76.48],[106.97,76.97],[104.71,77.13],[106.07,77.37],[104.35,77.7],[101.99,77.29],[101.04,76.86],[100.76,76.43],[98.92,76.45],[96.68,75.92],[95.86,76.14],[93.23,76.05],[92.9,75.77],[90.26,75.64],[88.32,75.14],[87.17,75.12],[86.01,74.46],[86.82,73.94],[84.66,73.81],[82.25,73.85],[80.51,73.65],[80.61,72.58],[81.5,71.75],[79.65,72.32],[77.58,72.27],[75.9,71.87],[76.36,71.15],[75.29,71.34],[75.68,72.3],[75.16,72.85],[74.66,72.83],[74.89,72.12],[73.1,71.45],[74.4,70.63],[73.6,69.63],[73.84,69.07],[74.94,68.99],[74.47,68.33],[75.05,67.76],[74.19,67.28],[73.92,66.79],[72.82,66.53],[72.42,66.17],[71.28,66.32],[73.24,67.74],[73.67,68.41],[72.56,69.02],[72.79,70.39],[72.47,71.09],[71.85,71.41],[72.8,72.22],[72.59,72.78],[69.94,73.04],[69.2,72.84],[68.54,71.93],[66.69,71.03],[66.72,70.71],[67.26,69.93],[66.93,69.45],[68.14,69.36],[68.16,69.14],[69.18,68.62],[68.51,68.09],[64.89,69.23],[63.5,69.55],[60.55,69.85],[60.03,69.52],[61.08,68.94],[59.94,68.28],[58.8,68.88],[57.32,68.47],[55.44,68.44],[54.73,68.1],[53.49,68.2],[54.47,68.81],[53.72,68.86],[50.23,68],[48.14,67.52],[47.89,66.88],[46.35,66.67],[45.56,67.01],[45.56,67.57],[46.82,67.69],[46.25,68.25],[43.45,68.57],[44.19,67.95],[43.7,67.35],[44.53,66.76],[43.95,66.07],[43.02,66.42],[42.09,66.48],[39.76,65.5],[40.44,64.76],[39.59,64.52],[37.18,65.14],[36.54,64.76],[37.14,64.33],[37.01,63.85],[36.23,64.11],[34.94,64.41],[34.88,65.44],[34.81,65.9],[33.18,66.63],[33.92,66.76],[38.38,66],[40.02,66.27],[41.13,66.79],[41.06,67.46],[40.29,67.93],[36.51,69.06],[33.78,69.3],[32.13,69.91],[31.1,69.56],[29.4,69.16],[28.59,69.06],[28.45,68.36],[29.98,67.7],[29.05,66.94],[30.22,65.81],[29.54,64.95],[30.44,64.2],[30.04,63.55],[31.52,62.87],[31.14,62.36],[30.21,61.78],[28.07,60.5],[29.12,60.03],[27.98,59.48],[28.13,59.3],[27.42,58.72],[27.72,57.79],[27.29,57.47],[27.77,57.24],[27.86,56.76],[28.18,56.17],[29.23,55.92],[29.37,55.67],[29.9,55.79],[30.87,55.55],[30.97,55.08],[30.76,54.81],[31.38,54.16],[31.79,53.97],[31.73,53.79],[32.41,53.62],[32.69,53.35],[32.3,53.13],[31.5,53.17],[31.31,53.07],[31.54,52.74],[31.79,52.1],[32.16,52.06],[32.41,52.29],[32.72,52.24],[33.75,52.34],[34.39,51.77],[34.14,51.57],[34.22,51.26],[35.02,51.21],[35.38,50.77],[35.36,50.58],[36.63,50.23],[37.39,50.38],[38.01,49.92],[38.59,49.93],[40.07,49.6],[40.08,49.31],[39.67,48.78],[39.9,48.23],[39.74,47.9],[38.77,47.83],[38.26,47.55],[38.22,47.1],[39.12,47.26],[39.15,47.04],[37.67,46.64],[38.23,46.24],[37.4,45.4],[36.68,45.24],[37.54,44.66],[38.68,44.28],[39.96,43.43],[40.08,43.55],[40.92,43.38],[42.39,43.22],[43.76,42.74],[43.93,42.55],[44.54,42.71],[45.47,42.5],[45.78,42.09],[46.4,41.86],[46.69,41.83],[47.37,41.22],[47.82,41.15],[47.99,41.41],[48.58,41.81],[47.49,42.99],[47.59,43.66],[46.68,44.61],[47.68,45.64],[48.65,45.81],[49.1,46.4]]],[[[93.78,81.02],[91.18,80.34],[92.55,80.14],[93.31,79.43],[94.97,79.04],[97.76,78.76],[99.94,78.88],[100.19,79.78],[97.88,80.75],[95.94,81.25],[93.78,81.02]]],[[[102.84,79.28],[102.09,79.35],[101.26,79.23],[99.44,77.92],[105.08,78.31],[105.37,78.71],[102.84,79.28]]],[[[138.83,76.14],[137.51,75.95],[136.97,75.26],[138.96,74.61],[140.61,74.85],[144.3,74.82],[145.09,75.56],[141.47,76.09],[138.83,76.14]]],[[[148.22,75.35],[146.36,75.5],[146.12,75.17],[147.98,74.78],[149.58,74.69],[150.73,75.08],[148.22,75.35]]],[[[139.86,73.37],[140.04,73.32],[142.09,73.21],[143.6,73.21],[143.48,73.48],[142.06,73.86],[140.81,73.77],[139.86,73.37]]],[[[44.85,80.59],[47.07,80.56],[46.5,80.25],[47.59,80.01],[48.75,80.18],[48.89,80.34],[49.79,80.42],[51.14,80.55],[51.52,80.7],[50.04,80.92],[49.1,80.75],[48.52,80.51],[48.32,80.78],[46.8,80.77],[44.85,80.59]]],[[[22.73,54.33],[22.65,54.58],[22.76,54.86],[22.32,55.02],[21.27,55.19],[19.89,54.87],[19.66,54.43],[20.89,54.31],[22.73,54.33]]],[[[53.51,73.75],[54.43,73.63],[52.44,72.77],[52.48,72.23],[51.46,72.01],[51.6,71.47],[53.41,71.21],[53.68,70.76],[56.94,70.63],[57.54,70.72],[55.62,71.54],[55.42,72.37],[56.99,73.33],[58.48,74.31],[61.58,75.26],[64.64,75.74],[68.18,76.23],[68.85,76.54],[68.16,76.94],[66.21,76.81],[64.5,76.44],[61.17,76.25],[57.87,75.61],[55.63,75.08],[55.9,74.63],[53.51,73.75]]],[[[142.91,53.7],[142.65,54.37],[142.21,54.23],[142.61,53.76],[141.68,53.3],[141.59,51.94],[142.18,50.95],[142.14,49.62],[141.9,48.86],[142.02,47.78],[141.91,46.81],[142.09,45.97],[142.75,46.74],[143.51,46.14],[143.53,46.84],[142.56,47.86],[143.17,49.31],[144.65,48.98],[143.65,50.75],[143.24,51.76],[143.26,52.74],[142.91,53.7]]],[[[-174.93,67.21],[-177.55,68.2],[-180,68.96],[-180,64.98],[-179.43,65.4],[-179.88,65.87],[-178.69,66.11],[-178.9,65.74],[-178.36,65.39],[-177.22,65.52],[-176.21,65.36],[-175.98,64.92],[-174.65,64.63],[-173.89,64.28],[-172.96,64.25],[-172.55,64.46],[-172.53,65.44],[-170.89,65.54],[-169.9,65.98],[-171.86,66.91],[-174.57,67.06],[-174.34,66.34],[-175.01,66.58],[-174.93,67.21]]],[[[-178.69,70.89],[-177.66,71.13],[-177.58,71.27],[-179.02,71.56],[-179.87,71.56],[-180,71.52],[-180,70.83],[-178.69,70.89]]],[[[33.44,45.97],[33.59,45.85],[32.63,45.52],[32.45,45.33],[33.55,45.03],[33.33,44.56],[33.88,44.36],[35.24,44.94],[36.33,45.11],[36.53,45.47],[35.51,45.41],[35.02,45.65],[35.01,45.74],[34.86,45.77],[34.73,45.97],[34.41,46.01],[33.7,46.22],[33.44,45.97]]]]},"properties":{"name":"Russia","continent":"Europe","pop_est":142257519}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[15.14,79.67],[13.72,79.66],[13.17,80.01],[10.44,79.65],[11.22,78.87],[13.17,78.02],[14.67,77.74],[13.76,77.38],[15.91,76.77],[17.12,76.81],[17.59,77.64],[18.47,77.83],[19.03,78.56],[21.54,78.96],[18.25,79.7],[16.99,80.05],[15.52,80.02],[15.14,79.67]]],[[[31.1,69.56],[30.01,70.19],[31.29,70.45],[28.17,71.19],[26.37,70.99],[24.55,71.03],[23.02,70.2],[21.38,70.26],[19.18,69.82],[16.44,68.56],[14.76,67.81],[12.36,65.88],[10.53,64.49],[8.55,63.45],[5.91,62.61],[4.99,61.97],[5.31,59.66],[5.67,58.59],[7.05,58.08],[8.38,58.31],[10.36,59.47],[11.03,58.86],[11.47,59.43],[12.3,60.12],[12.63,61.29],[11.99,61.8],[11.93,63.13],[12.58,64.07],[13.57,64.05],[13.92,64.45],[13.56,64.79],[15.11,66.19],[16.11,67.3],[16.77,68.01],[17.73,68.01],[17.99,68.57],[19.88,68.41],[20.03,69.07],[20.65,69.11],[21.24,69.37],[22.36,68.84],[23.66,68.89],[24.74,68.65],[25.69,69.09],[26.18,69.83],[27.73,70.16],[29.02,69.77],[28.59,69.06],[29.4,69.16],[31.1,69.56]]],[[[27.41,80.06],[25.45,80.41],[22.92,80.66],[21.91,80.36],[20.46,80.6],[17.37,80.32],[18.46,79.86],[19.9,79.84],[20.08,79.57],[23.02,79.4],[25.92,79.52],[27.41,80.06]]],[[[24.72,77.85],[23.28,78.08],[22.88,78.45],[20.81,78.25],[21.42,77.94],[20.73,77.68],[22.49,77.44],[24.72,77.85]]]]},"properties":{"name":"Norway","continent":"Europe","pop_est":5320045}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[6.19,49.46],[5.9,49.44],[5.67,49.53],[4.8,49.99],[4.29,49.91],[3.59,50.38],[3.12,50.78],[2.66,50.8],[2.51,51.15],[1.64,50.95],[1.34,50.13],[-0.99,49.35],[-1.93,49.78],[-1.62,48.64],[-3.3,48.9],[-4.59,48.68],[-4.49,47.95],[-2.96,47.57],[-2.23,47.06],[-1.19,46.01],[-1.38,44.02],[-1.9,43.42],[-1.5,43.03],[0.34,42.58],[0.7,42.8],[1.83,42.34],[2.99,42.47],[3.1,43.08],[4.56,43.4],[6.53,43.13],[7.44,43.69],[7.55,44.13],[7.01,44.25],[6.75,45.03],[7.1,45.33],[6.8,45.71],[6.84,45.99],[6.5,46.43],[6.02,46.27],[6.04,46.73],[6.77,47.29],[6.74,47.54],[7.19,47.45],[7.47,47.62],[7.59,48.33],[8.1,49.02],[6.66,49.2],[6.19,49.46]]],[[[8.75,42.63],[8.54,42.26],[8.78,41.58],[9.23,41.38],[9.56,42.15],[9.39,43.01],[8.75,42.63]]]]},"properties":{"name":"France","continent":"Europe","pop_est":67106161}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[11.03,58.86],[11.79,57.44],[12.63,56.31],[12.94,55.36],[14.1,55.41],[14.67,56.2],[15.88,56.1],[16.45,57.04],[16.83,58.72],[17.87,58.95],[18.79,60.08],[17.83,60.64],[17.12,61.34],[17.85,62.75],[19.78,63.61],[21.37,64.41],[21.21,65.03],[22.18,65.72],[23.9,66.01],[23.57,66.4],[23.54,67.94],[21.98,68.62],[20.65,69.11],[20.03,69.07],[19.88,68.41],[17.99,68.57],[17.73,68.01],[16.77,68.01],[16.11,67.3],[15.11,66.19],[13.56,64.79],[13.92,64.45],[13.57,64.05],[12.58,64.07],[11.93,63.13],[11.99,61.8],[12.63,61.29],[12.3,60.12],[11.47,59.43],[11.03,58.86]]]},"properties":{"name":"Sweden","continent":"Europe","pop_est":9960487}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.18,56.17],[27.1,55.78],[26.49,55.62],[26.59,55.17],[25.77,54.85],[25.54,54.28],[24.45,53.91],[23.48,53.91],[23.53,53.47],[23.8,53.09],[23.8,52.69],[23.2,52.49],[23.51,52.02],[23.53,51.58],[24.01,51.62],[24.55,51.89],[25.33,51.91],[26.34,51.83],[27.45,51.59],[28.24,51.57],[28.62,51.43],[28.99,51.6],[29.25,51.37],[30.16,51.42],[30.56,51.32],[30.62,51.82],[30.93,52.04],[31.79,52.1],[31.54,52.74],[31.31,53.07],[31.5,53.17],[32.3,53.13],[32.69,53.35],[32.41,53.62],[31.73,53.79],[31.79,53.97],[31.38,54.16],[30.76,54.81],[30.97,55.08],[30.87,55.55],[29.9,55.79],[29.37,55.67],[29.23,55.92],[28.18,56.17]]]},"properties":{"name":"Belarus","continent":"Europe","pop_est":9549747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[31.79,52.1],[30.93,52.04],[30.62,51.82],[30.56,51.32],[30.16,51.42],[29.25,51.37],[28.99,51.6],[28.62,51.43],[28.24,51.57],[27.45,51.59],[26.34,51.83],[25.33,51.91],[24.55,51.89],[24.01,51.62],[23.53,51.58],[24.03,50.71],[23.92,50.42],[23.43,50.31],[22.52,49.48],[22.78,49.03],[22.56,49.09],[22.28,48.83],[22.09,48.42],[22.64,48.15],[22.71,47.88],[23.14,48.1],[23.76,47.99],[24.4,47.98],[24.87,47.74],[25.21,47.89],[25.95,47.99],[26.2,48.22],[26.62,48.22],[26.86,48.37],[27.52,48.47],[28.26,48.16],[28.67,48.12],[29.12,47.85],[29.05,47.51],[29.42,47.35],[29.56,46.93],[29.91,46.67],[29.84,46.53],[30.02,46.42],[29.76,46.35],[29.17,46.38],[29.07,46.52],[28.86,46.44],[28.93,46.26],[28.66,45.94],[28.49,45.6],[28.23,45.49],[28.68,45.3],[29.15,45.46],[29.6,45.29],[30.38,46.03],[30.75,46.58],[31.68,46.71],[31.74,46.33],[33.3,46.08],[33.44,45.97],[33.7,46.22],[34.41,46.01],[34.73,45.97],[34.86,45.77],[35.01,45.74],[34.96,46.27],[35.82,46.65],[36.76,46.7],[37.43,47.02],[38.22,47.1],[38.26,47.55],[38.77,47.83],[39.74,47.9],[39.9,48.23],[39.67,48.78],[40.08,49.31],[40.07,49.6],[38.59,49.93],[38.01,49.92],[37.39,50.38],[36.63,50.23],[35.36,50.58],[35.38,50.77],[35.02,51.21],[34.22,51.26],[34.14,51.57],[34.39,51.77],[33.75,52.34],[32.72,52.24],[32.41,52.29],[32.16,52.06],[31.79,52.1]]]},"properties":{"name":"Ukraine","continent":"Europe","pop_est":44033874}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48,53.91],[23.24,54.22],[22.73,54.33],[20.89,54.31],[19.66,54.43],[18.7,54.44],[18.62,54.68],[17.62,54.85],[16.36,54.51],[14.8,54.05],[14.12,53.76],[14.35,53.25],[14.07,52.98],[14.44,52.62],[14.69,52.09],[14.61,51.75],[15.02,51.11],[15.49,50.78],[16.24,50.7],[16.18,50.42],[16.72,50.22],[16.87,50.47],[17.55,50.36],[17.65,50.05],[18.39,49.99],[18.85,49.5],[18.91,49.44],[19.32,49.57],[19.83,49.22],[20.42,49.43],[20.89,49.33],[21.61,49.47],[22.56,49.09],[22.78,49.03],[22.52,49.48],[23.43,50.31],[23.92,50.42],[24.03,50.71],[23.53,51.58],[23.51,52.02],[23.2,52.49],[23.8,52.69],[23.8,53.09],[23.53,53.47],[23.48,53.91]]]},"properties":{"name":"Poland","continent":"Europe","pop_est":38476269}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.98,48.12],[16.88,48.47],[16.96,48.6],[16.5,48.79],[16.03,48.73],[15.25,49.04],[14.9,48.96],[14.34,48.56],[13.6,48.88],[13.24,48.42],[12.88,48.29],[13.03,47.64],[12.93,47.47],[12.62,47.67],[12.14,47.7],[11.43,47.52],[10.54,47.57],[10.4,47.3],[9.9,47.58],[9.59,47.53],[9.63,47.35],[9.48,47.1],[9.93,46.92],[10.44,46.89],[11.05,46.75],[11.16,46.94],[12.15,47.12],[12.38,46.77],[13.81,46.51],[14.63,46.43],[15.14,46.66],[16.01,46.68],[16.2,46.85],[16.53,47.5],[16.34,47.71],[16.9,47.71],[16.98,48.12]]]},"properties":{"name":"Austria","continent":"Europe","pop_est":8754413}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.09,48.42],[21.87,48.32],[20.8,48.62],[20.47,48.56],[20.24,48.33],[19.77,48.2],[19.66,48.27],[19.17,48.11],[18.78,48.08],[18.7,47.88],[17.86,47.76],[17.49,47.87],[16.98,48.12],[16.9,47.71],[16.34,47.71],[16.53,47.5],[16.2,46.85],[16.37,46.84],[16.56,46.5],[16.88,46.38],[17.63,45.95],[18.46,45.76],[18.83,45.91],[19.6,46.17],[20.22,46.13],[21.02,46.32],[21.63,46.99],[22.1,47.67],[22.71,47.88],[22.64,48.15],[22.09,48.42]]]},"properties":{"name":"Hungary","continent":"Europe","pop_est":9850845}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.62,48.22],[26.92,48.12],[27.23,47.83],[27.55,47.41],[28.13,46.81],[28.16,46.37],[28.05,45.94],[28.23,45.49],[28.49,45.6],[28.66,45.94],[28.93,46.26],[28.86,46.44],[29.07,46.52],[29.17,46.38],[29.76,46.35],[30.02,46.42],[29.84,46.53],[29.91,46.67],[29.56,46.93],[29.42,47.35],[29.05,47.51],[29.12,47.85],[28.67,48.12],[28.26,48.16],[27.52,48.47],[26.86,48.37],[26.62,48.22]]]},"properties":{"name":"Moldova","continent":"Europe","pop_est":3474121}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.23,45.49],[28.05,45.94],[28.16,46.37],[28.13,46.81],[27.55,47.41],[27.23,47.83],[26.92,48.12],[26.62,48.22],[26.2,48.22],[25.95,47.99],[25.21,47.89],[24.87,47.74],[24.4,47.98],[23.76,47.99],[23.14,48.1],[22.71,47.88],[22.1,47.67],[21.63,46.99],[21.02,46.32],[20.22,46.13],[20.76,45.73],[20.87,45.42],[21.48,45.18],[21.56,44.77],[22.15,44.48],[22.46,44.7],[22.71,44.58],[22.47,44.41],[22.66,44.23],[22.94,43.82],[23.33,43.9],[24.1,43.74],[25.57,43.69],[26.07,43.94],[27.24,44.18],[27.97,43.81],[28.56,43.71],[28.84,44.91],[29.14,44.82],[29.63,45.04],[29.6,45.29],[29.15,45.46],[28.68,45.3],[28.23,45.49]]]},"properties":{"name":"Romania","continent":"Europe","pop_est":21529967}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[26.49,55.62],[25.53,56.1],[25,56.16],[24.86,56.37],[23.88,56.27],[22.2,56.34],[21.06,56.03],[21.27,55.19],[22.32,55.02],[22.76,54.86],[22.65,54.58],[22.73,54.33],[23.24,54.22],[23.48,53.91],[24.45,53.91],[25.54,54.28],[25.77,54.85],[26.59,55.17],[26.49,55.62]]]},"properties":{"name":"Lithuania","continent":"Europe","pop_est":2823859}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.29,57.47],[26.46,57.48],[25.6,57.85],[25.16,57.97],[24.31,57.79],[24.12,57.03],[23.32,57.01],[22.52,57.75],[21.58,57.41],[21.09,56.78],[21.06,56.03],[22.2,56.34],[23.88,56.27],[24.86,56.37],[25,56.16],[25.53,56.1],[26.49,55.62],[27.1,55.78],[28.18,56.17],[27.86,56.76],[27.77,57.24],[27.29,57.47]]]},"properties":{"name":"Latvia","continent":"Europe","pop_est":1944643}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[27.98,59.48],[26.95,59.45],[25.86,59.61],[24.6,59.47],[23.34,59.19],[23.43,58.61],[24.06,58.26],[24.43,58.38],[24.31,57.79],[25.16,57.97],[25.6,57.85],[26.46,57.48],[27.29,57.47],[27.72,57.79],[27.42,58.72],[28.13,59.3],[27.98,59.48]]]},"properties":{"name":"Estonia","continent":"Europe","pop_est":1251581}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[14.12,53.76],[13.65,54.08],[12.52,54.47],[11.96,54.2],[10.94,54.01],[10.95,54.36],[9.94,54.6],[9.92,54.98],[9.28,54.83],[8.53,54.96],[8.57,54.4],[8.8,54.02],[8.12,53.53],[7.94,53.75],[7.1,53.69],[6.91,53.48],[7.09,53.14],[6.84,52.23],[6.59,51.85],[5.99,51.85],[6.16,50.8],[6.04,50.13],[6.24,49.9],[6.19,49.46],[6.66,49.2],[8.1,49.02],[7.59,48.33],[7.47,47.62],[8.32,47.61],[8.52,47.83],[9.59,47.53],[9.9,47.58],[10.4,47.3],[10.54,47.57],[11.43,47.52],[12.14,47.7],[12.62,47.67],[12.93,47.47],[13.03,47.64],[12.88,48.29],[13.24,48.42],[13.6,48.88],[13.03,49.31],[12.52,49.55],[12.42,49.97],[12.24,50.27],[12.97,50.48],[13.34,50.73],[14.06,50.93],[14.31,51.12],[14.57,51],[15.02,51.11],[14.61,51.75],[14.69,52.09],[14.44,52.62],[14.07,52.98],[14.35,53.25],[14.12,53.76]]]},"properties":{"name":"Germany","continent":"Europe","pop_est":80594017}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.66,44.23],[22.41,44.01],[22.5,43.64],[22.99,43.21],[22.6,42.9],[22.44,42.58],[22.55,42.46],[22.38,42.32],[22.88,42],[22.95,41.34],[23.69,41.31],[24.49,41.58],[25.2,41.23],[26.11,41.33],[26.12,41.83],[27.14,42.14],[28,42.01],[27.67,42.58],[28.04,43.29],[28.56,43.71],[27.97,43.81],[27.24,44.18],[26.07,43.94],[25.57,43.69],[24.1,43.74],[23.33,43.9],[22.94,43.82],[22.66,44.23]]]},"properties":{"name":"Bulgaria","continent":"Europe","pop_est":7101510}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[26.29,35.3],[25.75,35.18],[25.77,35.35],[25.03,35.42],[24.25,35.37],[23.7,35.71],[23.51,35.28],[24.74,35.08],[24.72,34.92],[26.16,35],[26.29,35.3]]],[[[22.95,41.34],[22.76,41.3],[22.6,41.13],[22.06,41.15],[21.67,40.93],[21.02,40.84],[21,40.58],[20.67,40.43],[20.62,40.11],[20.15,39.62],[20.22,39.34],[20.73,38.77],[21.12,38.31],[21.3,37.64],[21.67,36.84],[22.49,36.41],[23.15,36.42],[22.77,37.31],[23.41,37.41],[23.12,37.92],[24.04,37.66],[24.03,38.22],[23.53,38.51],[22.97,38.97],[23.35,39.19],[22.85,39.66],[22.63,40.26],[22.81,40.48],[23.34,39.96],[23.9,39.96],[24.41,40.12],[23.71,40.69],[24.93,40.95],[25.45,40.85],[26.06,40.82],[26.29,40.94],[26.6,41.56],[26.12,41.83],[26.11,41.33],[25.2,41.23],[24.49,41.58],[23.69,41.31],[22.95,41.34]]]]},"properties":{"name":"Greece","continent":"Europe","pop_est":10768477}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[21.02,40.84],[20.61,41.09],[20.46,41.52],[20.59,41.86],[20.52,42.22],[20.28,42.32],[20.07,42.59],[19.8,42.5],[19.74,42.69],[19.3,42.2],[19.37,41.88],[19.54,41.72],[19.4,41.41],[19.32,40.73],[19.41,40.25],[19.96,39.92],[19.98,39.69],[20.15,39.62],[20.62,40.11],[20.67,40.43],[21,40.58],[21.02,40.84]]]},"properties":{"name":"Albania","continent":"Europe","pop_est":3047987}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[16.56,46.5],[15.77,46.24],[15.67,45.83],[15.32,45.73],[15.33,45.45],[14.94,45.47],[14.6,45.63],[14.41,45.47],[13.72,45.5],[13.68,45.48],[13.66,45.14],[13.95,44.8],[14.26,45.23],[14.9,45.08],[14.92,44.74],[15.38,44.32],[15.17,44.24],[16.02,43.51],[16.93,43.21],[17.51,42.85],[18.45,42.48],[18.56,42.65],[17.67,43.03],[17.3,43.45],[16.92,43.67],[16.46,44.04],[16.24,44.35],[15.75,44.82],[15.96,45.23],[16.32,45],[16.53,45.21],[17,45.23],[17.86,45.07],[18.55,45.08],[19.01,44.86],[19.39,45.24],[19.07,45.52],[18.83,45.91],[18.46,45.76],[17.63,45.95],[16.88,46.38],[16.56,46.5]]]},"properties":{"name":"Croatia","continent":"Europe","pop_est":4292095}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[9.59,47.53],[8.52,47.83],[8.32,47.61],[7.47,47.62],[7.19,47.45],[6.74,47.54],[6.77,47.29],[6.04,46.73],[6.02,46.27],[6.5,46.43],[6.84,45.99],[7.27,45.78],[7.76,45.82],[8.32,46.16],[8.49,46.01],[8.97,46.04],[9.18,46.44],[9.92,46.31],[10.36,46.48],[10.44,46.89],[9.93,46.92],[9.48,47.1],[9.63,47.35],[9.59,47.53]]]},"properties":{"name":"Switzerland","continent":"Europe","pop_est":8236303}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.04,50.13],[5.78,50.09],[5.67,49.53],[5.9,49.44],[6.19,49.46],[6.24,49.9],[6.04,50.13]]]},"properties":{"name":"Luxembourg","continent":"Europe","pop_est":594130}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.16,50.8],[5.61,51.04],[4.97,51.48],[4.05,51.27],[3.31,51.35],[3.32,51.35],[3.31,51.35],[2.51,51.15],[2.66,50.8],[3.12,50.78],[3.59,50.38],[4.29,49.91],[4.8,49.99],[5.67,49.53],[5.78,50.09],[6.04,50.13],[6.16,50.8]]]},"properties":{"name":"Belgium","continent":"Europe","pop_est":11491346}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[6.91,53.48],[6.07,53.51],[4.71,53.09],[3.83,51.62],[3.32,51.35],[3.31,51.35],[4.05,51.27],[4.97,51.48],[5.61,51.04],[6.16,50.8],[5.99,51.85],[6.59,51.85],[6.84,52.23],[7.09,53.14],[6.91,53.48]]]},"properties":{"name":"Netherlands","continent":"Europe","pop_est":17084719}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-9.03,41.88],[-8.99,41.54],[-8.79,41.18],[-8.77,40.76],[-8.98,40.16],[-9.05,39.76],[-9.45,39.39],[-9.53,38.74],[-9.29,38.36],[-8.84,38.27],[-8.75,37.65],[-8.9,36.87],[-8.38,36.98],[-7.86,36.84],[-7.45,37.1],[-7.54,37.43],[-7.17,37.8],[-7.03,38.08],[-7.37,38.37],[-7.1,39.03],[-7.5,39.63],[-7.07,39.71],[-7.03,40.18],[-6.86,40.33],[-6.85,41.11],[-6.39,41.38],[-6.67,41.88],[-7.25,41.92],[-7.42,41.79],[-8.01,41.79],[-8.26,42.28],[-8.67,42.13],[-9.03,41.88]]]},"properties":{"name":"Portugal","continent":"Europe","pop_est":10839514}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-7.45,37.1],[-6.52,36.94],[-6.24,36.37],[-5.87,36.03],[-5.38,35.95],[-5,36.32],[-4.37,36.68],[-3.42,36.66],[-2.15,36.67],[-1.44,37.44],[-0.68,37.64],[-0.47,38.29],[0.11,38.74],[-0.28,39.31],[0.11,40.12],[0.72,40.68],[0.81,41.01],[2.09,41.23],[3.04,41.89],[2.99,42.47],[1.83,42.34],[0.7,42.8],[0.34,42.58],[-1.5,43.03],[-1.9,43.42],[-3.52,43.46],[-4.35,43.4],[-5.41,43.57],[-6.75,43.57],[-7.98,43.75],[-9.39,43.03],[-8.98,42.59],[-9.03,41.88],[-8.67,42.13],[-8.26,42.28],[-8.01,41.79],[-7.42,41.79],[-7.25,41.92],[-6.67,41.88],[-6.39,41.38],[-6.85,41.11],[-6.86,40.33],[-7.03,40.18],[-7.07,39.71],[-7.5,39.63],[-7.1,39.03],[-7.37,38.37],[-7.03,38.08],[-7.17,37.8],[-7.54,37.43],[-7.45,37.1]]]},"properties":{"name":"Spain","continent":"Europe","pop_est":48958159}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-6.2,53.87],[-6.95,54.07],[-7.57,54.06],[-7.37,54.6],[-7.57,55.13],[-8.33,54.66],[-9.69,53.88],[-9.17,52.86],[-9.98,51.82],[-8.56,51.67],[-6.79,52.26],[-6.03,53.15],[-6.2,53.87]]]},"properties":{"name":"Ireland","continent":"Europe","pop_est":5011102}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[10.44,46.89],[10.36,46.48],[9.92,46.31],[9.18,46.44],[8.97,46.04],[8.49,46.01],[8.32,46.16],[7.76,45.82],[7.27,45.78],[6.84,45.99],[6.8,45.71],[7.1,45.33],[6.75,45.03],[7.01,44.25],[7.55,44.13],[7.44,43.69],[7.85,43.77],[8.43,44.23],[8.89,44.37],[9.7,44.04],[10.2,43.92],[10.51,42.93],[11.19,42.36],[12.11,41.7],[12.89,41.25],[13.63,41.19],[14.06,40.79],[14.7,40.6],[15,40.17],[15.41,40.05],[15.72,39.54],[16.11,38.96],[15.89,38.75],[15.69,38.21],[15.68,37.91],[16.1,37.99],[16.64,38.84],[17.05,38.9],[17.17,39.42],[16.45,39.8],[16.87,40.44],[17.74,40.28],[18.29,39.81],[18.48,40.17],[18.38,40.36],[17.52,40.88],[16.79,41.18],[15.89,41.54],[16.17,41.74],[15.93,41.96],[15.14,41.96],[14.03,42.76],[13.53,43.59],[12.59,44.09],[12.26,44.6],[12.38,44.89],[12.33,45.38],[13.14,45.74],[13.94,45.59],[13.7,46.02],[13.81,46.51],[12.38,46.77],[12.15,47.12],[11.16,46.94],[11.05,46.75],[10.44,46.89]]],[[[14.76,38.14],[13.74,38.03],[12.57,38.13],[12.43,37.61],[13.83,37.1],[14.34,37],[15.1,36.62],[15.31,37.13],[15.16,37.44],[15.52,38.23],[14.76,38.14]]],[[[8.71,40.9],[8.16,40.95],[8.39,40.38],[8.43,39.17],[8.81,38.91],[9.21,39.24],[9.67,39.18],[9.81,40.5],[9.21,41.21],[8.71,40.9]]]]},"properties":{"name":"Italy","continent":"Europe","pop_est":62137802}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[9.92,54.98],[9.65,55.47],[10.37,56.19],[10.67,56.08],[10.91,56.46],[10.37,56.61],[10.25,56.89],[10.55,57.22],[10.58,57.73],[9.78,57.45],[9.42,57.17],[8.54,57.11],[8.26,56.81],[8.09,56.54],[8.12,55.52],[8.53,54.96],[9.28,54.83],[9.92,54.98]]],[[[12.37,56.11],[10.9,55.78],[11.04,55.36],[12.09,54.8],[12.69,55.61],[12.37,56.11]]]]},"properties":{"name":"Denmark","continent":"Europe","pop_est":5605948}},
{"type":"Feature","geometry":{"type":"MultiPolygon","coordinates":[[[[-6.2,53.87],[-5.66,54.55],[-6.73,55.17],[-7.57,55.13],[-7.37,54.6],[-7.57,54.06],[-6.95,54.07],[-6.2,53.87]]],[[[-3.09,53.4],[-4.58,53.5],[-4.77,52.84],[-4.22,52.3],[-5.27,51.99],[-4.98,51.59],[-3.42,51.43],[-3.41,51.43],[-4.31,51.21],[-5.78,50.16],[-5.25,49.96],[-4.54,50.34],[-3.62,50.23],[-2.96,50.7],[-2.49,50.5],[-0.79,50.77],[0.55,50.77],[1.45,51.29],[1.05,51.81],[1.56,52.1],[1.68,52.74],[0.47,52.93],[0.18,53.33],[-0.43,54.46],[-1.11,54.62],[-2.01,55.8],[-2.09,55.91],[-3.12,55.97],[-2.22,56.87],[-1.96,57.68],[-3.06,57.69],[-4.07,57.55],[-3.01,58.64],[-4.21,58.55],[-5.01,58.63],[-5.79,57.82],[-6.15,56.79],[-5.64,56.28],[-5.59,55.31],[-5.05,55.78],[-4.72,55.51],[-5.08,55.06],[-4.84,54.79],[-3.63,54.62],[-3.61,54.6],[-2.95,53.98],[-3.09,53.4]]]]},"properties":{"name":"United Kingdom","continent":"Europe","pop_est":64769452}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-14.51,66.46],[-16.17,66.53],[-17.8,65.99],[-19.06,66.28],[-20.58,65.73],[-22.13,66.41],[-23.65,66.26],[-24.33,65.61],[-22.23,65.38],[-22.18,65.08],[-23.96,64.89],[-21.78,64.4],[-22.76,63.96],[-19.97,63.64],[-18.66,63.5],[-17.79,63.68],[-14.91,64.36],[-13.61,65.13],[-14.74,65.81],[-14.51,66.46]]]},"properties":{"name":"Iceland","continent":"Europe","pop_est":339747}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.81,46.51],[13.7,46.02],[13.94,45.59],[13.72,45.5],[14.41,45.47],[14.6,45.63],[14.94,45.47],[15.33,45.45],[15.32,45.73],[15.67,45.83],[15.77,46.24],[16.56,46.5],[16.37,46.84],[16.2,46.85],[16.01,46.68],[15.14,46.66],[14.63,46.43],[13.81,46.51]]]},"properties":{"name":"Slovenia","continent":"Europe","pop_est":1972126}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[28.59,69.06],[29.02,69.77],[27.73,70.16],[26.18,69.83],[25.69,69.09],[24.74,68.65],[23.66,68.89],[22.36,68.84],[21.24,69.37],[20.65,69.11],[21.98,68.62],[23.54,67.94],[23.57,66.4],[23.9,66.01],[25.29,65.53],[25.4,65.11],[24.73,64.9],[22.44,63.82],[21.54,63.19],[21.06,62.61],[21.54,61.71],[21.32,60.72],[22.29,60.39],[22.87,59.85],[24.5,60.06],[26.26,60.42],[28.07,60.5],[30.21,61.78],[31.14,62.36],[31.52,62.87],[30.04,63.55],[30.44,64.2],[29.54,64.95],[30.22,65.81],[29.05,66.94],[29.98,67.7],[28.45,68.36],[28.59,69.06]]]},"properties":{"name":"Finland","continent":"Europe","pop_est":5491218}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.56,49.09],[21.61,49.47],[20.89,49.33],[20.42,49.43],[19.83,49.22],[19.32,49.57],[18.91,49.44],[18.85,49.5],[18.55,49.5],[18.4,49.32],[18.17,49.27],[18.1,49.04],[17.91,49],[17.89,48.9],[17.55,48.8],[17.1,48.82],[16.96,48.6],[16.88,48.47],[16.98,48.12],[17.49,47.87],[17.86,47.76],[18.7,47.88],[18.78,48.08],[19.17,48.11],[19.66,48.27],[19.77,48.2],[20.24,48.33],[20.47,48.56],[20.8,48.62],[21.87,48.32],[22.09,48.42],[22.28,48.83],[22.56,49.09]]]},"properties":{"name":"Slovakia","continent":"Europe","pop_est":5445829}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[15.02,51.11],[14.57,51],[14.31,51.12],[14.06,50.93],[13.34,50.73],[12.97,50.48],[12.24,50.27],[12.42,49.97],[12.52,49.55],[13.03,49.31],[13.6,48.88],[14.34,48.56],[14.9,48.96],[15.25,49.04],[16.03,48.73],[16.5,48.79],[16.96,48.6],[17.1,48.82],[17.55,48.8],[17.89,48.9],[17.91,49],[18.1,49.04],[18.17,49.27],[18.4,49.32],[18.55,49.5],[18.85,49.5],[18.39,49.99],[17.65,50.05],[17.55,50.36],[16.87,50.47],[16.72,50.22],[16.18,50.42],[16.24,50.7],[15.49,50.78],[15.02,51.11]]]},"properties":{"name":"Czechia","continent":"Europe","pop_est":10674723}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.56,42.65],[18.71,43.2],[19.03,43.43],[19.22,43.52],[19.45,43.57],[19.6,44.04],[19.12,44.42],[19.37,44.86],[19.01,44.86],[18.55,45.08],[17.86,45.07],[17,45.23],[16.53,45.21],[16.32,45],[15.96,45.23],[15.75,44.82],[16.24,44.35],[16.46,44.04],[16.92,43.67],[17.3,43.45],[17.67,43.03],[18.56,42.65]]]},"properties":{"name":"Bosnia and Herz.","continent":"Europe","pop_est":3856181}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[22.38,42.32],[21.92,42.3],[21.58,42.25],[21.35,42.21],[20.76,42.05],[20.72,41.85],[20.59,41.86],[20.46,41.52],[20.61,41.09],[21.02,40.84],[21.67,40.93],[22.06,41.15],[22.6,41.13],[22.76,41.3],[22.95,41.34],[22.88,42],[22.38,42.32]]]},"properties":{"name":"Macedonia","continent":"Europe","pop_est":2103721}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[18.83,45.91],[19.07,45.52],[19.39,45.24],[19.01,44.86],[19.37,44.86],[19.12,44.42],[19.6,44.04],[19.45,43.57],[19.22,43.52],[19.48,43.35],[19.63,43.21],[19.96,43.11],[20.34,42.9],[20.26,42.81],[20.5,42.88],[20.64,43.22],[20.81,43.27],[20.96,43.13],[21.14,43.07],[21.27,42.91],[21.44,42.86],[21.63,42.68],[21.78,42.68],[21.66,42.44],[21.54,42.32],[21.58,42.25],[21.92,42.3],[22.38,42.32],[22.55,42.46],[22.44,42.58],[22.6,42.9],[22.99,43.21],[22.5,43.64],[22.41,44.01],[22.66,44.23],[22.47,44.41],[22.71,44.58],[22.46,44.7],[22.15,44.48],[21.56,44.77],[21.48,45.18],[20.87,45.42],[20.76,45.73],[20.22,46.13],[19.6,46.17],[18.83,45.91]]]},"properties":{"name":"Serbia","continent":"Europe","pop_est":7111024}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.07,42.59],[20.26,42.81],[20.34,42.9],[19.96,43.11],[19.63,43.21],[19.48,43.35],[19.22,43.52],[19.03,43.43],[18.71,43.2],[18.56,42.65],[18.45,42.48],[18.88,42.28],[19.16,41.96],[19.37,41.88],[19.3,42.2],[19.74,42.69],[19.8,42.5],[20.07,42.59]]]},"properties":{"name":"Montenegro","continent":"Europe","pop_est":642550}},
{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[20.59,41.86],[20.72,41.85],[20.76,42.05],[21.35,42.21],[21.58,42.25],[21.54,42.32],[21.66,42.44],[21.78,42.68],[21.63,42.68],[21.44,42.86],[21.27,42.91],[21.14,43.07],[20.96,43.13],[20.81,43.27],[20.64,43.22],[20.5,42.88],[20.26,42.81],[20.07,42.59],[20.28,42.32],[20.52,42.22],[20.59,41.86]]]},"properties":{"name":"Kosovo","continent":"Europe","pop_est":1895250}}
]}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
target: 'ES2022',
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
typescript: {
exports: 'ts',
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm',
},
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/latest/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/',
'agpcdn:': 'https://cdn.jsdelivr.net/npm/'
},
packageConfigPaths: ['/node_modules/*/package.json', '/node_modules/@angular/*/package.json', '/node_modules/@mescius/*/package.json'],
map: {
'core-js': 'agpcdn:core-js@2.6.12/client/shim.min.js',
'typescript': 'agpcdn:typescript@5.9.3/lib/typescript.min.js',
rxjs: 'agpcdn:rxjs@7.8.1/dist/bundles/rxjs.umd.min.js',
'systemjs-plugin-css': 'agpcdn:systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.angular2.chart.analytics': 'cdn:@mescius/wijmo.angular2.chart.analytics/index.js',
'@mescius/wijmo.angular2.chart.animation': 'cdn:@mescius/wijmo.angular2.chart.animation/index.js',
'@mescius/wijmo.angular2.chart.annotation': 'cdn:@mescius/wijmo.angular2.chart.annotation/index.js',
'@mescius/wijmo.angular2.chart.finance.analytics': 'cdn:@mescius/wijmo.angular2.chart.finance.analytics/index.js',
'@mescius/wijmo.angular2.chart.finance': 'cdn:@mescius/wijmo.angular2.chart.finance/index.js',
'@mescius/wijmo.angular2.chart.hierarchical': 'cdn:@mescius/wijmo.angular2.chart.hierarchical/index.js',
'@mescius/wijmo.angular2.chart.interaction': 'cdn:@mescius/wijmo.angular2.chart.interaction/index.js',
'@mescius/wijmo.angular2.chart.radar': 'cdn:@mescius/wijmo.angular2.chart.radar/index.js',
'@mescius/wijmo.angular2.chart.map': 'cdn:@mescius/wijmo.angular2.chart.map/index.js',
'@mescius/wijmo.angular2.chart': 'cdn:@mescius/wijmo.angular2.chart/index.js',
'@mescius/wijmo.angular2.core': 'cdn:@mescius/wijmo.angular2.core/index.js',
'@mescius/wijmo.angular2.gauge': 'cdn:@mescius/wijmo.angular2.gauge/index.js',
'@mescius/wijmo.angular2.grid.detail': 'cdn:@mescius/wijmo.angular2.grid.detail/index.js',
'@mescius/wijmo.angular2.grid.filter': 'cdn:@mescius/wijmo.angular2.grid.filter/index.js',
'@mescius/wijmo.angular2.grid.grouppanel': 'cdn:@mescius/wijmo.angular2.grid.grouppanel/index.js',
'@mescius/wijmo.angular2.grid.search': 'cdn:@mescius/wijmo.angular2.grid.search/index.js',
'@mescius/wijmo.angular2.grid.multirow': 'cdn:@mescius/wijmo.angular2.grid.multirow/index.js',
'@mescius/wijmo.angular2.grid.sheet': 'cdn:@mescius/wijmo.angular2.grid.sheet/index.js',
'@mescius/wijmo.angular2.grid.transposed': 'cdn:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'cdn:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
'@mescius/wijmo.angular2.grid': 'cdn:@mescius/wijmo.angular2.grid/index.js',
'@mescius/wijmo.angular2.input': 'cdn:@mescius/wijmo.angular2.input/index.js',
'@mescius/wijmo.angular2.olap': 'cdn:@mescius/wijmo.angular2.olap/index.js',
'@mescius/wijmo.angular2.viewer': 'cdn:@mescius/wijmo.angular2.viewer/index.js',
'@mescius/wijmo.angular2.nav': 'cdn:@mescius/wijmo.angular2.nav/index.js',
'@mescius/wijmo.angular2.directivebase': 'cdn:@mescius/wijmo.angular2.directivebase/index.js',
'@mescius/wijmo.angular2.barcode.common': 'cdn:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'cdn:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'cdn:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
jszip: 'agpcdn:jszip@3.10.1/dist/jszip.min.js',
'@angular/core': 'pcdn:@angular/core@21.1.0/fesm2022/core.mjs',
'@angular/core/primitives/di': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-di.mjs',
'@angular/core/primitives/signals': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-signals.mjs',
'@angular/core/primitives/event-dispatch': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-event-dispatch.mjs',
'@angular/common': 'pcdn:@angular/common@21.1.0/fesm2022/common.mjs',
'@angular/common/http': 'pcdn:@angular/common@21.1.0/fesm2022/http.mjs',
'@angular/compiler': 'pcdn:@angular/compiler@21.1.0/fesm2022/compiler.mjs',
'@angular/platform-browser': 'pcdn:@angular/platform-browser@21.1.0/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'pcdn:@angular/platform-browser-dynamic@21.1.0/fesm2022/platform-browser-dynamic.mjs',
'@angular/router': 'pcdn:@angular/router@21.1.0/fesm2022/router.mjs',
'@angular/forms': 'pcdn:@angular/forms@21.1.0/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
'./src': {
defaultExtension: 'ts',
},
node_modules: {
defaultExtension: 'js',
},
wijmo: {
defaultExtension: 'js',
},
},
});
})(this);